2009-04-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #491755

	* gui/alarm-notify/config-data.c:
	(config_data_set_last_notification_time),
	(config_data_get_last_notification_time):
	Sanitize values from GConf before using them.

2009-04-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #575773

	* gui/e-calendar-table.etspec:
	* gui/e-cal-list-view.etspec:
	* gui/e-memo-table.etspec:
	* gui/e-cal-model.h: (ECalModelField), (struct _ECalModelComponent):
	* gui/e-cal-model.c: (get_datetime_from_utc), (ecm_value_at),
	(ecm_duplicate_value), (ecm_free_value), (ecm_initialize_value),
	(ecm_value_is_empty), (ecm_value_to_string),
	(e_cal_view_objects_modified_cb), (e_cal_model_component_finalize),
	(e_cal_model_component_init):
	Allow showing CREATED and LAST-MODIFIED properties in a table.

	* gui/print.c: (print_comp_draw_real):
	* gui/e-cal-component-preview.c: (write_html):
	* conduits/todo/todo-conduit.c: (local_record_from_comp):
	Possible leak fix.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #573704

	* gui/dialogs/comp-editor.c: (action_save_cb), (real_send_comp):
	Do not close editor after error.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #571272

	* gui/e-cal-model.c: (search_by_id_and_client):	Possible leak fix.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #569652

	* gui/calendar-component.c: (ensure_sources):
	* gui/memos-component.c: (ensure_sources):
	* gui/tasks-component.c: (ensure_sources):
	Use new ESourceList API (simplifies code).

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #381132

	* gui/apps_evolution_calendar.schemas.in:
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/dialogs/cal-prefs-dialog.h: (struct _CalendarPrefsDialog):
	* gui/dialogs/cal-prefs-dialog.c: (update_system_tz_widgets),
	(use_system_tz_changed), (setup_changes), (show_config),
	(calendar_prefs_dialog_construct):
	* gui/calendar-config-keys.h:
	* gui/calendar-config.h:
	* gui/calendar-config.c: (calendar_config_get_use_system_timezone),
	(calendar_config_set_use_system_timezone),
	(calendar_config_add_notification_use_system_timezone),
	(calendar_config_get_timezone), (calendar_config_get_timezone_stored):
	Be able to set system timezone as calendar's time zone.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #205804

	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips):
	Include timezone information in a tooltip when differs from user's.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #577615

	* gui/dialogs/cal-prefs-dialog.h: (struct _CalendarPrefsDialog):
	* gui/dialogs/cal-prefs-dialog.c: (timezone_changed),
	(daylight_saving_changed), (setup_changes), (show_config),
	(calendar_prefs_dialog_construct):
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/apps_evolution_calendar.schemas.in:
	* gui/calendar-config-keys.h:
	* gui/calendar-config.h:
	* gui/calendar-config.c: (set_standard_offsets),
	(calendar_config_get_icaltimezone),
	(calendar_config_get_daylight_saving),
	(calendar_config_set_daylight_saving),
	(calendar_config_add_notification_daylight_saving):
	Get rid of "Adjust for daylight saving time" option.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572348

	* gui/dialogs/task-page.glade:
	* gui/dialogs/task-page.c:
	* gui/dialogs/task-details-page.glade:
	* gui/dialogs/task-details-page.c:
	* gui/dialogs/recurrence-page.glade:
	* gui/dialogs/recurrence-page.c:
	* gui/dialogs/alarm-dialog.glade:
	* gui/dialogs/alarm-dialog.c:
	* gui/dialogs/event-page.glade:
	* gui/dialogs/event-page.c:
	* gui/dialogs/memo-page.glade:
	* gui/dialogs/memo-page.c:
	* gui/goto-dialog.glade:
	* gui/goto.c:
	* gui/e-itip-control.c:
	Remove deprecated Gtk+ symbols.

	* gui/dialogs/Makefile.am:
	* gui/dialogs/meeting-page.glade:
	Remove death files.

2009-04-13  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #561312
	* calendar/gui/comp-util.c:
	* calendar/gui/comp-util.h: Added a new function to
	sanitize master recurrence event before modifying 
	all instances.
	* calendar/gui/dialogs/comp-editor.c:
	* calendar/gui/e-day-view.c:
	* calendar/gui/e-week-view.c: Used the new util api.
	Do not invoke recurrence dialog while modifying detached
	instances.

2009-04-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #523802

	* gui/e-tasks.h: (e_tasks_get_preview):
	* gui/e-tasks.c: (e_tasks_get_preview):
	* gui/e-cal-component-preview.h: (e_cal_component_preview_get_html):
	* gui/e-cal-component-preview.c: (e_cal_component_preview_get_html):
	* gui/tasks-control.c: (tasks_control_new), (tasks_sensitize_table[]),
	(tasks_control_sensitize_commands), (tasks_control_focus_changed),
	(tasks_control_copy_cmd):
	* gui/e-memos.h: (e_memos_get_preview):
	* gui/e-memos.c: (e_memos_get_preview):
	* gui/e-cal-component-memo-preview.h:
	* gui/e-cal-component-memo-preview.c:
	(e_cal_component_memo_preview_get_html):
	* gui/memos-control.c: (memos_control_new),
	(memos_control_sensitize_commands), (memos_control_focus_changed),
	(memos_control_copy_cmd):
	Use copy of the preview panel, when focused, and events' copy otherwise.

2009-04-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #577717

	* gui/dialogs/alarm-dialog.c: (alarm_to_dialog),
	(malarm_widgets_to_alarm): Fill some default values
	to mandatory properties of ECalComponentAttendee.

2009-03-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #401346

	* gui/e-meeting-time-sel.c: (e_meeting_time_selector_destroy):
	Do not remove notification twice.
	* gui/dialogs/event-editor.c: (create_schedule_page),
	(action_free_busy_cb): Do not show Free/Busy dialog modal.

2009-03-05  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #435455 (bnc)
	* calendar/gui/dialogs/comp-editor.c:
	* calendar/gui/dialogs/event-editor.c:
	* calendar/gui/dialogs/event-page.c:
	* calendar/gui/dialogs/memo-page.c:
	* calendar/gui/dialogs/task-page.c:
	* calendar/gui/e-calendar-view.c:
	* calendar/gui/e-calendar-view.h:
	* calendar/gui/e-day-view.c:
	* calendar/gui/itip-utils.c:
	* calendar/gui/itip-utils.h: Do not allow read-only
	events to be resized.

2009-03-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #573119

	* gui/dialogs/comp-editor.c: (set_attendees_for_delegation):
	* gui/e-cal-popup.c: (is_delegated), (needs_to_accept):
	Do not ask value of not included (NULL) parameters.

2009-03-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #573193

	* gui/e-calendar-view.c: (error_response): Always destroy dialog.

2009-03-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #573122

	* gui/dialogs/cal-prefs-dialog.c: (timezone_changed), (show_config):
	* gui/calendar-config.c: (calendar_config_get_icaltimezone):
	* gui/e-cal-model.c: (ecm_value_at):
	Do not pass NULL to icalcomponent_get_first_component.

2009-02-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #558366

	* gui/alarm-notify/alarm-notify.c: (alarm_notify_add_calendar):
	Set default timezone to resolve floating DATE-TIME properly.

2009-02-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #238346

	* gui/e-calendar-view.c: (e_calendar_view_add_event): Keep old
	timezone when adding event if possible, use the default one otherwise.
	* gui/e-calendar-view.c: (add_related_timezones), (clipboard_get_text_cb):
	Set timezones from component to the calendar first, then add events. Also
	fetch timezones from the calendar, when not part of the component already.

2009-02-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #529037

	* gui/gnome-cal.c: (gnome_calendar_destroy):
	Disconnect signals on ESource-s too, not only on ECal-s.

2009-02-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #561465

	* gui/e-meeting-list-view.c: (build_table):
	Expand 'Attendee' column instead of the last.

2009-02-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572543

	* gui/e-cal-popup.c: (ecalp_standard_menu_factory):
	Always look for alternative apps for application/octet-stream.

2009-02-22  Tobias Mueller  <tobiasmue@svn.gnome.org>

	* gui/e-itip-control.c (refresh_options_object):
	Make it use the proper action. Patch by PaweÅ‚ Zembrzuski
	
	** Fixes bug 566556

2009-02-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #567949

	* gui/e-day-view.c: (set_text_as_bold):
	* gui/e-week-view.c: (set_text_as_bold):
	Do not free memory before done with it.

2009-02-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #572348

	* gui/alarm-notify/alarm-queue.c (display_notification):
	Call gtk_status_icon_set_tooltip_text() instead of
	gtk_status_icon_set_tooltip() (deprecated).

	* gui/weekday-picker.c (configure_items):
	Remove dead code.

2009-02-19  Andre Klapper  <a9016009@gmx.de>

	* /gui/e-day-view.c:
	Remove useless and deprecated gtk_layout_freeze and gtk_layout_thaw
	calls.

2009-02-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #550114

	* gui/e-calendar-table.h: (ec_query_tooltip):
	* gui/e-calendar-table.c: (ec_query_tooltip): Offer it to others too.
	* gui/e-calendar-table.c: (query_tooltip_cb): Use above funtion.
	Show proper tooltip in table with grouping columns.
	* gui/e-memo-table.c: (query_tooltip_cb), (e_memo_table_init):
	Show tooltips in memo view too.

2009-02-13  Chow Loong Jin <hyperair@gmail.com>

	** Fixes bug #571625

	* calendar/gui/e-day-view.c
	* calendar/gui/e-week-view.c:
	Use black/white for foreground instead of active/inactive text color

2009-02-11  Andre Klapper  <a9016009@gmx.de>

	* /gui/migration.c:
	* /gui/dialogs/alarm-dialog.c:
	Substitute some deprecated gtk+ functions.

2009-02-09  Milan Crha  <mcrha@redhat.com>

	* gui/dialogs/cal-prefs-dialog.glade:
	Do not use non-zero page size in an adjustment, it's deprecated now.

2009-02-03  Gabor Kelemen  <kelemeng@gnome.hu>

	* gui/alarm-notify/alarm-notify.glade:
	Mark a string for translation. Fixes bug #570364

2009-02-01  Matthew Barnes  <mbarnes@redhat.com>

	* gui/calendar-config.c:
	* gui/calendar-config.h:
	* gui/e-itip-control.c:
	* gui/alarm-notify/alarm-queue.c:
	* gui/dialogs/event-page.c:
	* gui/dialogs/task-details-page.c:
	* gui/dialogs/task-page.c:
	Fix compiler warnings.

2009-01-30  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #450554 (bugzilla.novell.com)

	* gui/dialogs/event-editor.c (event_editor_edit_comp):
	* gui/dialogs/event-page.c (event_page_remove_all_attendees):
	* gui/dialogs/event-page.h:
	Remove all attendees from the list-view and name-selector before
	populating it on 'event_changed' callback.
	* gui/e-meeting-list-view.c
	(e_meeting_list_view_remove_attendee_from_name_selector),
	(e_meeting_list_view_remove_all_attendees_from_name_selector):
	Fix the GtkTreePath when iterating over the attendee list. It used
	to cause a mis-match between the model and the view (critical)
	* gui/e-meeting-list-view.h:
	* gui/e-meeting-store.c (e_meeting_store_remove_all_attendees):
	New function added.

2009-01-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #463602 (bnc)
	* calendar/gui/e-day-view-main-item.c: Align the summary
	so that it does not intercept with time.

2009-01-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #450535 (bnc)
	* calendar/gui/e-calendar-view.c: If multiple days are
	selected in month view, show same selected times in the
	editor also.

2009-01-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #347287
	* calendar/gui/e-cal-model.c:
	* calendar/gui/gnome-cal.c: Increased the number of tries
	to 10 and wait to 500 micro seconds.

2009-01-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #318003

	* gui/memos-component.c: (selector_tree_data_dropped):
	* gui/tasks-component.c: (selector_tree_data_dropped):
	* gui/calendar-component.c: (selector_tree_data_dropped),
	(create_component_view):
	* gui/comp-util.h: (cal_comp_process_source_list_drop):
	* gui/comp-util.c: (update_single_object), (update_objects),
	(cal_comp_process_source_list_drop):
	Support move of the event in day view when dropped over the source
	list. Use the same function for events/tasks/memos.

	* gui/e-day-view.c: (e_day_view_on_drag_data_get):
	Encode string data same as memos and tasks do, with a source UID.

	* gui/e-calendar-table.c: (e_calendar_table_copy_clipboard):
	* gui/e-memo-table.c: (e_memo_table_copy_clipboard):
	Removed inappropriate comments.

2009-01-27  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #463597, bug #463594, bug#463599 (BNC) and 
	**	   bug #567824(BGO)

	* gui/print.c (titled_box), (print_day_background),
	(print_day_view), (print_week_view), (print_month_view): Fix all header
	related bugs in calendar printing.

	Bug reports:
	1) Daily Printouts Display Hour In Wrong Spot :
	When you print your daily calendar, it prints the hours in the left 
	column below the :30 time slot

	2) Font Problems On Printout, Days Of Week

	3) Calendar Heading Printout Problems, Overlapping Fonts
	In print preview, short week day names in the header of the page are 
	overlapped.

	Fixes all header issues mentioned at 
	http://www.go-evolution.org/CalendarPrintoutLove

2009-01-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #559604

	* gui/itip-utils.h: (itip_organizer_is_user_ex):
	* gui/itip-utils.c: (itip_organizer_is_user_ex),
	(itip_organizer_is_user):
	* gui/e-calendar-view.c: (e_calendar_view_get_attendees_status_info):
	Let the feature work with Groupwise too.

2009-01-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #442869

	* gui/dialogs/task-page.c: (attendee_added_cb):
	* gui/dialogs/event-page.c: (attendee_added_cb): Do not work
	with NULL delegator and do not set 'delfrom' with two MAILTO.
	* gui/e-meeting-list-view.c: (name_selector_dialog_close_cb):
	Delete attendee only if we have enough rights for it.

2009-01-21  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #362754

	* gui/tasks-component.c: (ensure_sources):
	* gui/memos-component.c: (ensure_sources):
	* gui/calendar-component.c: (ensure_sources):
	Ensure to show default groups and sources with actual
	localized name, not the one it was stored last time.

2009-01-21  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #541209

	** Adapt to the new APIs from upstream libical. Changes made include
	using the "_r" counterpart for the following APIs:
	+ icalproperty_as_ical_string ()
	+ icalvalue_as_ical_string ()
	+ icalcomponent_as_ical_string ()
	+ icalparameter_as_ical_string ()
	+ icaldurationtype_as_ical_string ()
	+ icalenum_reqstat_code ()
	+ icallangbind_property_eval_string ()
	+ icallangbind_quote_as_ical ()
	+ icalmime_text_end_part ()
	+ icalperiodtype_as_ical_string ()
	+ icalproperty_enum_to_string ()
	+ icalproperty_get_parameter_as_string ()
	+ icalproperty_get_value_as_string ()
	+ icalproperty_get_property_name ()
	+ icalrecurrencetype_as_string ()
	+ icaltime_as_ical_string ()
	+ icalreqstattype_as_string ()
	+ icalvalue_binary_as_ical_string ()
	+ icalvalue_int_as_ical_string ()
	+ icalvalue_utcoffset_as_ical_string ()
	+ icalvalue_string_as_ical_string ()
	+ icalvalue_recur_as_ical_string ()
	+ icalvalue_text_as_ical_string ()
	+ icalvalue_attach_as_ical_string ()
	+ icalvalue_duration_as_ical_string ()
	+ icalvalue_date_as_ical_string ()
	+ icalvalue_datetime_as_ical_string ()
	+ icalvalue_float_as_ical_string ()
	+ icalvalue_geo_as_ical_string ()
	+ icalvalue_datetimeperiod_as_ical_string ()
	+ icalvalue_period_as_ical_string ()
	+ icalvalue_trigger_as_ical_string ()
	+ icalvalue_as_ical_string ()

	* gui/dialogs/e-send-options-utils.c
	(e_sendoptions_utils_fill_component):
	* gui/e-cal-model.c (search_by_id_and_client):
	* gui/e-calendar-table.c (copy_row_cb),
	(e_calendar_table_copy_clipboard):
	* gui/e-calendar-view.c (e_calendar_view_copy_clipboard),
	(transfer_item_to), (icalcomp_contains_category):
	* gui/e-day-view.c (update_row), (model_comps_deleted_cb),
	(e_day_view_find_event_from_uid), (e_day_view_reshape_day_events),
	(e_day_view_on_drag_data_get):
	* gui/e-itip-control.c (update_item):
	* gui/e-memo-table.c (copy_row_cb), (e_memo_table_copy_clipboard):
	* gui/e-memos.c (obtain_list_of_components):
	* gui/e-tasks.c (obtain_list_of_components):
	* gui/e-week-view.c (update_row), (model_comps_deleted_cb),
	(e_week_view_reshape_events), (e_week_view_find_event_from_uid):
	* gui/gnome-cal.c (gnome_calendar_purge):
	* gui/itip-utils.c (comp_limit_attendees), (itip_send_comp),
	(reply_to_calendar_comp), (itip_publish_comp):

2009-01-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #353460

	* gui/gnome-cal.c: (setup_widgets):
	Do not allow shrinking of Tasks/Memos components in calendar view.

2009-01-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #568331

	* gui/dialogs/comp-editor.c: (classification_changed_cb),
	(comp_editor_init): Notify changes of the classification.
	* gui/dialogs/comp-editor.c: (fill_widgets): Block classification
	change signal when filling widgets with values from a component.

2009-01-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #567850

	* gui/e-cal-model.h: (e_cal_model_set_default_time_func):
	* gui/e-cal-model.c: (struct _ECalModelPrivate), (ecm_append_row),
	(e_cal_model_set_default_time_func):
	New functionality to retrieve a default time for a model's new
	event created from a "click-to-add" row.
	* gui/gnome-cal.c: (gc_get_default_time), (setup_widgets):
	Set the new time callback for the memo table.

2009-01-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #550735

	* gui/print.c: (get_summary_with_location), (print_day_long_event),
	(print_day_event), (print_week_event):
	Print location with summary in all views, not only in a day view.

2009-01-19  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #260853

	* gui/calendar-config-keys.h:
	* gui/calendar-config.h:
	(calendar_config_get_ba_reminder), (calendar_config_set_ba_reminder):
	* gui/calendar-config.c:
	(calendar_config_get_ba_reminder), (calendar_config_set_ba_reminder),
	(string_to_units), (calendar_config_get_default_reminder_units):
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/dialogs/cal-prefs-dialog.h: (struct _CalendarPrefsDialog):
	* gui/dialogs/cal-prefs-dialog.c: (ba_reminder_toggled),
	(ba_reminder_interval_changed), (ba_reminder_units_changed),
	(setup_changes), (show_config), (calendar_prefs_dialog_construct):
	User interface and related function to allow use change setup of
	the alarm for Birthdays and Anniversaries calendar.

2009-01-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #225712

	* gui/dialogs/comp-editor.h: (CompEditorClass::send_comp),
	(comp_editor_send_comp): Changed function prototypes.
	* gui/dialogs/comp-editor.c: (real_send_comp), (save_comp_with_send),
	(comp_editor_send_comp): Strip alarms based on user's choice.
	* gui/dialogs/send-comp.h: (send_component_dialog):
	* gui/dialogs/send-comp.c: (have_nonprocedural_alarm),
	(send_component_dialog): Show option "Send my alarms with this event"
	when prompting to send event or not, but only if have any non-procedure
	alarms and if it the caller want to know user's opinion. Default is
	to strip all alarms. Procedure alarms are always strip out.
	* gui/dialogs/event-editor.c: (event_editor_send_comp):
	* gui/dialogs/task-editor.c: (task_editor_send_comp):
	Honor function prototype changes and use new parameter strip_alarms.
	* gui/itip-utils.h: (itip_send_comp):
	* gui/itip-utils.c: (comp_compliant), (itip_send_comp),
	(reply_to_calendar_comp):
	New parameter to strip all alarms or only procedure alarms.
	* gui/tasks-control.c: (tasks_control_forward_cmd):
	* gui/e-itip-control.c: (send_item), (send_freebusy), (ok_clicked_cb):
	* gui/e-calendar-table.c: (e_calendar_table_on_forward):
	* gui/e-memo-table.c: (e_memo_table_on_forward):
	* gui/e-calendar-view.c: (e_calendar_view_cut_clipboard),
	(delete_event), (e_calendar_view_delete_selected_occurrence),
	(on_forward):
	Always strip alarms when sending component.
	* gui/e-calendar-view.c: (e_calendar_view_add_event),
	(e_calendar_view_modify_and_send):
	* gui/e-cal-model-calendar.c: (ecmc_set_value_at):
	Strip alarms based on user's choice.

2009-01-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #200254

	* gui/apps_evolution_calendar.schemas.in:
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/dialogs/cal-prefs-dialog.h: (struct _CalendarPrefsDialog):
	* gui/dialogs/cal-prefs-dialog.c: (dview_show_week_no_toggled),
	(setup_changes), (show_config), (calendar_prefs_dialog_construct):
	* gui/calendar-config-keys.h:
	* gui/calendar-config.h:
	* gui/calendar-config.c: (calendar_config_get_dview_show_week_no),
	(calendar_config_set_dview_show_week_no),
	(calendar_config_add_notification_dview_show_week_no):
	New option whether to show week number in Day and Work Week view.
	* gui/e-day-view.h: (struct _EDayView),
	(e_day_view_get_show_week_number), (e_day_view_set_show_week_number):
	* gui/e-day-view.c: (dview_show_week_no_changed_cb), (e_day_view_init),
	(e_day_view_destroy), (e_day_view_recalc_day_starts),
	(e_day_view_get_show_week_number), (e_day_view_set_show_week_number):
	New widget showing week number of the first day in a view.

2009-01-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #360813

	* conduits/calendar/calendar-conduit.c: (comp_from_remote_record):
	RFC 2445 - CREATED/DTSTAMP/LAST-MODIFIED always in UTC.

2009-01-16  Milan Crha  <mcrha@redhat.com>

	** Partial fix for bug #310844

	* gui/e-calendar-view.c: (transfer_item_to):
	Transfer master object instead of the instance for recurring events.

2009-01-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #303738

	* gui/gnome-cal.c: (client_cal_opened_cb),
	(default_client_cal_opened_cb):
	* gui/e-memos.c: (client_cal_opened_cb),
	(default_client_cal_opened_cb):
	* gui/e-tasks.c: (client_cal_opened_cb),
	(default_client_cal_opened_cb):
	Forget password on AuthFailed or AuthRequired and try to reopen
	on AuthFailed status, which will ask for a password again.

	* gui/comp-editor-factory.c: (cal_opened_cb):
	Show "Authentication Required" on such status returned.

	* common/authentication.c: (auth_cal_forget_password):
	Do not free memory which hold ECal. Also always forget password
	for calendar with the URL key.

2009-01-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #245156

	* gui/e-day-view.c: (e_day_view_finish_long_event_resize),
	(e_day_view_finish_resize), (e_day_view_change_event_time),
	(e_day_view_on_top_canvas_drag_data_received),
	(e_day_view_on_main_canvas_drag_data_received):
	* gui/e-week-view.c: (e_week_view_change_event_time):
	* gui/e-calendar-view.c: (on_unrecur_appointment):
	Keep old timezone for dtstart/dtend when changing it.
	* gui/comp-util.h: (cal_comp_set_dtstart_with_oldzone),
	(cal_comp_set_dtend_with_oldzone):
	* gui/comp-util.c: (cal_comp_set_dtstart_with_oldzone),
	(cal_comp_set_dtend_with_oldzone), (datetime_to_zone):
	Helper functions to make it easier.

2009-01-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #246313

	* gui/e-day-view.c: (e_day_view_check_if_new_event_fits): Removed.
	* gui/e-day-view.h: (struct _EDayView):
	* gui/e-day-view.c: (e_day_view_init), (e_day_view_size_allocate),
	(e_day_view_recalc_main_canvas_size), (e_day_view_recalc_cell_sizes),
	(e_day_view_update_scroll_regions), (e_day_view_check_layout):
	* gui/e-day-view-layout.h: (e_day_view_layout_day_events):
	* gui/e-day-view-layout.c: (e_day_view_layout_day_events),
	(e_day_view_layout_day_event), (e_day_view_expand_day_event):
	Added ability to show all event in one-day view, but show only up
	to 6 columns in a multi-day view.
	* gui/print.c: (print_day_details): Always print all events.

2009-01-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #554454

	* gui/e-cal-model.c: (e_cal_view_objects_modified_cb):
	Do not crash when received 'modified' event for something
	not in a model. And a leak fix.

2009-01-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #489437

	* gui/dialogs/recurrence-page.c: (fill_component): Check whether
	the 'until' date is in the future, and report error if not.

2009-01-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #567045

	* gui/e-meeting-time-sel.c: (e_meeting_time_selector_construct),
	(e_meeting_time_selector_on_canvas_scroll_event): Escalate scroll
	event's to a scrolled window, to let mouse wheel work over data too.

2009-01-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #563364

	* gui/e-day-view-time-item.h: (EDayViewTimeItem):
	* gui/e-day-view-time-item.c: (e_day_view_time_item_class_init),
	(e_day_view_time_item_init), (e_day_view_time_item_finalize),
	(e_day_view_time_item_get_column_width), (edvti_draw_zone),
	(e_day_view_time_item_draw), (edvti_second_zone_changed_cb),
	(edvti_on_select_zone), (edvti_on_set_zone),
	(e_day_view_time_item_show_popup_menu):
	Show two timezones in the day view's time column.

	* gui/apps_evolution_calendar.schemas.in:
	* gui/calendar-config-keys.h:
	* gui/calendar-config.h:
	* gui/calendar-config.c: (calendar_config_get_day_second_zones),
	(calendar_config_free_day_second_zones),
	(calendar_config_set_day_second_zone),
	(calendar_config_get_day_second_zone),
	(calendar_config_select_day_second_zone),
	(calendar_config_add_notification_day_second_zone):
	Access configuration for the second day time zone.

	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/dialogs/cal-prefs-dialog.h: (struct _CalendarPrefsDialog):
	* gui/dialogs/cal-prefs-dialog.c: (update_day_second_zone_caption),
	(on_set_day_second_zone), (on_select_day_second_zone),
	(day_second_zone_clicked), (setup_changes), (show_config),
	(calendar_prefs_dialog_construct):
	Manage the second day zone in a Preferences dialog.

2009-01-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #555310

	* importers/icalendar-importer.c: (ivcal_getwidget):
	Localize strings properly.

2009-01-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fix for bug #567148

	* gui/e-timezone-entry.c (e_timezone_entry_init): Use a labelled button
	to bring up the timezone selector widget. 

2009-01-11  Matthew Barnes  <mbarnes@redhat.com>

	* gui/e-cal-component-preview (on_link_clicked):
	* gui/e-cal-component-memo-preview (on_link_clicked):
	* gui/e-memo-table.c (open_url_cb):
	* gui/dialogs/comp-editor.c (open_attachment):
	Call e_show_uri() instead of gnome_url_show().

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* gui/calendar-commands.c:
	* gui/e-cal-list-view.c:
	* gui/e-day-view.c:
	* gui/e-itip-control.c:
	* gui/e-meeting-list-view.c:
	* gui/e-meeting-store.c:
	* gui/e-week-view.c:
	* gui/gnome-cal.c:
	* gui/memos-control.c:
	* gui/tasks-control.c:
	Remove unneeded #include <libgnome/gnome-util.h>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* gui/calendar-commands.c:
	* gui/e-cell-date-edit-text.c:
	* gui/e-itip-control.c:
	* gui/memos-control.c:
	* gui/print.c:
	* gui/tasks-control.c:
	Remove unneeded #include <libgnomeui/gnome-stock-icons.h>.

	* gui/alarm-notify/alarm-queue.c:
	* gui/dialogs/cal-attachment-select-file.c:
	* gui/dialogs/cancel-comp.c:
	* gui/dialogs/changed-comp.c:
	* gui/dialogs/delete-error.c:
	* gui/dialogs/recur-comp.c:
	* gui/e-itip-control.c:
	* gui/print.c:
	Remove unneeded #include <libgnomeui/gnome-uidefs.h>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #567281

	* gui/calendar-commands.c:
	* gui/e-cell-date-edit-text.c:
	Remove unneeded #include <libgnomeui/gnome-messagebox.h>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #567276

	* gui/calendar-commands.c:
	* gui/control-factory.c:
	* gui/e-itip-control.c:
	* gui/gnome-cal.c:
	* gui/goto.c:
	* gui/memos-control.c:
	* gui/print.c:
	* gui/tasks-control.c:
	* gui/alarm-notify/alarm-queue.c:
	* gui/dialogs/schedule-page.c:
	Remove unneeded #include <libgnomeui/gnome-dialog-util.h>.

	* gui/calendar-config.c:
	* gui/calendar-config.h:
	Removed unused function calendar_config_check_timezone_set().

2009-01-09  Takao Fujiwara  <takao.fujiwara@sun.com>

	Reviewed by Matthew Barnes  <mbarnes@redhat.com>

	* Fix for bug #566011

	* gui/Makefile.am:
	* gui/calendar-component.c (calendar_component_class_init):
	* gui/dialogs/comp-editor.c:
	* gui/memos-component.c (memos_component_class_init):
	* gui/tasks-component.c (tasks_component_class_init):
	Include <glib/gi18n-lib.h> instead of <glib/gi18n.h> and
	add bindtextdomain().

2009-01-07  Ashish Shrivastava  <shashish@novell.com>

	** Fix for bug #565553, #462372 (bnc)

	* gui/e-cal-popup.c (temp_save_part):
	Add supported URI format.

2009-01-07  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #443544 (bugzilla.novell.com)

	* gui/e-meeting-attendee.c (e_meeting_attendee_add_busy_period):
	* gui/e-meeting-store.c (process_free_busy_comp):
	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	* gui/e-meeting-types.h:
	Handle E_MEETING_FREE_BUSY_FREE.

2009-01-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #566599

	* gui/itip-utils.c (comp_subject):
	Add translator comments and gettext context for meeting mail
	subject prefixes.

2009-01-06  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #458968 (bugzilla.novell.com)

	* gui/dialogs/comp-editor.c (comp_editor_set_summary),
	(comp_editor_set_changed): Don't warn the user about changes being lost
	if he is trying to delegate the meeting. 

2009-01-05  Ashish Shrivastava  <shashish@novell.com>

	** Fix for bug #458153 (bugzilla.novell.com)

	* gui/dialogs/comp-editor.c: Added a separator in the toolbar.
	* gui/dialogs/event-editor.c (action_all_day_event_cb): Toggle 'Show
	time as busy' in all_day_event callback. 

2008-01-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #566566

	* gui/e-itip-control.c (insert_rsvp):
	Mark "RSVP" for translation.

2008-12-31  Matthew Barnes  <mbarnes@redhat.com>

	** Fix for bug #562091

	* gui/dialogs/memo-editor.c (memo_editor_constructed),
	(memo_editor_class_init), (memo_editor_init): Create MemoPage
	after the base class object has been created and initialized. 

2008-12-29  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #446285 (bnc)

	* gui/e-select-names-editable.c:
	(e_select_names_editable_get_emails),
	(e_select_names_editable_get_names): Traverse all the entries in the 
	added list.

2008-12-29  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #439998 (bnc)

	* gui/dialogs/comp-editor.c: (remove_event_dialog),
	(action_save_cb): Ask the user if he wants to remove the delegated 
	events or keep a copy.
	
2008-12-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #559604

	* gui/e-calendar-view.h: (e_calendar_view_get_attendees_status_info):
	* gui/e-calendar-view.c: (e_calendar_view_get_attendees_status_info),
	(e_calendar_view_get_tooltips):
	* gui/e-calendar-table.c: (query_tooltip_cb): Show additional status
	information for the meeting only when user is an organizer.

2008-12-17  Milan Crha  <mcrha@redhat.com>

	* gui/e-cal-model.c: (update_e_cal_view_for_client):
	Show reason of a failure on a console too.

2008-12-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #540181

	* gui/tasks-component.c: (destroy_component_view):
	Do not touch already freed object.

2008-12-15  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #564229

	* gui/dialogs/alarm-dialog.c: (populate_widgets_from_alarm):
	Cast to proper object.
	* gui/alarm-notify/alarm-queue.c: (free_tray_icon_data):
	Do not leak.

2008-12-15  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563669

	* gui/dialogs/recurrence-page.c: (make_ending_count_special):
	* conduits/todo/todo-conduit.c: (e_todo_gui_new):
	Use zero GtkSpinButton's PageSize, as Gtk+ requires.

2008-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for BNC bug #435452

	* gui/e-meeting-list-view.c: (ense_update), (editing_started_cb),
	(build_table):

2008-12-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #333224

	* gui/e-day-view.c: (e_day_view_on_text_item_event): Sanitize returned
	values from 'e_day_view_convert_position_in_main_canvas', because it
	can let the 'event_num' or 'day' set to -1, which means invalid value.

2008-12-09  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563669

	* gui/dialogs/recurrence-page.glade:
	* gui/dialogs/alarm-dialog.glade:
	* gui/dialogs/event-page.glade:
	* gui/dialogs/task-details-page.glade:
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/alarm-notify/alarm-notify.glade:
	* gui/goto-dialog.glade:
	Use zero GtkSpinButton's PageSize, as Gtk+ requires.

2008-12-08  Jeff Cai <jeff.cai@sun.com>

	** Fix for bug #563633

	* gui/e-cal-model.c: Add an unused member for _ECalModelComponentPrivate

2008-12-08  Jennifer Newman  <jennifer.newman@tufts.edu>

	** Fix for bug #555371

	* gui/dialogs/comp-editor.c: Added print menu option to task, memo and
	event editors. 

2008-12-08  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #350725

	* gui/e-calendar-view.c (e_calendar_view_class_init),
	(clipboard_clear_calendar_cb), (clipboard_get_calendar_cb),
	(e_calendar_view_copy_clipboard), (clipboard_get_calendar_data),
	(e_calendar_view_paste_text), (clipboard_paste_received_cb),
	(e_calendar_view_paste_clipboard):
	* gui/e-calendar-view.h:
	* gui/e-day-view.c (e_day_view_class_init),
	(e_day_view_add_new_event_in_selected_range),
	(e_day_view_do_key_press), (e_day_view_get_num_events_selected),
	(e_day_view_paste_text):
	* gui/e-week-view.c (e_week_view_class_init),
	(e_week_view_add_new_event_in_selected_range),
	(e_week_view_do_key_press), (e_week_view_is_jump_button_visible),
	(e_week_view_paste_text):

	Copy/Paste support in day/week views. 

2008-12-08  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #551599

	* gui/dialogs/alarm-dialog.c: (populate_widgets_from_alarm):
	Do not fallback to default 15 minutes alarm offset if alarm is
	triggered at start (or end) of appointment.

2008-12-05  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #332629

	* gui/caltypes.xml:
	* gui/memotypes.xml:
	* gui/tasktypes.xml:
	Use dynamically created list of categories in the option's widget.

2008-12-03  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #352287

	* gui/e-day-view-top-item.c: (e_day_view_top_item_draw_long_event):
	Draw top icons in full detail/color depth (for weather, for example).

2008-12-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #348299

	* gui/dialogs/event-page.c (get_widgets):
	* gui/dialogs/memo-page.c (get_widgets):
	* gui/dialogs/task-page.c (get_widgets):
	Use category completion in the Categories field.

	* gui/dialogs/event-editor.c:
	* gui/dialogs/memo-editor.c:
	* gui/dialogs/task-editor.c:
	Fix some reference count leaks.

2008-11-28  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #561467

	* gui/dialogs/comp-editor.c (real_send_comp): Don't replace 
	attachment list if backend can CREATE_MESSAGES
	* gui/itip-utils.c (itip_send_comp): Check whether backend 
	could handle sending requests/updates. 

2008-11-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #560138

	* gui/e-calendar-table.c: (query_tooltip_cb):
	Let wrap description text in a tooltip.

2008-11-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #556224

	* gui/gnome-cal.c: (struct _GnomeCalendarPrivate), (setup_widgets),
	(update_todo_view_async), (update_todo_view), (gnome_calendar_init),
	(gnome_calendar_destroy): Run always 'update_todo_view' in a separate
	thread and guard its body with a mutex.

	* gui/gnome-cal.c: (update_query_async): Do not leak.

2008-11-17  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #557818

	* gui/calendar-component.c:
	* gui/memos-component.c:
	* gui/tasks-component.c:
	ESourceSelector now handles most of the drag-and-drop signals.
	We just have to listen for the new "data-dropped" signal and
	deal with it.  Gets rid of a lot of duplicate logic.

2008-11-17  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #558322

	* gui/calendar-component.c (rename_calendar_cb):
	* gui/memos-component.c (rename_memo_list_cb):
	* gui/tasks-component.c (rename_task_list_cb):
	New "Rename" item in the source selector pop-up menu calls
	the recently added e_source_selector_edit_primary_selection().
	Still need to bind the "F2" key to this action, but I'm not
	sure how whether EPopup supports that.

2008-11-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #559604

	* gui/e-calendar-view.h: (e_calendar_view_get_attendees_status_info):
	* gui/e-calendar-view.c: (e_calendar_view_get_attendees_status_info),
	(e_calendar_view_get_tooltips):
	* gui/e-calendar-table.c: (query_tooltip_cb):
	Show attendees' status in the tooltip if available.

2008-11-11  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #490503

	* gui/e-day-view.c (set_text_as_bold),
	(e_day_view_update_event_label),
	(e_day_view_update_long_event_label):
	* gui/e-week-view.c (set_text_as_bold),
	(e_week_view_reshape_event_span):
	Summary of unaccepted meetings in calendar views now appear as bolded. 
	If the meeting was sent to a mailing-list - the summary will always 
	appear as normal. 

2008-11-10  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #443190 (bugzilla.novell.com)

	* gui/dialogs/comp-editor.c (fill_widgets), (real_edit_comp):
	Block signals from attachment-bar while still filling the widgets. 

2008-11-07  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #440007 (bugzilla.novell.com)

	* gui/print.c: (print_comp_draw_real): Print the attendees only if
	its the first page.

2008-11-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #558354

	* gui/alarm-notify/alarm-notify.glade:
	* gui/alarm-notify/alarm-notify-dialog.h: (enum AlarmNotifyResult):
	* gui/alarm-notify/alarm-notify-dialog.c: (struct AlarmNotify),
	(dismiss_pressed_cb), (notified_alarms_dialog_new):
	* gui/alarm-notify/alarm-queue.c: (notify_dialog_cb):
	Changed "Close" button to "Dismiss All" and added a "Dismiss" button
	to the alarm notification dialog to be able to dismiss only some of
	the alarms shown in the dialog.

2008-11-04  Matthew Barnes  <mbarnes@redhat.com>

	* gui/calendar-commands.c:
	* gui/calendar-component.h:
	* gui/gnome-cal.c:
	Fix compiler warnings.

2008-11-02  Matthew Barnes  <mbarnes@redhat.com>

	* gui/e-itip-control.c (write_recurrence_piece):
	Remove extra space in translated string.

2008-10-31  Matthew Barnes  <mbarnes@redhat.com>

	* gui/itip-utils.c (itip_send_comp):
	Fix a crash when selecting "Forward as iCalendar".

2008-10-30  Matthew Barnes  <mbarnes@redhat.com>

	* gui/control-factory.c:
	* gui/e-calendar-table.c:
	* gui/e-week-view-event-item.c:
	* gui/weekday-picker.c:
	Only include the toplevel GTK+ header.

2008-10-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #555958 (patch by Anis Elleuch)

	* gui/dialogs/comp-editor.c (comp_editor_init):
	Add the UI manager's accelerator group to the editor window
	so that menu shortcut keys work.

2008-10-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #553715

	* gui/e-week-view.c: (e_week_view_on_editing_stopped):
	Set end time for the event properly, not same as start time.

2008-10-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #528816

	* importers/icalendar-importer.c: (vcal_supported): We do not support
	vCalendar importer when we can parse the iCalendar from the file,
	because the latter holds more information, like timezones.

2008-10-17   Matt Davey  <mcdavey@mrao.cam.ac.uk>

	** Fix for bug #556059

	* conduits/common/Makefile.am:
	* conduits/common/libecalendar-common-conduit.c: Allow building outside
	the source tree.

2008-10-17  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #553609

	* gui/e-week-view.c: (e_week_view_set_selected_time_range):
	Do not do any changes when the view has not been shown yet.

2008-10-17  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #530872

	* gui/e-calendar-table.c: (e_calendar_table_on_open_task):
	Check for NULL soon enough to not crash.

2008-10-14  Sankar P  <psankar@novell.com>

License Changes

	* conduits/calendar/calendar-conduit.c:
	* conduits/memo/memo-conduit.c:
	* conduits/todo/todo-conduit.c:
	* gui/calendar-commands.c:
	* gui/calendar-commands.h:
	* gui/gnome-cal.c:
	* gui/gnome-cal.h:

2008-10-13  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #424818 (bugzilla.novell.com)

	* gui/dialogs/calendar-setup.c (eccp_general_offline): Don't show offline
	availability option for B&A calendars. 
	* gui/e-cal-popup.c (e_cal_popup_target_new_source): Check for the correct 
	property ("offline_sync" instead of "offline") while setting the GUI mask. 
	* gui/calendar-component.c (set_offline_availability),
	(mark_no_offline_cb), (mark_offline_cb):
	* gui/memos-component.c (set_offline_availability),
	(mark_no_offline_cb), (mark_offline_cb):
	* gui/tasks-component.c (set_offline_availability), 
	(mark_no_offline_cb), (mark_offline_cb):
	Integrate the mark-calendar-offline plugin into the main code as we already 
	have a similar per-calendar option which does the same thing. 

2008-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #555494

	* gui/cal-search-bar.c (generate_viewoption_menu):
	Category icons are not themed.  Load by file, not by icon name.

2008-10-08  Sankar P  <psankar@novell.com>

License Changes

	* gui/alarm-notify/alarm.c:
	* gui/dialogs/comp-editor.c:

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #554418

	* gui/dialogs/comp-editor.c: (set_attachment_list):
	* gui/e-cal-popup.c: (ecalp_standard_menu_factory):
	Allow/disallow guessing of the mime_type based on the file content.

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #554458

	* gui/e-cal-popup.c: (ecalp_standard_menu_factory):
	Use content-type to call of g_app_info_get_all_for_type.

2008-10-01  Sankar P  <psankar@novell.com>

License Changes

	* gui/dialogs/recurrence-page.c:
	* importers/icalendar-importer.c:

2008-09-30  Sankar P  <psankar@novell.com>

License Changes

	* gui/e-week-view.c:
	* gui/goto.c:

2008-09-29  Gabor Kelemen  <kelemeng@gnome.hu>

	* shell.error.xml: Unbreak build, sorry for the inconvenience.

2008-09-29  Gabor Kelemen  <kelemeng@gnome.hu>

	* calendar.error.xml: Mark some forgotten strings for translation. Fixes bug #553105

2008-09-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #553297

	* gui/e-day-view.c: (e_day_view_on_editing_stopped):
	Do not try to access uninitialized variables.

2008-09-25  Sankar P  <psankar@novell.com>

License Changes

	* gui/e-itip-control.c:
	* gui/e-itip-control.h:
	* gui/itip-utils.c:
	* gui/itip-utils.h:
	* gui/main.c:

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* gui/alarm-notify/config-data.c:
	* gui/cal-search-bar.c:
	* gui/calendar-component.c:
	* gui/comp-util.c:
	* gui/comp-util.h:
	* gui/dialogs/cal-prefs-dialog.c:
	* gui/dialogs/e-send-options-utils.c:
	* gui/dialogs/event-page.c:
	* gui/dialogs/memo-page.c:
	* gui/dialogs/task-page.c:
	* gui/e-cal-component-memo-preview.c:
	* gui/e-cal-component-preview.c:
	* gui/e-day-view-main-item.c:
	* gui/e-day-view-top-item.c:
	* gui/e-week-view-event-item.c:
	* gui/e-week-view.h:
	* gui/memos-component.c:
	* gui/tasks-component.c:

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* gui/dialogs/delete-comp.c:
	* gui/e-alarm-list.c:

2008-09-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #553273

	* gui/alarm-notify/alarm-queue.c: (edit_component):
	* gui/tasks-component.c: (delete_task_list_cb):
	* gui/calendar-component.c: (delete_calendar_cb):
	* gui/memos-component.c: (delete_memo_list_cb):
	Always end e_error_run/e_error_new calls with NULL parameter.

2008-09-19  Sankar P  <psankar@novell.com>

License Changes

	* gui/alarm-notify/alarm-queue.c:
	* gui/e-calendar-view.c:

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* gui/alarm-notify/alarm.h:
	* gui/comp-editor-factory.c:
	* gui/dialogs/changed-comp.c:
	* gui/dialogs/copy-source-dialog.c:
	* gui/dialogs/delete-error.c:
	* gui/e-cal-model-tasks.c:
	* gui/e-cal-popup.c:
	* gui/e-calendar-table.c:
	* gui/e-memo-table.c:
	* gui/e-timezone-entry.c:
	* gui/print.c:
	* gui/tasks-control.c:

2008-09-14  Chenthill Palanisamy  <pchenthill@novell.com>

	** Fix for bug #551628

	* gui/e-cal-model.c: (e_cal_view_objects_modified_cb):
	* gui/e-day-view.c: (update_row), (model_comps_deleted_cb):
	* gui/e-week-view.c: (update_row): Remove old events from the 
	view when objects are modified. 

2008-09-12  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #551895

	* gui/dialogs/alarm-list-dialog.c: (edit_clicked_cb):
	Copy paste error.

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* gui/alarm-notify/notify-main.c:
	* gui/calendar-config-keys.h:
	* gui/calendar-config.c:
	* gui/calendar-config.h:
	* gui/dialogs/cal-prefs-dialog.h:
	* gui/dialogs/recur-comp.c:
	* gui/e-meeting-store.c:
	* gui/e-meeting-store.h:
	* gui/e-meeting-time-sel.c:
	* gui/e-meeting-time-sel.h:
	* gui/migration.c:

2008-09-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #551382

	* gui/e-week-view.c: (model_comps_deleted_cb):
	* gui/e-cal-model.c: (redo_queries):
	Get rid of unused variables.
	* gui/e-cal-model.c: (e_cal_view_objects_modified_cb):
	Use result of g_list_prepend, thus report changes properly.

2008-11-03  Ashish Shrivastava  <shashish@novell.com>

	** Most of the errors are now non-intrusive

	* calendar.error.xml: Added a new error message for
	  non-intrusive backend_died.
	* apps_evolution_calendar.schemas.in:
	* calendar-commands.c: Added new verb for help debug message
	  (help_debug):
	* gnome-cal.c: Support for non-intrusive error.
	  (client_cal_opened_cb), Define fash table and accessing errors:
	* e-calendar-view.c: (error_response):
	  (e_calendar_utils_show_error_silent), (e_calendar_utils_show_info_silent):
	* e-calendar-view.h:
	* calendar-component.c: Added EActivityHandler and ELogger:
	(calendar_component_peek_activity_handler), (calendar_component_show_logger):
	* calendar-component.h:

2008-09-08  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #544187
	* calendar/gui/e-cal-model.c:
	* calendar/gui/e-cal-model.h:
	* calendar/gui/e-day-view.c:
	* calendar/gui/e-week-view.c: Added a new signal
	handler to update the views on comp deletion.

2008-09-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #549968

	* gui/dialogs/comp-editor.c (comp_editor_init):
	Use the same mnemonic for "Recent Documents" as composer.

2008-09-04  Sankar P  <psankar@novell.com>

License Changes

	* gui/alarm-notify/util.c:
	* gui/dialogs/calendar-setup.c:
	* gui/e-day-view-time-item.c:
	* gui/e-meeting-list-view.c:
	* gui/misc.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* conduits/common/libecalendar-common-conduit.c:
	* gui/alarm-notify/alarm-notify-dialog.c:
	* gui/alarm-notify/alarm-notify-dialog.h:
	* gui/alarm-notify/alarm-notify.c:
	* gui/calendar-component.h:
	* gui/calendar-view-factory.c:
	* gui/calendar-view.c:
	* gui/comp-editor-factory.h:
	* gui/control-factory.c:
	* gui/dialogs/alarm-dialog.c:
	* gui/dialogs/alarm-list-dialog.c:
	* gui/dialogs/cal-attachment-select-file.c:
	* gui/dialogs/cancel-comp.c:
	* gui/dialogs/changed-comp.h:
	* gui/dialogs/comp-editor-page.h:
	* gui/dialogs/comp-editor-util.c:
	* gui/dialogs/comp-editor-util.h:
	* gui/dialogs/comp-editor.h:
	* gui/dialogs/e-delegate-dialog.c:
	* gui/dialogs/e-send-options-utils.h:
	* gui/dialogs/event-editor.c:
	* gui/dialogs/event-editor.h:
	* gui/dialogs/event-page.h:
	* gui/dialogs/memo-editor.c:
	* gui/dialogs/recur-comp.h:
	* gui/dialogs/schedule-page.c:
	* gui/dialogs/schedule-page.h:
	* gui/dialogs/send-comp.c:
	* gui/dialogs/task-details-page.c:
	* gui/dialogs/task-editor.c:
	* gui/dialogs/task-editor.h:
	* gui/e-cal-component-memo-preview.h:
	* gui/e-cal-config.c:
	* gui/e-cal-event.c:
	* gui/e-cal-list-view-config.c:
	* gui/e-cal-list-view.c:
	* gui/e-cal-menu.c:
	* gui/e-cal-model-calendar.c:
	* gui/e-cal-model-memos.c:
	* gui/e-cal-model.c:
	* gui/e-calendar-table-config.c:
	* gui/e-calendar-table.h:
	* gui/e-calendar-view.h:
	* gui/e-cell-date-edit-config.c:
	* gui/e-cell-date-edit-text.c:
	* gui/e-cell-date-edit-text.h:
	* gui/e-comp-editor-registry.c:
	* gui/e-comp-editor-registry.h:
	* gui/e-date-edit-config.c:
	* gui/e-date-time-list.c:
	* gui/e-day-view-config.c:
	* gui/e-day-view-main-item.h:
	* gui/e-meeting-attendee.c:
	* gui/e-meeting-time-sel-item.c:
	* gui/e-memo-table-config.c:
	* gui/e-memo-table-config.h:
	* gui/e-memos.c:
	* gui/e-memos.h:
	* gui/e-mini-calendar-config.c:
	* gui/e-mini-calendar-config.h:
	* gui/e-select-names-editable.c:
	* gui/e-select-names-renderer.c:
	* gui/e-tasks.c:
	* gui/e-tasks.h:
	* gui/e-week-view-config.c:
	* gui/e-week-view-config.h:
	* gui/e-week-view-layout.c:
	* gui/e-week-view-main-item.c:
	* gui/e-week-view-titles-item.c:
	* gui/goto.h:
	* gui/itip-bonobo-control.c:
	* gui/memos-component.h:
	* gui/tasks-component.h:
	* gui/weekday-picker.c:
	* importers/main.c:

2008-08-28  Matthew Barnes  <mbarnes@redhat.com>

	** Related to bug #547822

	* gui/print.c (print_table_draw_page), (print_table):
	Use g_malloc() and g_free() instead of malloc() and free().
	Also fix an "assignment discards qualifiers" compiler warning.

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* common/authentication.c:
	* common/authentication.h:
	* conduits/common/libecalendar-common-conduit.h:
	* gui/alarm-notify/alarm-notify.h:
	* gui/alarm-notify/alarm-queue.h:
	* gui/alarm-notify/config-data.h:
	* gui/alarm-notify/util.h:
	* gui/cal-search-bar.h:
	* gui/calendar-view-factory.h:
	* gui/calendar-view.h:
	* gui/control-factory.h:
	* gui/dialogs/alarm-dialog.h:
	* gui/dialogs/alarm-list-dialog.h:
	* gui/dialogs/cal-attachment-select-file.h:
	* gui/dialogs/calendar-setup.h:
	* gui/dialogs/cancel-comp.h:
	* gui/dialogs/comp-editor-page.c:
	* gui/dialogs/copy-source-dialog.h:
	* gui/dialogs/delete-comp.h:
	* gui/dialogs/delete-error.h:
	* gui/dialogs/e-delegate-dialog.h:
	* gui/dialogs/memo-editor.h:
	* gui/dialogs/memo-page.h:
	* gui/dialogs/recurrence-page.h:
	* gui/dialogs/save-comp.c:
	* gui/dialogs/save-comp.h:
	* gui/dialogs/select-source-dialog.c:
	* gui/dialogs/select-source-dialog.h:
	* gui/dialogs/send-comp.h:
	* gui/dialogs/task-details-page.h:
	* gui/dialogs/task-page.h:
	* gui/e-alarm-list.h:
	* gui/e-cal-component-preview.h:
	* gui/e-cal-config.h:
	* gui/e-cal-event.h:
	* gui/e-cal-list-view-config.h:
	* gui/e-cal-list-view.h:
	* gui/e-cal-menu.h:
	* gui/e-cal-model-calendar.h:
	* gui/e-cal-model-memos.h:
	* gui/e-cal-model-tasks.h:
	* gui/e-cal-model.h:
	* gui/e-cal-popup.h:
	* gui/e-calendar-table-config.h:
	* gui/e-cell-date-edit-config.h:
	* gui/e-date-edit-config.h:
	* gui/e-date-time-list.h:
	* gui/e-day-view-config.h:
	* gui/e-day-view-layout.c:
	* gui/e-day-view-layout.h:
	* gui/e-day-view-time-item.h:
	* gui/e-day-view-top-item.h:
	* gui/e-day-view.h:
	* gui/e-meeting-attendee.h:
	* gui/e-meeting-list-view.h:
	* gui/e-meeting-time-sel-item.h:
	* gui/e-meeting-types.h:
	* gui/e-meeting-utils.c:
	* gui/e-meeting-utils.h:
	* gui/e-memo-table.h:
	* gui/e-select-names-editable.h:
	* gui/e-select-names-renderer.h:
	* gui/e-timezone-entry.h:
	* gui/e-week-view-event-item.h:
	* gui/e-week-view-layout.h:
	* gui/e-week-view-main-item.h:
	* gui/e-week-view-titles-item.h:
	* gui/itip-bonobo-control.h:
	* gui/memos-control.c:
	* gui/memos-control.h:
	* gui/migration.h:
	* gui/misc.h:
	* gui/print.h:
	* gui/tag-calendar.c:
	* gui/tag-calendar.h:
	* gui/tasks-control.h:
	* gui/weekday-picker.h:
	* importers/evolution-calendar-importer.h:
	* zones.h:

2008-08-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #523327

	* gui/e-cal-component-preview.c: (write_html):
	* gui/e-cal-component-memo-preview.c: (write_html):
	Show description in monospace font and wrap lines too.

2008-08-22  Tobias Mueller  <tobiasmue@svn.gnome.org>

	* gui/print.c (print_table_draw_page):
	Make it show "Tasks" for printing tasks list and "Calendar" for
	printing a calendar. Patch by
	Rouslan Solomakhin <rouslan@solomakhin.net>
	
	** Fixes bug 547822

2008-08-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #462242

	* gui/gnome-cal.c: (default_client_cal_opened_cb):
	Do not unref NULL pointers.

2008-08-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #508732

	* gui/calendar-component.c (impl_createView):
	* gui/memos-component.c (impl_createView):
	* gui/tasks-component.c (impl_createView):
	Add a "select_item" argument for crash recovery, which these
	components do not use.

2008-08-04  Paul Bolle  <pebolle@tiscali.nl>

	* gui/gui/calendar-component.c: (set_info):
	Use "Calendars" as label for component, not "Calendar", for
	consistency.

2008-08-14  Sebastien Bacher  <seb128@ubuntu.com>

	** Fix for bug #547805

	* gui/e-cal-popup.c: (ecalp_standard_menu_factory):
	don't filter applications using g_app_info_should_show()

2008-08-14  Matthew Barnes  <mbarnes@redhat.com>

	* gui/dialogs/comp-editor.c:
	Use e_display_help() for displaying help.

2008-08-17  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/dialogs/event-page.c: (source_changed_cb):
	* gui/dialogs/memo-page.c: (source_changed_cb):
	* gui/e-cal-model.c: (e_cal_model_set_timezone),
	(e_cal_view_done_cb):
	* gui/e-day-view-config.c: Fixed some warnings.

2008-08-15  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #347287
	* gui/e-cal-list-view-config.c: (e_cal_list_view_config_set_view):
	* gui/e-cal-list-view.c: (e_cal_list_view_new):
	* gui/e-cal-list-view.h:
	* gui/e-cal-model.c: (e_cal_model_set_timezone), (add_instance_cb),
	(e_cal_view_objects_added_cb), (e_cal_view_done_cb),
	(update_e_cal_view_for_client), (cal_opened_cb), (add_new_client),
	(e_cal_model_component_class_init),
	(e_cal_model_component_finalize), (e_cal_model_component_init),
	(e_cal_model_component_get_type),
	(e_cal_model_copy_component_data),
	(e_cal_model_free_component_data):
	* gui/e-cal-model.h:
	* gui/e-calendar-view.c: (e_calendar_view_init),
	(e_calendar_view_set_model):
	* gui/e-calendar-view.h:
	* gui/e-day-view-config.c: (e_day_view_config_set_view):
	* gui/e-day-view.c: (time_range_changed_cb),
	(model_row_changed_cb), (model_cell_changed_cb),
	(model_rows_inserted_cb), (model_rows_deleted_cb),
	(timezone_changed_cb), (e_day_view_init), (init_model),
	(e_day_view_new), (e_day_view_set_mins_per_row),
	(e_day_view_add_event), (e_day_view_check_layout):
	* gui/e-day-view.h:
	* gui/e-week-view-config.c: (e_week_view_config_set_view):
	* gui/e-week-view.c: (time_range_changed_cb),
	(model_row_changed_cb), (model_cell_changed_cb),
	(model_rows_inserted_cb), (model_rows_deleted_cb),
	(timezone_changed_cb), (e_week_view_init), (init_model),
	(e_week_view_new), (e_week_view_add_event),
	(e_week_view_check_layout):
	* gui/e-week-view.h:
	* gui/gnome-cal.c: (message_proxy), (create_thread_pool),
	(message_push), (update_query_async), (update_query),
	(set_search_query), (set_timezone), (setup_widgets),
	(update_view_times), (display_view), (display_view_cb),
	(add_mclient_async), (add_mclient), (client_cal_opened_cb),
	(default_client_cal_opened_cb),
	(gnome_calendar_remove_source_by_uid),
	(gnome_calendar_on_date_navigator_selection_changed): Use a
	single model for all the views.			

2008-08-12  Matthew Barnes  <mbarnes@redhat.com>

	* gui/migration.c:
	Fix TeX-style quotes.  (#547372)

2008-08-12  Dmitrijs Ledkovs  <dmitrij.ledkov@gmail.com>

	** Fixes bug #498095

	* gui/dialogs/event-page.glade: "D_escription" -> "_Description"
	* gui/dialogs/task-page.glade: As above and "_Due Date" -> "D_ue Date"
	Change mnemonics to resolve clash with "_Edit".
	* gui/dialogs/memo-page.glade:
	Set proper mnemonic widget for description label.

2008-08-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546892

	* gui/alarm-notify/alarm-notify-dialog.c:
	* gui/dialogs/alarm-dialog.c:
	* gui/dialogs/alarm-list-dialog.c:
	* gui/dialogs/cal-attachment-select-file.c:
	* gui/dialogs/changed-comp.c:
	* gui/dialogs/delete-error.c:
	* gui/dialogs/select-source-dialog.c:
	Prefer gtk_window_set_icon_name() over gtk_window_set_icon_list().

	* gui/dialogs/event-page.c:
	* gui/e-timezone-entry.c:
	Prefer gtk_image_new_from_icon_name() over e_icon_factory_get_image().

	* gui/alarm-notify/alarm-queue.c:
	Prefer gtk_status_icon_set_from_icon_name() over
	gtk_status_icon_set_from_pixbuf().

	* gui/e-calendar-table.c:
	* gui/e-calendar-view.c:
	* gui/e-memo-table.c:
	e_activity_handler_operation_started() no longer takes a GdkPixbuf.
	It was ignoring the pixbuf anyway ever since we added a spinner icon.

2008-08-08  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #544117

	* gui/itip-utils.c: (itip_send_comp): Initialize variables to NULL,
	to not free uninitialized memory in the cleanup part on the error.

2008-08-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #249844

	* gui/tasks-component.c: (impl__get_userCreatableItems):
	* gui/memos-component.c: (impl__get_userCreatableItems):
	Do not let compiler claim.
	* gui/calendar-component.c: (impl__get_userCreatableItems):
	Use C_() macro instead of Q_() macro.
	Use fully qualified names for "New" submenu entries.

2008-08-04  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #544157

	* gui/GNOME_Evolution_Calendar.server.in.in:
	Sort View / Window (sub)menu in shortcut order.

2008-08-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #249844

	* gui/memos-component.c (impl__get_userCreatableItems):
	* gui/tasks-component.c (impl__get_userCreatableItems):
	Use C_() macro instead of Q_() macro. 
	Use fully qualified names for "New" submenu entries. 

2008-08-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546057

	* gui/GNOME_Evolution_Calendar.server.in.in:
	* gui/calendar-component.c:
	* gui/e-calendar-view.c:
	* gui/dialogs/alarm-dialog.c:
	* gui/dialogs/alarm-list-dialog.c:
	* gui/dialogs/changed-comp.c:
	* gui/dialogs/comp-editor.c:
	* gui/dialogs/delete-error.c:
	* gui/dialogs/select-source-dialog.c:
	Use "x-office-calendar" icon name instead of "stock_calendar".

2008-08-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #544857

	* gui/memotypes.xml: Fix a typo.

2008-08-01  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #353927

	* gui/alarm-notify/alarm-queue.c: (tray_icon_blink_cb),
	(display_notification): Do not blink the icon more than 15 seconds.

2008-07-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #211267

	* gui/print.c: (bound_text), (print_attendees), (print_day_event),
	(print_todo_details), (print_comp_draw_real), (print_comp_draw_page),
	(print_comp_begin_print), (print_comp): When printing only one event,
	then divide it to more pages if required, also word-wrap description
	text if necessary to fit the page.

2008-07-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #329821

	* gui/e-calendar-table.c: (query_tooltip_cb):
	Recalculate returned row to the model row, if we are sorting.

2008-07-20  Andre Klapper  <a9016009@gmx.de>

	* calendar.error.xml: Fix some strings. See bug #543753.

2008-07-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #542125

	** This set of changes migrates CompEditor, CompEditorPage and the
	   various subclasses from using BonoboUI to GtkUIManager for menus
	   and toolbars.  It also substantially cleans up the code and
	   streamlines the CompEditorPage API, making more effective use
	   of GObject properties.

	Core changes:
	* gui/dialogs/comp-editor-page.c:
	* gui/dialogs/comp-editor-page.h:
	* gui/dialogs/comp-editor.c:
	* gui/dialogs/comp-editor.h:
	* gui/dialogs/event-editor.c:
	* gui/dialogs/event-editor.h:
	* gui/dialogs/event-page.c:
	* gui/dialogs/event-page.h:
	* gui/dialogs/memo-editor.c:
	* gui/dialogs/memo-editor.h:
	* gui/dialogs/memo-page.c:
	* gui/dialogs/memo-page.h:
	* gui/dialogs/recurrence-page.c:
	* gui/dialogs/recurrence-page.h:
	* gui/dialogs/schedule-page.c:
	* gui/dialogs/schedule-page.h:
	* gui/dialogs/task-details-page.c:
	* gui/dialogs/task-details-page.h:
	* gui/dialogs/task-editor.c:
	* gui/dialogs/task-editor.h:
	* gui/dialogs/task-page.c:
	* gui/dialogs/task-page.h:

	Supporting changes:
	* gui/calendar-component.c:
	* gui/comp-editor-factory.c:
	* gui/e-cal-popup.c:
	* gui/e-calendar-table.c:
	* gui/e-calendar-view.c:
	* gui/e-comp-editor-registry.c:
	* gui/e-memo-table.c:
	* gui/e-tasks.c:
	* gui/gnome-cal.c:
	* gui/memos-component.c:
	* gui/tasks-component.c:
	* gui/dialogs/alarm-dialog.c:
	* gui/dialogs/comp-editor-util.c:

2008-07-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #329821

	* gui/e-calendar-table.c: (get_time_as_text), (query_tooltip_cb),
	(e_calendar_table_init): Show tooltips over task's table.

2008-17-14  Paolo Borelli  <pborelli@katamail.com>

	** Fix for bug #542889

	* gui/dialogs/event-page.c:
	* gui/alarm-notify/alarm-queue.c:
	Port to the new gtk tooltip api.

2008-07-13  Paul Bolle  <pebolle@tiscali.nl>

	** Fix for bug #542101

	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips):
	Escape PlaceOfTheMeeting in the Location: line of the tooltip.

2008-07-13  Keith Packard  <keithp@keithp.com>

	** Fix for bug #541355

	* conduits/calendar/calendar-conduit.c:
	* conduits/memo/memo-conduit.c:
	* conduits/todo/todo-conduit.c:
	The pilot link code does call free_match on data returned from the 
	for_each method, which the evolution conduits aren't prepared to 
	handle. This patch removes any freed objects from the 'locals' list in 
	each conduit which otherwise frees them again when the conduit is closed.

2008-07-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #524130

	* gui/e-cal-component-preview.c: (write_html):
	* gui/e-cal-component-memo-preview.c: (write_html): Pass description
	text through 'camel_text_to_html' to have links clickable in a preview.

2008-07-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #368038

	* gui/calendar-component.c: (ensure_sources):
	Ensure only one Birthdays & Anniversaries source.

2008-07-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #540152

	* gui/calendar-component.c: (ensure_sources):
	Unref sources only when we created it - the list owns the pointer now.
	* gui/tasks-component.c: (ensure_sources):
	* gui/memos-component.c: (ensure_sources): Do not leak ESource.

2008-06-16  Maciej Piechotka <uzytkownik2@gmail.com>

	* gui/caltypes.xml:
	* gui/memotypes.xml:
	* gui/tasktypes.xml:
	Usage _title instead of title to allow translations.

2008-06-10  Matthew Barnes  <mbarnes@redhat.com>

	* common/authentication.c:
	* gui/calendar-component.c:
	* gui/comp-editor-factory.c:
	* gui/dialogs/copy-source-dialog.c:
	* gui/dialogs/select-source-dialog.c:
	* gui/memos-component.c:
	* gui/migration.c:
	* gui/tasks-component.c:
	Use <glib/gi18n.h> instead of <bonobo/bonobo-i18n.h>.

2008-06-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #536813

	* gui/comp-util.h: (is_icalcomp_on_the_server):
	* gui/comp-util.c: (is_icalcomp_on_the_server): Similar helper function
	as cal_comp_is_on_server only the parameter is icalcomponent.
	* gui/e-week-view-event-item.c: (e_week_view_event_item_double_click):
	* gui/e-week-view.c: (e_week_view_on_text_item_event):
	Do not start to edit the event on the double click if the event is not
	on the server yet. Storing the event can cause the renumbering events
	so the result can be that the edited event would be different.

2008-06-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes security vulnerabilities
	   CVE-2008-1108 and CVE-2008-1109

	* gui/itip-utils.c (html_new_lines_for):
	Do not use a fixed-size buffer for parsing external data.
	Simplify the logic to just split and rejoin the string with a
	different line separator.

	* gui/e-itip-control.c (write_label_piece), (write_recurrence_piece),
	(set_date_label):
	Use a GString rather than a fixed-size buffer to build the HTML
	string to avoid the possibility of an overflow.

2008-06-04  Shuai Liu <shuai.liu@sun.com>

	** Fix for bug #535204

	* gui/tasks-component.c: (destroy_component_view):
	The tasks objects had been destroyed before the call of destroy_
        component in tasks-component.c. No need to call them.

2008-05-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #535459

	* gui/itip-utils.h: (is_icalcomp_valid):
	* gui/itip-utils.c: (is_icalcomp_valid), (check_time):
	New function to make some sanity checks on component properties.
	* gui/e-itip-control.c: (e_itip_control_set_data):
	Do not use component when sanity check fails.

2008-05-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534476

	* gui/e-cal-popup.c (ecalp_standard_menu_factory):
	Remove the special check for "winmail.dat".  GIO correctly
	identifies it as "application/ms-tnef".

2008-05-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #523402

	* gui/e-calendar-view.c: (e_calendar_view_add_event): Do not leak.
	* conduits/calendar/calendar-conduit.c: (process_multi_day):
	Reassign back the old values before freeing.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	* gui/e-select-names-renderer.c
	(e_select_names_renderer_focus_out_event):
	Remove this unused function.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* conduits/calendar/calendar-conduit.c:
	* conduits/memo/memo-conduit.c:
	* conduits/todo/todo-conduit.c:
	* gui/cal-search-bar.c:
	* gui/cal-search-bar.h:
	* gui/calendar-commands.c:
	* gui/calendar-view-factory.h:
	* gui/calendar-view.h:
	* gui/comp-editor-factory.h:
	* gui/dialogs/comp-editor-page.c:
	* gui/dialogs/comp-editor-page.h:
	* gui/dialogs/comp-editor.h:
	* gui/dialogs/e-delegate-dialog.h:
	* gui/dialogs/event-editor.h:
	* gui/dialogs/event-page.h:
	* gui/dialogs/memo-editor.h:
	* gui/dialogs/memo-page.h:
	* gui/dialogs/recurrence-page.c:
	* gui/dialogs/recurrence-page.h:
	* gui/dialogs/schedule-page.h:
	* gui/dialogs/task-details-page.h:
	* gui/dialogs/task-editor.h:
	* gui/dialogs/task-page.h:
	* gui/e-alarm-list.c:
	* gui/e-alarm-list.h:
	* gui/e-cal-component-memo-preview.h:
	* gui/e-cal-component-preview.h:
	* gui/e-cal-list-view-config.h:
	* gui/e-cal-list-view.h:
	* gui/e-calendar-table-config.h:
	* gui/e-calendar-table.h:
	* gui/e-cell-date-edit-config.h:
	* gui/e-cell-date-edit-text.h:
	* gui/e-date-edit-config.h:
	* gui/e-date-time-list.c:
	* gui/e-date-time-list.h:
	* gui/e-day-view-config.h:
	* gui/e-day-view-main-item.c:
	* gui/e-day-view-main-item.h:
	* gui/e-day-view-time-item.c:
	* gui/e-day-view-time-item.h:
	* gui/e-day-view-top-item.c:
	* gui/e-day-view-top-item.h:
	* gui/e-day-view.c:
	* gui/e-day-view.h:
	* gui/e-itip-control.h:
	* gui/e-meeting-time-sel-item.c:
	* gui/e-meeting-time-sel-item.h:
	* gui/e-meeting-time-sel.c:
	* gui/e-meeting-time-sel.h:
	* gui/e-memo-table-config.h:
	* gui/e-memo-table.h:
	* gui/e-memos.c:
	* gui/e-memos.h:
	* gui/e-mini-calendar-config.h:
	* gui/e-tasks.c:
	* gui/e-tasks.h:
	* gui/e-timezone-entry.c:
	* gui/e-timezone-entry.h:
	* gui/e-week-view-config.h:
	* gui/e-week-view-event-item.c:
	* gui/e-week-view-event-item.h:
	* gui/e-week-view-main-item.c:
	* gui/e-week-view-main-item.h:
	* gui/e-week-view-titles-item.c:
	* gui/e-week-view-titles-item.h:
	* gui/e-week-view.c:
	* gui/e-week-view.h:
	* gui/gnome-cal.c:
	* gui/gnome-cal.h:
	* gui/weekday-picker.c:
	* gui/weekday-picker.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-05-22  Chenthill Palanisamy  <pchenthill@novell.com>

	** Fix for bug #533820

	* gui/e-day-view.c: (e_day_view_update_resize),
	(e_day_view_finish_resize): Fix for a crash on double-clicking the
	border of meetings in day-view. 

2008-05-08  Tor Lillqvist  <tml@novell.com>

	* gui/alarm-notify/alarm-notify-dialog.c: Include e-util-private.h
	for the mapping of EVOLUTION_GLADEDIR to a function call on
	Windows. Construct the glade file pathname at run-time so that it
	is found also on Windows where we don't use compile-time pathnames
	at run-time.

2008-05-05  Johan Euphrosine  <proppy@aminche.com>

	* gui/migration.c: Fix include path for e-dbhash.h, now in libebackend.

2008-04-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #316390

	* calendar/gui/e-memos.c: (struct _EMemosPrivate), (categories_changed_cb),
	(setup_widgets), (e_memos_init), (e_memos_destroy):
	* calendar/gui/gnome-cal.c: (struct _GnomeCalendarPrivate), (setup_widgets),
	(categories_changed_cb), (gnome_calendar_init),
	(gnome_calendar_destroy):
	* calendar/gui/e-tasks.c: (struct _ETasksPrivate), (categories_changed_cb),
	(setup_widgets), (e_tasks_init), (e_tasks_destroy):
	Listen for changes in categories setup and propagate them to UI.

2008-04-30  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bnc #363908
	Evolution crashed during exit

	* gui/tasks-component.c: (destroy_component_view):

2008-04-30  Ashish Shrivastava <shashish@novell.com>

	** Fix for bnc #368277
	Can't C & P Email Addresses from an Appt. to a Mail Message

	* gui/e-select-names-renderer.c:
	(e_select_names_renderer_start_editing):

2008-04-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #240823

	* gui/itip-utils.c: (comp_to_list):
	Send notification only to individuals and groups.

2008-04-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #524121

	* gui/e-calendar-table.c: (copy_row_cb):
	Fixing typo from patch for bug #516408.

2008-04-25  Danny Baumann  <dannybaumann@web.de>

	** Fix for bug #529893

	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips):
	Properly set type hint on tooltip window.

2008-04-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #509923

	* gui/dialogs/comp-editor.c: (real_send_comp):
	* gui/e-calendar-view.c: (e_calendar_view_modify_and_send):
	* gui/e-cal-model-calendar.c: (ecmc_set_value_at):
	Send changes based on the user's choice of "all instances" or
	"only this instance" for recurring events.
	* gui/e-cal-model-calendar.c: (ecmc_set_value_at):
	Also modify objects based on the user's choice.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526739

	* gui/e-meeting-store.c: (start_async_read), (freebusy_async),
	(async_read): Read data with gio, not with gnome-vfs.
	* gui/e-meeting-store.c: (async_close): Function removed.
	* gui/migration.c:
	* gui/e-memos.c:
	* gui/alarm-notify/notify-main.c:
	* gui/e-tasks.c:
	* gui/main.c:
	* gui/e-meeting-list-view.c:
	Do not include gnome-vfs.
	* gui/dialogs/comp-editor.c: (set_attachment_list):
	* gui/dialogs/comp-editor.c: (attachment_guess_mime_type):
	Function removed, use e-util function instead.
	* gui/e-cal-popup.c: (temp_save_part):
	Reflect changes in CamelStreamVFS.
	* gui/e-cal-popup.c: (ecalp_apps_open_in), (ecalp_apps_popup_free),
	(ecalp_standard_menu_factory): Use gio to fill popup and launch app.
	* gui/e-cal-component-preview.h: (e_cal_comp_preview_url_requested_cb):
	* gui/e-cal-component-preview.c: (e_cal_comp_preview_url_requested_cb):
	New helper function to manage file:// urls for GtkHTML component.
	* gui/e-cal-component-preview.c: (e_cal_component_preview_init):
	* gui/e-cal-component-memo-preview.c:
	(e_cal_comp_preview_url_requested_cb):
	Use above helper function.
	* gui/e-cal-component-memo-preview.c: (url_requested_cb):
	* gui/e-cal-component-preview.c: (url_requested_cb): Function removed.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #523402

	* gui/e-calendar-view.c: (e_calendar_view_add_event):
	Do not free value returned by icaltimezone_get_tzid.

2008-04-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #232594

	* gui/e-meeting-list-view.c: (attendee_edited_cb):
	Set status to Needs Action when attendee's address have been changed.

2008-04-11  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #517134

	* gui/dialogs/comp-editor.c: (add_to_bar),
	(menu_insert_attachment_cb), (menu_insert_attach_recent_docs_cb),
	(comp_editor_init): Code re-factoring. Extend the 'Insert' menu to
	show a "Recent Documents" submenu (to quickly add them as
	attachments). New callback to handle these actions. 

2008-04-07  Ondrej Jirman  <megous@megous.com>

	** Fix for bug #525234

	* gui/Makefile.am:
	* gui/dialogs/Makefile.am: Install more include files that are useful
	to the out of tree evolution plugins.

2008-04-02  Matthew Barnes  <mbarnes@redhat.com>

	* gui/Makefile.am:
	Remove CORBA rules for the old composer.

	* gui/itip-utils.c (comp_from), (comp_to_list), (comp_subject),
	(comp_content_type), (comp_filename), (comp_description),
	(append_cal_attachments), (itip_send_comp), (reply_to_calendar_comp):
	Adapt to new Bonobo-less composer widget.

2008-03-31  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #346555

	* gui/dialogs/calendar-setup.c: (eccp_get_source_color): 
	Fixed a mnemonic conflict. 

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #517492

	* gui/dialogs/calendar-setup.c: (calendar_setup_edit_calendar),
	(calendar_setup_edit_task_list), (calendar_setup_edit_memo_list):
	Set proper dialog caption with New or Properties.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #438613

	* calendar.error.xml: New message "prompt-read-only-cal-editor".
	* gui/dialogs/comp-editor.c: (prompt_and_save_changes),
	(menu_file_save_cb): Use different read-only message when checking
	from contact editor and from calendar UI.

2008-03-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #512543

	* gui/e-day-view.c:
	* gui/e-week-view-event-item.c:
	* gui/e-calendar-view.c:
	* gui/e-calendar-view.h:
	* gui/e-week-view-main-item.c:
	* gui/e-day-view-time-item.c:
	* gui/e-day-view-top-item.c:
	* gui/e-day-view-main-item.c:
	Get rid of ENABLE_CAIRO define.

2008-03-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #513951

	* gui/cal-search-bar.c (cal_search_bar_construct):
	* gui/migration.c (create_calendar_sources), (create_task_sources),
	(migrate_calendars), (migrate_tasks), (create_memo_sources):
	* gui/e-memos.c (e_memos_setup_view_menus):
	* gui/tasks-component.c (ensure_sources):
	* gui/gnome-cal.c (gnome_calendar_setup_view_menus):
	* gui/calendar-component.c (ensure_sources):
	* gui/memos-component.c (ensure_sources):
	Adapt to new meaning of xxx_component_peek_base_directory().

	* gui/tasks-component.c (tasks_component_init):
	* gui/calendar-component.c (calendar_component_init):
	* gui/memos-component.c (memos_component_init):
	Use e_get_user_data_dir() instead of constructing the full path.

	* gui/migration.c (add_gw_esource):
	Emit warnings when saving to GConf fails.

2008-02-25  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #516498
	* gui/comp-util.c: (cal_comp_is_on_server):
	* gui/e-calendar-view.c: (e_calendar_view_cut_clipboard),
	(delete_event), (e_calendar_view_delete_selected_occurrence):
	* gui/e-day-view.c: (process_component):
	* gui/e-week-view.c: (process_component): Free memory returned 
	by e_cal_component_get_recurid_as_string.						  	

2008-02-24  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes#516408
	* gui/dialogs/e-send-options-utils.c
	(e_sendoptions_utils_fill_component):
	* gui/e-cal-model.c (search_by_id_and_client):
	* gui/e-calendar-table.c (copy_row_cb),
	(e_calendar_table_copy_clipboard):
	* gui/e-calendar-view.c (e_calendar_view_copy_clipboard),
	(icalcomp_contains_category):
	* gui/e-day-view.c (model_rows_deleted_cb),
	(e_day_view_find_event_from_uid), (e_day_view_reshape_day_events),
	(e_day_view_on_drag_data_get):
	* gui/e-itip-control.c (update_item):
	* gui/e-memo-table.c (copy_row_cb), (e_memo_table_copy_clipboard):
	* gui/e-memos.c (obtain_list_of_components):
	* gui/e-tasks.c (obtain_list_of_components):
	* gui/e-week-view.c (model_rows_deleted_cb),
	(e_week_view_reshape_events), (e_week_view_find_event_from_uid):
	* gui/gnome-cal.c (gnome_calendar_purge):
	* gui/itip-utils.c (comp_limit_attendees), (itip_send_comp),
	(reply_to_calendar_comp), (itip_publish_comp): Free the memory
	returned by libical

2008-02-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #440426

	* gui/e-cal-model.c: (e_cal_model_dispose), (remove_client):
	Unset also default_client if removing it.

2008-02-20  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* gui/dialogs/comp-editor.c: (drop_action):
	Fixing previous fix - do not double free.

2008-02-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* gui/dialogs/comp-editor.c: (drop_action):
	* gui/calendar-config.c:
	(calendar_config_get_hide_completed_tasks_sexp):
	* gui/comp-editor-factory.c: (edit_existing):
	* gui/e-day-view.c: (e_day_view_reshape_long_event),
	(e_day_view_on_top_canvas_drag_data_received):
	* gui/e-day-view-main-item.c:
	(e_day_view_main_item_draw_events_in_vbars),
	(e_day_view_main_item_draw_long_events_in_vbars):
	* gui/e-day-view-top-item.c: (e_day_view_top_item_draw_long_event):
	* gui/e-cal-model.c: (redo_queries):
	* gui/e-calendar-table.c: (e_calendar_table_open_task):
	* gui/e-memo-table.c: (open_memo):
	* gui/print.c: (print_todo_details):
	* gui/migration.c: (get_source_name):
	Memory leak fix.
	* gui/e-week-view.c: (e_week_view_reshape_events): Simplifies things.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bnc #178778 

	* gui/dialogs/recurrence-page.c: (preview_recur):

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bnc #160049. Patch from OpenSUSE.

	* common/authentication.c: (build_pass_key),
	(auth_cal_forget_password):
	* common/authentication.h:
	* gui/e-tasks.c: (client_cal_opened_cb),
	(default_client_cal_opened_cb):
	* gui/gnome-cal.c: (client_cal_opened_cb):

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Downstream patches from OpenSUSE

	* conduits/calendar/calendar-conduit.c:
	(local_record_to_pilot_record):
	* conduits/memo/memo-conduit.c: (local_record_to_pilot_record):
	* conduits/todo/todo-conduit.c: (local_record_to_pilot_record):

2008-02-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #516453

	* gui/e-cal-model-tasks.c: (set_status):
	Change Not Started status back to Canceled when Canceled requested.

2008-02-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #514987

	* gui/e-calendar-table.etspec:
	* gui/e-calendar-table.c: (status_from_string), (status_compare_cb),
	(e_calendar_table_init):
	New sorting by Status based on the index in popup, not on the text.

2008-02-11  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/alarm-notify/alarm-notify.c: (alarm_notify_add_calendar): Google
	Calendar alarm works now.

2008-02-10  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #510642

	* gui/dialogs/comp-editor.c: (prompt_and_save_changes),
	(menu_file_save_cb):
	* gui/e-calendar-view.c: (e_calendar_view_new_appointment_for):
	* calendar.error.xml: Improved string for read-only-calendar 
	error-message. 

2008-02-08  Milan Crha  <mcrha@redhat.com>

	** Part of fixes for bug #395939

	* gui/alarm-notify/alarm-queue.c: (update_cqa):
	* conduits/calendar/calendar-conduit.c: (local_record_from_comp):
	Free alarm properly.

2008-01-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #240073

	* gui/e-cal-model-tasks.h: (enum ECalModelTasksField):
	Move strikeout field to known fields, otherwise the "Click to add" row
	will have text strikeouted.

2008-01-28  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/print.c: (print_week_summary): Free the component
	data.

2008-01-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #355864

	* gui/e-week-view.c: (e_week_view_remove_event_cb):
	Update span->background_item->event_num properly because of remove
	of the item with lower event_num.

2008-01-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #240073

	* gui/e-cal-model-tasks.h:
	* gui/e-cal-model-tasks.c: (is_status_canceled), (ecmt_value_at):
	Define new virtual readonly column to calculate strikeout state.
	* gui/e-calendar-table.c: (e_calendar_table_init):
	Use new virtual column as strikeout column.

2008-01-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #475781

	* gui/dialogs/recurrence-page.c: (fill_ending_date),
	(recurrence_page_fill_widgets):
	* gui/dialogs/memo-page.c: (memo_page_fill_widgets):
	* gui/e-day-view.c: 2*(e_day_view_finish_long_event_resize),
	2*(e_day_view_on_editing_stopped):
	* gui/itip-utils.c: (comp_compliant), (reply_to_calendar_comp):
	* gui/e-week-view.c: (e_week_view_on_editing_stopped):
	* gui/e-calendar-view.c: (e_calendar_view_add_event),
	(e_calendar_view_get_tooltips):
	* gui/e-cal-component-preview.c: (write_html):
	* gui/e-cal-component-memo-preview.c: (write_html):
	* gui/e-cal-model.c: (add_instance_cb):
	Fix memory leaks around ECalComponentDateTime.

2008-01-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #510409

	* gui/e-memos.c: (obtain_list_of_components):
	* gui/e-tasks.c: (obtain_list_of_components):
	* gui/e-calendar-table.c: (e_calendar_table_copy_clipboard):
	* gui/e-memo-table.c: (e_memo_table_copy_clipboard):
	Do not free memmory owned by libical.
	* gui/e-week-view.c: (e_week_view_reshape_events):
	Free memory before assigning NULL.

2008-01-25  Tor Lillqvist  <tml@novell.com>

	* gui/Makefile.am (libevolution_calendar_la_LIBADD): Link with
	libefilterbar.

2008-01-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #402487

	* gui/cal-search-bar.c: (notify_e_cal_view_contains):
	Memory leak fix.

2008-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #337046

	* gui/dialogs/comp-editor.c: (get_attachment_list): Have a ticking
	filename for attachment, if the mime doesn't carry it.

2008-01-17  Dan Winship  <danw@gnome.org>

	* gui/itip-utils.c (itip_publish_comp): Port to libsoup 2.4. Plug
	a leak.

2008-01-17  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #509879

	* gui/e-memos.c: (struct _EMemosPrivate), (update_view_cb),
	(setup_widgets), (e_memos_destroy):
	Drop code to clear memo preview every 60 seconds.

2008-01-17  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #426159

	* gui/alarm-notify/alarm-notify-dialog.c: (snooze_pressed_cb):
	* gui/alarm-notify/alarm-notify.glade: Allow users to snooze for 
	1+ hour 0 minutes. 

2008-01-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #333695

	* gui/print.c: (print_attendees): Print attendee name instead of email
	address if available.

2008-01-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #333695

	* gui/print.c: (get_type_as_string), (get_role_as_string),
	(print_attendees), (print_comp_draw_page):
	Helper functions to print attendees and their types and roles
	in detailed print of the event.

2008-01-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #507359

	* gui/e-meeting-time-sel.h: (struct _EMeetingTimeSelector):
	* gui/e-meeting-time-sel.c: (e_meeting_time_selector_class_init),
	(e_meeting_time_selector_destroy), (style_change_idle_func),
	(e_meeting_time_selector_style_set): Recalculate sizes in idle queue,
	which will ensure the style is propagated in list_view too, because we
	read from there the height of the row and the style isn't set there
	before it is set in our widget.

2008-01-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #490464

	* gui/dialogs/memo-page.c: (get_recipients): New helper function to
	obtain recipients from the component.
	* gui/dialogs/memo-page.c: (memo_page_fill_widgets),
	(memo_page_fill_component), (memo_page_construct):
	Always show recipient's widgets for shared memo, but keep it readonly
	when editing old event. Also make sure the organizer is set by
	the value in the component, not by the default account.

2008-01-14  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #339620

	* gui/dialogs/recurrence-page.c: (recurrence_page_finalize): Disconnect
	signal handlers on destroy.

2008-01-14  Suresh Chandrasekharan  <suresh.chandrasekharan@sun.com>

	** Fix for bug #264404

	* gui/e-day-view.c (e_day_view_on_text_item_event):
	* gui/e-week-view.c (e_week_view_on_text_item_event):
	Pass down Enter if in preedit-mode.

2008-01-11  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #508731

	* gui/e-calendar-view.c: (e_calendar_view_new_appointment_full):
	Have a safe default, if the values from gconf isn't so nice.

2008-01-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #457842

	* gui/e-week-view-event-item.c: (e_week_view_event_item_double_click):
	* gui/e-week-view.c: (e_week_view_start_editing_event):
	Do not call edit/start editing of the event when double clicked
	on the same component as is actually editing.

	* gui/calendar-commands.c: (gcal_calendar_selection_changed_cb):
	Removed forgotten printf call.

2008-01-06  Michael Monreal  <michael.monreal@gmx.net>

	** Fix for bug #492188

	* gui/dialogs/comp-editor.c:

	Use the new Tangoized icons instead of deprecated icons from 
	gnome-icon-theme.

2008-01-03  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #270605

	* gui/dialogs/event-page.c: (event_page_init),
	(event_page_select_organizer), (event_page_construct): Code cleanup
	* gui/dialogs/memo-page.c: (memo_page_init), (source_changed_cb),
	(memo_page_select_organizer), (memo_page_construct): Skip disabled 
	accounts.
	* gui/dialogs/task-page.c: (task_page_init),
	(task_page_fill_widgets), (task_page_select_organizer),
	(task_page_construct): Code cleanup, show organizer of assigned tasks,
	if it already exists.

2008-01-03  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/memos-component.c: (create_new_memo): Refix the last patch

2008-01-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #506814

	* gui/tasks-component.c: (create_new_todo):
	* gui/tasks-component.c: (create_new_todo): Add the signal only if the
	view is present.

2007-12-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #362638

	* gui/alarm-notify/alarm-notify.c:
	* gui/alarm-notify/alarm-notify.h:
	* gui/alarm-notify/alarm-queue.c:
	Rewrite message passing to use GThreadPool instead of EThread.

2007-12-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #340267

	* gui/e-cal-component-preview.c: (write_html):
	* gui/e-cal-component-memo-preview.c: (write_html):
	Show description in preview as preformatted text, so
	tabulators are kept instead of treated as white spaces.

2007-12-11  Sankar P  <psankar@novell.com>

	** Fix for bug #501969

	* gui/gnome-cal.c: (client_cal_opened_cb):
	Passwords should not be forgotten on all errors

2007-12-05  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #392747 (extra cleanup work)

	* gui/e-day-view.c (e_day_view_style_set):
	* gui/e-week-view-titles-item.c (e_week_view_titles_item_draw):
	* gui/e-week-view.c (e_week_view_style_set):
	* gui/print.c (print_month_summary):
	* gui/e-meeting-time-sel.c (e_meeting_time_selector_recalc_date_form):
	Call e_get_month_name() or e_get_weekday_name() instead of
	e_utf8_strftime() or g_date_strftime().

2007-12-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #501474

	* gui/gnome-cal.c: (update_memo_view):
	Fix wrong expression from bug #359267

2007-12-04  David Turner  <cillian64@googlemail.com>

	** Fix for bug #354265

	* gui/e-calender-table.c:
	* gui/e-memo-table.c:
	* gui/e-calender-view.c:
	Fixed mnemonic clash between print and paste mnemonics

2007-12-04  Wang Xin  <jedy.wang@sun.com>

	Fixes #501182.

	* gui/gnome-cal.c: (update_todo_view): Handle NULL pointer.

2007-12-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #440497

	* gui/e-meeting-list-view.h: (e_meeting_list_view_column_set_visible):
	Prototype changed to refer to column based on enum identifier.
	* gui/e-meeting-list-view.c: (build_table): Store column enum
	identifier in column datas, for later use.
	* gui/e-meeting-list-view.c: (e_meeting_list_view_column_set_visible):
	* gui/dialogs/task-page.c:
	* gui/dialogs/event-page.c:
	* gui/e-meeting-time-sel.c:
	Refer for column based on the enum, not on the column title.

2007-12-03  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #392747

	* gui/weekday-picker.c (get_day_text):
	Convert the day_index to GDateWeekday and call e_get_weekday_name().

2007-11-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #325730

	* gui/e-calendar-table.c: (hide_completed_rows):
	* gui/e-cal-model.c: (e_cal_view_objects_added_cb),
	(e_cal_view_objects_removed_cb), (remove_client_objects):
	Reverting part of previous patch (2007-11-23) and added
	notifications about model_changed after done with deleting.

2007-11-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #500024

	* gui/print.c: (print_comp): Set number of pages first.

2007-11-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #214645

	* gui/e-week-view.c: (e_week_view_get_day_position),
	(e_week_view_convert_position_to_day):
	* gui/e-week-view-layout.c: (e_week_view_layout_event),
	(e_week_view_layout_get_span_position):
	Collapses non-working days to occupy one row and expand other days
	if possible.

2007-11-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #346693

	* gui/e-day-view.c: (e_day_view_on_editing_started):
	Ensure new event in top canvas will be visible.

2007-11-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #380644

	* gui/dialogs/task-page.h: (task_page_add_attendee):
	* gui/dialogs/task-page.c: (task_page_add_attendee):
	* gui/dialogs/event-page.h: (event_page_add_attendee):
	* gui/dialogs/event-page.c: (event_page_add_attendee):
	New function to add attendee to store and name selector.
	* gui/dialogs/task-page.c: (remove_attendee): Remove attendee also
	from name selector (keep consistent).
	* gui/dialogs/task-editor.c: (task_editor_edit_comp):
	Use task_page_add_attendee to add known attendees.
	* gui/dialogs/event-editor.c: (event_editor_edit_comp):
	Use event_page_add_attendee to add known attendees.

	* gui/e-meeting-store.c: (e_meeting_store_remove_all_attendees),
	(e_meeting_store_remove_attendee): Code cleanup by Matthew Barnes.

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #325730

	* gui/e-memos.c: (table_selection_change_cb):
	* gui/e-tasks.c: (table_selection_change_cb):
	Clear task/memo preview when have more or less than one row selected.
	* gui/e-cal-model.c: (e_cal_view_objects_added_cb),
	(e_cal_view_objects_removed_cb), (remove_client_objects):
	First delete, then notify, so we read from updated store.

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #484603

	* gui/e-week-view.c: (e_week_view_reshape_event_span):
	Do not forget for organizer icon when counting used icons.

2007-11-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #401337

	* gui/dialogs/task-page.glade:
	* gui/dialogs/task-page.c: (sensitize_widgets), (get_widgets):
	Use other mnemonic for Organizer and let it work properly.

2007-11-18  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	** Fix bug #495875

	* gui/calendar-component.c:
	* gui/memos-component.c:
	* gui/tasks-component.c:
	right click menu reordering

2007-11-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #492793

	* gui/dialogs/task-page.c: (task_page_fill_component):
	* gui/dialogs/comp-editor.c: (page_changed_cb),
	(page_summary_changed_cb), (page_dates_changed_cb):
	* gui/dialogs/event-page.c: (event_page_fill_component):
	* gui/dialogs/memo-page.c: (memo_page_fill_component):
	Pass real widget as parent to e_notice, not a GObject.

2007-11-13  Ondrej Jirman  <megous@megous.com>

	** Fix for bug #494323

	* gui/e-meeting-store.c: removed useless EBook use.

2007-11-12  Andre Klapper  <a9016009@gmx.de>

	** Fix for bug #496248

	* gui/alarm-notify/alarm-notify.glade:
	mark "location" field selectable.

2007-11-10  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #209425

	* gui/calendar-commands.c:
	* gui/e-calendar-view.c:
	Don't use gtk-home for the go-today action.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #491345

	* gui/e-tasks.c: (config_hide_completed_tasks_changed_cb):
	Also change default filter for tasks, to let this work without restart.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #353780

	* gui/dialogs/comp-editor.h: (comp_editor_get_current_comp):
	* gui/dialogs/comp-editor.c: (prompt_and_save_changes),
	(menu_file_save_cb), (comp_editor_append_page),
	(comp_editor_get_current_comp):
	Stop processing immediately when page is filled incorrectly.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #341085

	* gui/e-day-view.c: (e_day_view_reshape_day_event):
	Use 'x_offset' instead of changing event size when has icons.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #359267

	* gui/gnome-cal.c: (update_memo_view):
	Changed memo_sexp to show always memos without start date.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #351932

	* gui/dialogs/task-page.c: (check_start_before_end), (times_updated),
	(start_date_changed_cb), (due_date_changed_cb), (init_widgets):
	Ensure due date is not before start date.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #315101

	* drag and drop to other source for multiselect
	* gui/comp-util.h:
	* gui/comp-util.c: (cal_comp_selection_set_string_list),
	(cal_comp_selection_get_string_list): Two new helper functions
	to set and get list of strings into GtkSelectionData.
	* gui/e-tasks.c: (get_selected_components_cb),
	(do_for_selected_components), (obtain_list_of_components),
	(table_drag_data_get):
	* gui/e-memos.c: (get_selected_components_cb),
	(do_for_selected_components), (obtain_list_of_components),
	(table_drag_data_get): Pass list of selected components as data
	for drag and drop instead of focused component from the list.
	* gui/e-tasks.c: (table_drag_data_delete):
	* gui/e-memos.c: (table_drag_data_delete): Obsolete now.
	* gui/tasks-component.c: (selector_tree_drag_data_received):
	* gui/memos-component.c: (selector_tree_drag_data_received):
	Receiving list of components, so made changes here to reflect it.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #318604

	* Enable source when adding event to disabled source.
	* gui/gnome-cal.h: (gnome_calendar_emit_user_created_signal):
	New helper function which will store used calendar before emitting
	signal "user_created" on the instance to GnomeCalendar for later use
	and unset it right after the emit.
	* gui/gnome-cal.c: (struct _GnomeCalendarPrivate): New member to store
	used ECal before emitting "user_created" signal.
	* gui/gnome-cal.c: (gnome_calendar_emit_user_created_signal),
	(user_created_cb): Implementation of new helper function and enabling
	last used source instead of default one on "user_created" signal.
	* gui/e-day-view.c: (e_day_view_on_editing_stopped):
	* gui/e-week-view.c: (e_week_view_on_editing_stopped):
	* gui/e-calendar-view.c: (object_created_cb): Use our new
	helper function to emit "user_created" signal with proper ECal.
	* gui/e-calendar-table.h: (struct _ECalendarTable):
	* gui/e-memo-table.h: (struct _EMemoTable): New member added.
	* gui/e-calendar-table.c: (e_calendar_table_init):
	* gui/e-memo-table.c: (e_memo_table_init): Initialize member to NULL.
	* gui/tasks-component.c: (object_created_cb), (create_new_todo):
	* gui/memos-component.c: (object_created_cb), (create_new_memo):
	Add new callback function to notice new object created and emit
	"user_created" signal with proper ECal stored in ECalendarTable.
	* gui/e-tasks.c: (user_created_cb):
	* gui/e-memos.c: (user_created_cb): Use previously stored ECal, which
	has been used to create event, instead of using default ECal.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #346693

	* gui/e-day-view-top-item.h: (EDayViewTopItem):
	New property 'show_dates'.
	* gui/e-day-view-top-item.c: (e_day_view_top_item_draw),
	(e_day_view_top_item_class_init), (e_day_view_top_item_init),
	(e_day_view_top_item_set_arg):
	Always draw background rectangle over whole requested place and
	draw dates or event only, based on new property 'show_dates'.
	* gui/e-day-view.h: (struct _EDayView): New properties 'tc_vscrollbar',
	'top_dates_canvas', 'top_dates_canvas_item'.
	* gui/e-day-view.c: (E_DAY_VIEW_MAX_ROWS_AT_TOP),
	(e_day_view_top_scroll), (e_day_view_update_top_scroll),
	(e_day_view_on_top_canvas_scroll), (e_day_view_init),
	(e_day_view_style_set), (e_day_view_size_allocate),
	(e_day_view_check_layout), (e_day_view_on_editing_started):
	Added support for scrolling 'top_canvas' when number of items there
	increases over the 'E_DAY_VIEW_MAX_ROWS_AT_TOP'.
	* gui/e-day-view.c: (e_day_view_set_selected_time_range),
	(e_day_view_set_selected_time_range_in_top_visible),
	(e_day_view_set_selected_time_range_visible),
	(e_day_view_set_selected_time_range), (e_day_view_update_query),
	(e_day_view_goto_start_of_work_day), (e_day_view_goto_end_of_work_day),
	(e_day_view_change_duration_to_start_of_work_day),
	(e_day_view_change_duration_to_end_of_work_day),
	(e_day_view_layout_timeout_cb): Redraw top_dates_canvas if necessary.

2007-11-03  Matthew Barnes  <mbarnes@redhat.com>

	** Remove dead files from source control.  The dates below
	   indicate when the file was removed from Makefile.am.
	   Fixes part of bug #478704.

	* gui/dialogs/calendar-setup.glade	(Nov 2004)
	* gui/dialogs/meeting-page.etspec	(Sep 2003)
	* gui/dialogs/new-calendar.glade	(Jan 2003)
	* gui/dialogs/new-task-list.glade	(Jan 2004)
	* gui/dialogs/url-editor-dialog.c	(Dec 2005)
	* gui/dialogs/url-editor-dialog.glade	(Dec 2005)
	* gui/dialogs/url-editor-dialog.h	(Dec 2005)
	* gui/e-pub-utils.c			(Dec 2005)
	* gui/e-pub-utils.h			(Dec 2005)
	* gui/gnome-calendar-conduit.png	(May 2000)

2007-11-02  Damien Carbery  <damien.carbery@sun.com>

	** Fixes bug #492058

	* gui/e-itip-control.c: Name the anonymous unions to build
	with the Sun Studio compiler.

2007-10-31  Matthew Barnes  <mbarnes@redhat.com>

	* gui/alarm-notify/alarm-notify.glade:
	Fix spacing between alarm description and buttons.

2007-10-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #490538

	* gui/dialogs/memo-page.c: (fill_comp_with_recipients):
	* gui/e-meeting-list-view.c: (process_section):
	Free memory properly after call of e_contact_store_get_books.

2007-10-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #417999

	* gui/dialogs/task-page.c: (init_widgets): Use "changed" signal,
	instead of old "source_changed" to notify change of selected source.

2007-10-26  Matthew Barnes  <mbarnes@redhat.com>

	* conduits/calendar/calendar-conduit.c (local_record_to_pilot_record):
	* conduits/memo/memo-conduit.c (local_record_to_pilot_record):
	* conduits/todo/todo-conduit.c (local_record_to_pilot_record):
	Zero out the GnomePilotRecord struct to silence a compiler warning.

	* gui/dialogs/memo-page.c (memo_page_select_organizer):
	Initialize def_address.

	* gui/e-itip-control.c:
	Use unions to avoid strict-aliasing violations.

2007-10-23  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/alarm-notify/alarm-notify-dialog.c:
	* gui/alarm-notify/alarm-notify.c: 
	* gui/alarm-notify/alarm-queue.c:
	* gui/alarm-notify/config-data.c:
	* gui/cal-search-bar.c: 
	* gui/calendar-commands.c:
	* gui/calendar-config.c: 
	* gui/dialogs/alarm-dialog.c: 
	* gui/dialogs/alarm-list-dialog.c: 
	* gui/dialogs/cal-prefs-dialog.c: 
	* gui/dialogs/comp-editor.c: 
	* gui/dialogs/event-page.c: 
	* gui/dialogs/recurrence-page.c: 
	* gui/e-alarm-list.c: 
	* gui/e-cal-config.c:
	* gui/e-cal-event.c: 
	* gui/e-cal-menu.c:
	* gui/e-cal-popup.c: 
	* gui/e-calendar-table.c: 
	* gui/e-calendar-view.c:
	* gui/e-date-time-list.c:
	* gui/e-day-view-main-item.c:
	* gui/e-day-view-time-item.c:
	* gui/e-day-view.c: 
	* gui/e-itip-control.c: 
	* gui/e-meeting-list-view.c: 
	* gui/e-memo-table.c:
	* gui/e-select-names-editable.c: 
	* gui/e-week-view-event-item.c: 
	* gui/e-week-view.c: 
	* gui/goto.c:
	* gui/migration.c: 
	* gui/print.c: 
	* gui/tasks-control.c: 
	* importers/icalendar-importer.c: 

	Warning fixes:
	- NULL vs 0 vs FALSE/TRUE
	- ANSIfication of declarations
	- mixing declarations and code
	- mark some code static
	- remove use of some deprecated Gtk+ apis

2007-10-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #417999

	* gui/dialogs/event-page.c:
	* gui/dialogs/event-page.glade:
	* gui/dialogs/memo-page.c:
	* gui/dialogs/memo-page.glade:
	* gui/dialogs/task-page.c:
	* gui/dialogs/task-page.glade:
	* gui/e-itip-control.c:
	Use ESourceComboBox instead of ESourceOptionMenu (deprecated).

2007-10-12  Michael Monreal <michael.monreal@gmail.com>

	** New view-calendar icons (bug #479257)

	* calendar/gui/calendar-commands.c: Change icon references.

2007-10-12  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #466659

	* gui/e-cal-list-view.c: (setup_e_table): Do not allow the user to set
	a 'no-date' for start/end of appointments in list view.

2007-10-11  Matthew Barnes  <mbarnes@redhat.com>

	* gui/alarm-notify/alarm-queue.c:
	Fix an implicit GTK+ function declaration on x86_64.

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* conduits/calendar/calendar-conduit.c:
	* conduits/memo/memo-conduit.c:
	* conduits/todo/todo-conduit.c:
	* gui/dialogs/alarm-dialog.c:
	* gui/dialogs/event-page.c:
	* gui/dialogs/memo-page.c:
	* gui/dialogs/task-page.c:
	* gui/e-day-view-layout.c:
	* gui/e-day-view-layout.h:
	* gui/print.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-10-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #324526

	* gui/print.c: (print_week_event): Draw picture with dots to indicate
	that not all events are printed in a day.

2007-10-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #455862
	Plugged memory leaks.

	* gui/comp-util.c:
	* gui/comp-util.h:(cal_comp_util_get_n_icons): A new function to
	get the number of icons owned by ECalComponent.

	* gui/e-day-view-main-item.c:
	* gui/e-day-view.c:
	* gui/e-week-view-event-item.c:
	* gui/e-week-view.c: Use cal_comp_util_get_n_icons.

2007-10-05  Milan Crha  <mcrha@redhat.com>

	* gui/alarm-notify/alarm-queue.c: (alarm_queue_remove_client):
	Fixed leak caused by my changes in fix for bug #325685.

2007-10-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* gui/calendar-component.c:
	* gui/memos-component.c:
	* gui/tasks-component.c:
	Use "edit-copy" and "document-properties" icons in the pop-up menu.

2007-10-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #325685

	* gui/print.c: (print_week_day_event): Show end time of the event only
	when printing week view with less than 3 weeks (because of no space).

2007-10-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #469657

	* gui/comp-editor-factory.c:
	Use destroy functions in GHashTables to simplify memory management.

2007-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #428402

	* gui/e-itip-control.c: (show_current): First move to next component,
	then remove last alarm and then free that last component.

	* gui/e-itip-control.c: (update_item): Free component when done.

	* importers/icalendar-importer.c: (prepare_events), (prepare_tasks):
	Really go through every component when removing one.

2007-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #342283

	* gui/calendar-commands.h: (calendar_command_print): New function.
	* gui/calendar-commands.c: (calendar_command_print), (file_print_cb),
	(file_print_preview_cb):
	* gui/e-calendar-view.c: (on_print):
	Behaves consistently when printing from File->Print and popup->Print.

2007-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #230339

	* gui/print.c: (print_day_event): Print also location, if present.

2007-09-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #461195

	* gui/e-calendar-marshal.list: Remove needless marshalers.
	* gui/e-memos.c:
	* gui/e-tasks.c: Use GObject's marshalers.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* gui/calendar-commands.c:
	* gui/calendar-component.c:
	* gui/dialogs/cal-attachment-select-file.c:
	* gui/dialogs/comp-editor.c:
	* gui/dialogs/event-editor.c:
	* gui/dialogs/task-editor.c:
	* gui/e-cal-popup.c:
	* gui/e-calendar-table.c:
	* gui/e-calendar-view.c:
	* gui/e-day-view.c:
	* gui/e-memo-table.c:
	* gui/e-week-view.c:
	* gui/memos-component.c:
	* gui/memos-control.c:
	* gui/tasks-component.c:
	* gui/tasks-control.c:
	Use standard icon names where applicable.

2007-09-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #346686

	* gui/e-cal-model.h: (e_cal_model_test_row_editable):
	* gui/e-cal-model.c: (e_cal_model_test_row_editable): New helper
	function to check if row is editable or not, based on calendar.
	* gui/e-cal-model-memos.c: (ecmm_is_cell_editable):
	* gui/e-cal-model-tasks.c: (ecmt_is_cell_editable):
	* gui/e-cal-model-calendar.c: (ecmc_is_cell_editable):
	* gui/e-cal-model.c: (ecm_is_cell_editable):
	Uses new helper function to determine if row is editable.

2007-09-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #324472

	* gui/e-calendar-table.c: (struct AffectedComponents),
	(e_calendar_table_complete_selected),  (get_selected_components_cb),
	(do_for_selected_components), (mark_comp_complete_cb),
	(mark_comp_incomplete_cb): Added new helper structure and functions.
	* gui/e-calendar-table.c: (mark_as_complete_cb),
	(mark_as_incomplete_cb): Using new helper functions.
	* gui/e-cal-model-tasks.h: (e_cal_model_tasks_mark_comp_complete),
	(e_cal_model_tasks_mark_comp_incomplete): New functions (replace old).
	* gui/e-cal-model-tasks.c: (commit_component_changes),
	(ecmt_set_value_at), (e_cal_model_tasks_mark_comp_complete),
	(e_cal_model_tasks_mark_comp_incomplete): Added new functions to work
	with components instead of table's rows and using them.

2007-09-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #300693

	* gui/e-calendar-table.c: (task_compare_cb), (e_calendar_table_init):
	* gui/e-calendar-table.etspec:
	* gui/e-memo-table.c: (task_compare_cb):
	* gui/e-memo-table.etspec:
	Removed obsolete code and references to "task-sort" virtual column.

2007-09-27  Milan Crha  <mcrha@redhat.com>

	** Fixes part of bug #228832

	* gui/gnome-cal.h: (gnome_calendar_new_task):
	* gui/gnome-cal.c: (gnome_calendar_new_task): Added parameters to
	inherit selected time for 'dtstart' and 'due' of new task.
	* gui/e-calendar-view.c: (on_new_task): Passing selected time to use.

2007-09-21  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #411125

	* gui/dialogs/meeting-page.etspec:
	* gui/e-meeting-time-sel.etspec:
	* gui/e-memo-table.etspec:
	* gui/e-calendar-table.etspec:
	* gui/e-cal-list-view.etspec:
	Uses 'compare="collate"' instead of 'compare="string"' to handle UTF
	characters correctly.

2007-09-21  Jedy Wang  <jedy.wang@sun.com>

	** Fixes bug #476124.

	* calendar/gui/dialogs/comp-editor.c: Handle NULL pointer.

2007-09-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476231

	* gui/dialogs/cal-attachment-select-file.c:
	Remove non-USE_GTKFILECHOOSER code.
	GtkFileChooser has been around since 2004.

2007-09-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476040

	* gui/e-day-view.c:
	* gui/e-week-view.c:
	* gui/dialogs/comp-editor.c:
	Use "mail-attachment" icon instead of "stock_attach".

2007-09-10  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #300284 (bnc)

	* gui/e-cal-list-view.c: (setup_e_table): Do not allow the user to set
	a 'no-date' for start/end of appointments in list view.

2007-09-10  Milan Crha  <mcrha@redhat.com>
	
	** Fix for bug #368033

	* gui/calendar-component.c: (ensure_sources):
	Assign default color for B&A when no color is set.

2007-09-10  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes#332026
	* gui/e-day-view.c: (e_day_view_do_key_press),
	(e_day_view_start_editing_event): Filter the input context
	key events.					  

	Committing on behalf of Mayank <mayank.gnu@gmail.com>

2007-09-10  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #270605
	* gui/dialogs/event-page.c: (event_page_select_organizer),
	(event_page_construct):
	* gui/dialogs/task-page.c: (task_page_select_organizer),
	(task_page_construct): Skip disabled accounts and choose first available address as 
	organizer.

	Reworked the patch from Milan Crha  <mcrha@redhat.com> to apply properly as the previous
	commit made changes in the same area.		  

2007-09-09  Suman Manjunath  <msuman@novell.com>

	* gui/dialogs/event-page.c: (event_page_init),
	(event_page_finalize), (clear_widgets),
	(event_page_fill_component), (source_changed_cb),
	(event_page_select_organizer), (event_page_construct):
	* gui/dialogs/memo-page.c: (memo_page_init), (memo_page_finalize),
	(clear_widgets), (memo_page_fill_widgets),
	(memo_page_fill_component), (source_changed_cb),
	(set_subscriber_info_string), (memo_page_select_organizer),
	(memo_page_construct):
	* gui/dialogs/task-page.c: (task_page_init), (task_page_finalize),
	(clear_widgets), (task_page_fill_widgets),
	(task_page_fill_component), (task_page_set_info_string),
	(source_changed_cb), (set_subscriber_info_string),
	(task_page_select_organizer), (task_page_construct): code cleanup.

2007-09-07  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* gui/e-itip-control.c: (insert_boxes), (insert_ok):
	fix weak references, pointed by Milan Crha <mcrha@redhat.com>
	which fixes one issue of the patch from bug #439122

2007-09-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473903

	* gui/e-meeting-store.c: (freebusy_async):
	* gui/cal-search-bar.c: (get_current_category ):
	* gui/itip-utils.c: (comp_limit_attendees):
	* gui/e-tasks.c: (e_tasks_open_task_id):
	* gui/print.c: (struct PrintCompItem), (struct PrintCalItem):
	Fixes serious compiler warnings.

2007-01-08  Wang Xin  <jedy.wang@sun.com>
	
	Fixes #470968

	* calendar/gui/e-calendar-table.c: Delete the task with attendee if OK button
	of the confirm dialog is clicked.

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix a build break.

	* conduits/common/libecalendar-common-conduit.c:
	(e_pilot_remote_category_to_local):
	* conduits/common/libecalendar-common-conduit.h:

2007-09-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #201167 by Nathan Owens

	* conduits/todo/Makefile.am:
	* conduits/todo/todo-conduit.c:
	* conduits/common/libecalendar-common-conduit.c:
	* conduits/common/libecalendar-common-conduit.h:
	* conduits/common/Makefile.am:
	* conduits/calendar/Makefile.am:
	* conduits/calendar/calendar-conduit.c:
	* conduits/Makefile.am:
	* conduits/memo/memo-conduit.c:
	* conduits/memo/Makefile.am:

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #471791 (Move away from asserts to g_ret*)

	* gui/alarm-notify/alarm-queue.c: (alarm_trigger_cb),
	(remove_comp), (notify_dialog_cb), (audio_notification),
	(procedure_notification), (remove_cqa), (remove_client_alarms):
	* gui/alarm-notify/notify-main.c: (alarm_notify_factory_fn),
	(init_alarm_service):
	* gui/cal-search-bar.c: (free_categories), (get_current_category),
	(regen_query), (make_suboptions), (cal_search_bar_set_categories):
	* gui/calendar-commands.c: (sensitize_items),
	(calendar_control_sensitize_calendar_commands),
	(sensitize_taskpad_commands), (gcal_calendar_focus_change_cb),
	(gcal_taskpad_focus_change_cb), (calendar_control_activate),
	(calendar_control_deactivate):
	* gui/calendar-component.c: (set_info):
	* gui/calendar-config.c: (units_to_string),
	(calendar_config_get_hide_completed_tasks_sexp):
	* gui/calendar-view-factory.c: (calendar_view_factory_get_title),
	(calendar_view_factory_get_type_code):
	* gui/calendar-view.c: (calendar_view_get_type_code):
	* gui/comp-editor-factory.c: (free_request), (editor_destroy_cb),
	(edit_existing), (edit_new), (queue_edit_existing),
	(queue_edit_new):
	* gui/comp-util.c: (cal_comp_event_new_with_defaults):
	* gui/dialogs/alarm-dialog.c: (repeat_widgets_to_alarm),
	(dialog_to_alarm), (action_selection_done_cb):
	* gui/dialogs/comp-editor-page.c: (comp_editor_page_get_widget),
	(comp_editor_page_focus_main_widget),
	(comp_editor_page_fill_widgets):
	* gui/dialogs/comp-editor-util.c: (comp_editor_strip_categories):
	* gui/dialogs/comp-editor.c: (comp_editor_append_page),
	(raise_and_focus):
	* gui/dialogs/event-page.c: (event_page_fill_component),
	(event_page_set_all_day_event), (times_updated),
	(alarm_custom_clicked_cb):
	* gui/dialogs/recurrence-page.c: (simple_recur_to_comp),
	(fill_component), (make_weekly_special), (make_monthly_special),
	(make_recurrence_special), (make_ending_until_special),
	(make_ending_count_special), (make_ending_special),
	(recurrence_page_fill_widgets), (exception_add_cb):
	* gui/e-cal-model.c: (clear_objects_array), (ecm_value_at),
	(ecm_set_value_at), (e_cal_model_set_default_client),
	(update_e_cal_view_for_client), (cal_opened_cb),
	(remove_client_objects):
	* gui/e-calendar-table.c: (e_calendar_table_get_selected_comp):
	* gui/e-calendar-view.c: (e_calendar_view_add_event):
	* gui/e-day-view.c: (update_row), (model_rows_inserted_cb),
	(e_day_view_convert_event_coords), (e_day_view_update_query),
	(cancel_editing), (e_day_view_on_editing_stopped):
	* gui/e-itip-control.c: (find_cal_opened_cb),
	(write_recurrence_piece), (get_cancel_options), (show_current),
	(ok_clicked_cb):
	* gui/e-meeting-list-view.c: (name_selector_dialog_close_cb):
	* gui/e-meeting-store.c: (refresh_busy_periods):
	* gui/e-memo-table.c: (get_selected_comp):
	* gui/e-memos.c: (e_memos_setup_view_menus),
	(e_memos_discard_view_menus):
	* gui/e-tasks.c: (e_tasks_setup_view_menus),
	(e_tasks_discard_view_menus):
	* gui/e-week-view-event-item.c: (e_week_view_event_item_draw):
	* gui/e-week-view-layout.c: (e_week_view_find_day):
	* gui/e-week-view.c: (update_row), (model_rows_inserted_cb),
	(e_week_view_update_query), (e_week_view_start_editing_event),
	(cancel_editing), (e_week_view_cursor_key_up),
	(e_week_view_cursor_key_down), (e_week_view_cursor_key_left),
	(e_week_view_cursor_key_right):
	* gui/gnome-cal.c: (get_times_for_views), (get_focus_location),
	(update_query), (gnome_calendar_direction), (set_view),
	(display_view), (gnome_calendar_setup_view_menus),
	(gnome_calendar_discard_view_menus), (client_cal_opened_cb),
	(open_ecal), (backend_died_cb),
	(gnome_calendar_remove_source_by_uid):
	* gui/memos-control.c: (memos_control_sensitize_commands),
	(memos_control_activate), (memos_control_deactivate):
	* gui/print.c: (print_calendar_draw_page):
	* gui/tasks-control.c: (sensitize_items),
	(tasks_control_sensitize_commands), (tasks_control_activate),
	(tasks_control_deactivate):
	* gui/weekday-picker.c: (day_event_cb):
	* importers/icalendar-importer.c: (ivcal_import_items):

2007-08-29  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #466051

	* gui/dialogs/memo-page.c: (memo_page_fill_component): When memo start
	date is set to 'None', do not store DTSTART property.

2007-08-28  Matthew Barnes  <mbarnes@redhat.com>

	* gui/e-cal-popup.c (e_cal_popup_target_new_source):
	g_strncasecmp() is deprecated; use g_ascii_strncasecmp() instead.

2007-08-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for the same issue of week view of bug #330628

	* gui/e-week-view.h: Add meeting_icon.
	* gui/e-week-view.c: (e_week_view_realize): Load meeting_icon.
	* gui/e-week-view.c: (e_week_view_unrealize): Dispose meeting_icon.
	* gui/e-week-view-event-item.c: (e_week_view_event_item_draw_icons):
	Show meeting icon.

2007-08-24  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #468440

	* gui/e-week-view-event-item.c: Dont popup if the event is destroyed
	(e_week_view_event_item_button_press):
	* gui/e-week-view.c: (e_week_view_init), Init a variable to tell the
	event handler that the event is destroyed
	(e_week_view_on_editing_stopped): Set event_destroyed.
	* gui/e-week-view.h:

2007-08-24  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #468411

	* gui/e-week-view.c: (e_week_view_on_text_item_event): Grab focus to
	main view, so that the even gets created.

2007-08-24  Johnny Jacob  <jjohnny@novell.com>	

	** Fix for bug #466796
	
	* gui/calendar-config.c :  adds calendar_config_init() to the beginning of every function
	that uses the 'config' variable.

	Committing on behalf of Rouslan Solomakhin
	<rouslan@solomakhin.net>
	
2007-08-24  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #330628

	* gui/e-day-view-top-item.c: (e_day_view_top_item_draw_long_event):
	Show meeting icon.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #385517

	* gui/dialogs/cal-prefs-dialog.c: (show_task_list_config):
	Use actual state to sensitive tasks_hide_completed_* widgets.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #329746

	* gui/dialogs/comp-editor.c: (make_icon_from_comp):
	Return proper icon for memo components.
	* gui/dialogs/delete-comp.c: (delete_component_dialog),
	(prompt_retract_dialog):
	* gui/dialogs/changed-comp.c: (changed_component_dialog):
	* gui/dialogs/comp-editor.c: (make_title_from_comp),
	(make_title_from_string):
	* gui/dialogs/cancel-comp.c: (cancel_component_dialog):
	* gui/dialogs/delete-error.c: (delete_error_dialog):
	* gui/dialogs/recur-comp.c: (recur_component_dialog):
	* gui/itip-utils.c: (comp_subject), (comp_description):
	* calendar.error.xml:
	Renamed 'Journal' to 'Memo'.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #428110

	* gui/memos-component.c: (update_single_object):
	Added parameter to rather fail on adding same object with drag&drop,
	rather than modify and then delete existing one.
	* gui/memos-component.c: (update_objects): Use new parameter above.
	* gui/memos-component.c: (selector_tree_drag_data_received):
	Use result of call 'update_objects' and prevent delete object when
	the call fails.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #201201

	* gui/e-week-view.h: (struct _EWeekView): Added properties.
	* gui/e-week-view.c: (e_week_view_init),
	(e_week_view_on_button_press): First click stores actual selection
	in structure and when second click was inside this selection, then
	the selection is restored and used for new appointment.

	** Fix for bug #201202

	* gui/e-day-view.h: (struct _EDayView): Added properties.
	* gui/e-day-view.c: (e_day_view_init),
	(e_day_view_on_top_canvas_button_press),
	(e_day_view_on_main_canvas_button_press):
	Same as with week view above.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #338803

	* gui/e-meeting-time-sel-item.c:
	(e_meeting_time_selector_item_button_press):
	Keeps actual meeting duration, not reset to half/full hour.

	* gui/dialogs/event-page.c: (update_time):
	Updates also duration spin buttons, not only end date/time edits.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #347770

	* gui/e-cal-component-memo-preview.c: (write_html):
	Improved description text parsing.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #355864

	* gui/e-week-view.c: (e_week_view_remove_event_cb):
	Better remove array item after done with it, not before.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #272167

	* gui/e-cal-popup.c: (e_cal_popup_target_new_source):
	Marks both offline flags on local calendars, so both popup menu
	items are hidden.

2007-08-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #308636

	* gui/dialogs/calendar-setup.c: (eccp_get_source_type):
	Add only source groups without property 'create_source=no'.
	* gui/dialogs/calendar-setup.c: (cs_load_sources):
	New helper function avoids code copying.
	* gui/dialogs/calendar-setup.c: (calendar_setup_edit_calendar),
	(calendar_setup_edit_task_list), (calendar_setup_edit_memo_list):
	Uses 'cs_load_sources'.
	* gui/calendar-component.c: (ensure_sources):
	Sets 'create_source=no' for contacts when not set before.

2007-08-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #262226

	* gui/e-calendar-view.h:
	* gui/e-calendar-view.c: (e_calendar_view_new_appointment_full):
	Changed meaning of the last parameter: no_past_date to indicate if
	we accept past dates (we do not for File->New->items).
	Also changed behavior: when don't need all_day event and there are
	24 hours selected, then change start/end to actual time in actual day,
	or to 'day begins' from pereferences for other selected days,
	instead of setting all_day event to TRUE.
	* gui/calendar-component.c: (create_new_event):
	Don't force all day event.
	* gui/e-week-view.c: (e_week_view_on_button_press):
	Changing call of 'e_calendar_view_new_appointment_full'.

	* gui/dialogs/event-page.c: (clear_widgets):
	Fixed critical warning when no default_address set.
	* gui/dialogs/event-page.c: (event_page_finalize),
	(event_page_select_organizer): Free memory when no longer needed.
	* gui/dialogs/event-page.c: (event_page_init): There was twice the same.

2007-08-17  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #420492
	* gui/dialogs/event-page.c: (event_page_fill_widgets):
	set the free_busy flag properly.		
	
	Committing on behalf of Ebby Wiselyn <ebbywiselyn@gmail.com>

2007-08-17  Suman Manjunath  <msuman@novell.com>

	reviewed by: Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/e-day-view.c: (e_day_view_do_key_press):
	* gui/e-week-view.c: (e_week_view_do_key_press):
	Set the free/busy info of events entered directly on the canvas, with 
	the editor defaults.

2007-08-17  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #274070 (bnc)
	* gui/e-meeting-attendee.[ch]: (e_meeting_attendee_finalize),
	(e_meeting_attendee_get_fburi), (e_meeting_attendee_set_fburi):
	* gui/e-meeting-list-view.c: (process_section):
	* gui/e-meeting-store.c: (freebusy_async), (start_async_read):
	If the contact has a free busy url specified with it, use it to show
	free busy information.	

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #350539

	* gui/e-cal-popup.c: (ecalp_part_popup_set_background):
	Ensures non-NULL part.

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #464106

	* gui/goto.c: (goto_dialog):
	Set week_view_start with respect to settings.

2007-08-13  Suman Manjunath  <msuman@novell.com>

	reviewed by: Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/dialogs/event-page.c: (event_page_init),
	(sensitize_widgets), (get_current_account),
	(event_page_fill_widgets), (event_page_fill_component),
	(existing_attendee), (event_page_set_info_string), (get_widgets),
	(source_changed_cb), (init_widgets), (event_page_select_organizer),
	(event_page_construct):
	* gui/dialogs/event-page.glade:
	* gui/dialogs/memo-page.c: (memo_page_init), (sensitize_widgets),
	(memo_page_fill_widgets), (get_current_account),
	(memo_page_fill_component), (memo_page_set_info_string),
	(get_widgets), (source_changed_cb), (init_widgets),
	(memo_page_select_organizer), (memo_page_construct):
	* gui/dialogs/memo-page.glade:
	* gui/dialogs/task-page.c: (task_page_init), (sensitize_widgets),
	(get_current_account), (task_page_fill_widgets),
	(task_page_fill_component), (existing_attendee),
	(task_page_set_info_string), (get_widgets), (source_changed_cb),
	(init_widgets), (task_page_select_organizer),
	(task_page_construct):
	* gui/dialogs/task-page.glade: Add a label on the top to show information string 
	for calendar, task and memo editors. It would be shown while operating on subscribed
	user's folder items.
	 * gui/itip-utils.c: (itip_send_comp), (reply_to_calendar_comp): A
	utility function sanitize_component has been removed. The sentby parameter
	is set in the event pages.										  

2007-08-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #351552

	* gui/alarm-notify/alarm-queue.h: (alarm_queue_remove_client):
	* gui/alarm-notify/alarm-queue.c: (alarm_queue_remove_client):
	Added new parameter to free immediately, not by thread.
	* gui/alarm-notify/alarm-notify.c: (dequeue_client),
	(alarm_notify_remove_calendar): Using alarm_queue_remove_client.

	* gui/alarm-notify/alarm-notify.c: (alarm_notify_add_calendar):
	Fixed critical warning with e_passwords for calendars without
	'auth-domain' property (will use name instead).

2007-08-06  Milan Crha  <mcrha@redhat.com>

	** Partially fix bug #401533

	* gui/e-cal-component-memo-preview.c: (write_html):
	Text marked to localize.

2007-08-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #463129

	* gui/calendar-component.c: (update_task_memo_selection),
	(destroy_component_view): Frees task_source_selection and
	memo_source_selection in destroy_component_view instead of
	immediately after assigning it to the structure.

2007-08-06  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #454253

	* gui/alarm-notify/alarm.c: (pop_alarm), (alarm_ready_cb),
	(setup_timeout), (alarm_done): Fail safe instead of crash, when it is
	not really required to crash. 

2007-08-03  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #377173

	* gui/e-cal-component-memo-preview.c:
	* gui/e-cal-component-preview.c: Show category icon correctly. 

2007-08-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #322624

	* gui/alarm-notify/alarm-queue.c: (has_known_notification),
	(add_component_alarms), (query_objects_changed_async):
	Don't add alarms for types with unknown/none notification method.

2007-07-31  Matthew Barnes  <mbarnes@redhat.com>

	* common/authentication.c: Include <libedataserver/e-source.h>
	to fix implicit declaration of e_source_get_duped_property().

2007-07-30  Andre Klapper  <a9016009@gmx.de>

	* gui/dialogs/schedule-page.glade:
	gui/dialogs/memo-page.glade:
	gui/dialogs/meeting-page.glade:
	gui/dialogs/task-page.glade:
	gui/dialogs/task-details-page.glade:
	gui/dialogs/cal-prefs-dialog.glade:
	gui/dialogs/event-page.glade:
	gui/e-itip-control.glade:
	remove "window1" string from translation

2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes a memory corruption.
	* common/authentication.c: (auth_func_cb): Use
	e_source_get_duped_property.						   

2007-07-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #343716

	* gui/dialogs/memo-page.c: (memo_page_fill_component):
	Working properly with UTF-8 characters when cutting and
	added ellipsize for longer texts.

2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #453860
	* gui/e-select-names-editable.c:
	(e_select_names_editable_get_emails): Check if contact
	is present before fetching information from it.					      
	
	Committing on behalf of Xiurong Simon Zheng <simon.zheng@sun.com>		

2007-07-29  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #200977

	* gui/e-day-view.c: (time_range_changed_cb):
	Ensures selection start row is visible.

2007-07-29  Rob Bradford  <rob@robster.org.uk>

	Fixes #461474
	* gui/dialogs/task-page.c: (task_page_set_dates):
	Remove redundant code.

2007-07-29  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #455862

	* gui/e-memo-table.c: Paste raw text data from clipboard while
	editing column.

2007-07-29  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #335881

	* gui/e-calendar-table.c: Paste raw text data from clipboard while
	editing column.

2007-07-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	Fixes #460825
	* gui/cal-search-bar.c: (cal_search_bar_class_init): Remove needless
	EFilterBarClass.

2007-07-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #326388

	* gui/calendar-component.c: (ensure_sources):
	Set 'delete=no' property for birthdays_source if its not set.

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #444433 from Lucky

	* gui/cal-search-bar.c: (make_suboptions):
	* gui/caltypes.xml:
	* gui/memotypes.xml:
	* gui/tasktypes.xml:

2007-07-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #457394

	* gui/e-calendar-table.c: (hide_completed_rows):
	Properly free component with e_cal_model_free_component_data.
	* gui/e-calendar-table.c: (show_completed_rows):
	Reference 'client' on new component.

2007-07-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* dialogs/cal-prefs-dialog.c: (calendar_prefs_dialog_finalize):
	* dialogs/task-page.c: (task_page_create_source_option_menu):
	* dialogs/e-send-options-utils.c:
	(e_sendoptions_utils_set_default_data):
	* dialogs/url-editor-dialog.c: (init_widgets):
	* dialogs/event-page.c: (event_page_create_source_option_menu):
	* dialogs/memo-page.c: (memo_page_create_source_option_menu):
	* e-week-view-event-item.c: (e_week_view_event_item_draw):
	* e-day-view-top-item.c: (e_day_view_top_item_draw_long_event):
	* e-pub-utils.c: (e_pub_publish): Plugged memory leaks.

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gui/main.c: Do not need to call g_source_remove(). If the callback
	function returns FALSE, the event source is automatically removed.

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gui/alarm-notify/config-data.c, gui/tasks-component.c,
	gui/calendar-component.c, gui/memos-component.c: Plugged memory leaks.

2007-07-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #273699

	* gui/alarm-notify/notify-main.c: (main):
	Do g_warning instead of g_error when factory could not be created.

2007-07-18  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gui/cal-search-bar.c: (cal_search_bar_construct): Remove "/" as
	separator.

2007-07-09  Chenthill Palanisamy  <pchenthill@novell.com>

	reviewed by: Veerapuram Varadhan <vvaradhan@novell.com>

	* gui/dialogs/comp-editor.c: (save_comp), (save_comp_with_send),
	(real_edit_comp): Organizer/Sentby can save/edit components.
	* gui/dialogs/event-editor.c: (event_editor_edit_comp):
	* gui/e-calendar-view.c: (e_calendar_view_add_event),
	(e_calendar_view_cut_clipboard), (delete_event),
	(e_calendar_view_delete_selected_occurrence),
	(set_attendee_status_for_delegate),
	(e_calendar_view_edit_appointment),
	(e_calendar_view_modify_and_send):
	* gui/itip-utils.c: (get_attendee),
	(get_attendee_if_attendee_sentby_is_user), (sanitize_component),
	(itip_get_comp_attendee), (comp_to_list), (comp_subject),
	(comp_limit_attendees), (comp_sentby), (itip_send_comp),
	(reply_to_calendar_comp): Adding the exchange delegation feature.

	Committing on behalf of Suman Manjunath <msuman@novell.com> 

2007-07-09  Matthew Barnes  <mbarnes@redhat.com>

	* gui/e-memos.c: (e_memos_setup_view_menus)
	* gui/e-tasks.c: (e_tasks_setup_view_menus)
	* gui/gnome-cal.c: (gnome_calendar_setup_view_menus)
	Abort if ETable specification file fails to load.

2007-06-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #234294

	* gui/dialogs/cancel-comp.c: (is_past_event): New helper function.
	* gui/dialogs/cancel-comp.c: (cancel_component_dialog):
	Returns FALSE to EVENTs in the past, based on date, not time part.

2007-07-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #300584

	* gui/e-calendar-view.h: Added public helper
	function e_calendar_view_get_icalcomponent_summary
	* gui/e-calendar-view.c: (e_calendar_view_get_icalcomponent_summary),
	(icalcomp_contains_category), (e_calendar_view_get_tooltips):
	Implementing helper functions and added year number also into tooltip.
	* gui/e-day-view.c: (e_day_view_update_long_event_label):
	* gui/e-week-view.c: (e_week_view_reshape_event_span),
	(cancel_editing): Using e_calendar_view_get_icalcomponent_summary.

2007-07-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #438613 and #329594

	* gui/dialogs/event-page.c: (sensitize_widgets):
	Disable recurrence and free/busy actions with read only calendars.
	* gui/dialogs/comp-editor.c: (prompt_and_save_changes):
	When clicked "Save", then claim on readonly calendars and didn't
	discard changes silently.
	* gui/dialogs/comp-editor.c: (menu_file_save_cb):
	Claims on readonly calendars before validating form datas.

	* gui/e-meeting-list-view.c: (build_table): Fixed runtime warning.
	* gui/dialogs/alarm-list-dialog.glade: Fixed runtime warnings.

2007-07-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #321741

	* gui/e-calendar-view.h:
	* gui/e-calendar-view.c: (e_calendar_view_new_appointment_full):
	Added new parameter 'actual_day', with true always use actual day.
	* gui/e-calendar-view.c: (on_new_event), (on_new_meeting),
	(e_calendar_view_new_appointment):
	* gui/calendar-component.c: (create_new_event):
	* gui/e-week-view.c: (e_week_view_on_button_press):
	Changing call of 'e_calendar_view_new_appointment_full'.

2007-06-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #328484

	* gui/calendar-component.c: (source_changed_cb):
	New callback to refresh view after source changed.
	* gui/calendar-component.c: (source_added_cb),
	(source_removed_cb): Connecting and disconnecting
	on change callback to source.

2007-07-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #445526

	* gui/dialogs/alarm-list-dialog.h: (alarm_list_dialog_set_client):
	* gui/dialogs/alarm-list-dialog.c: (alarm_list_dialog_set_client)
	New function, need to be called when page source changed.
	* gui/dialogs/event-page.c: (struct _EventPagePrivate), (init_widgets),
	(event_page_init), (event_page_finalize), (source_changed_cb):
	New private property alarm_list_dlg_widget points on dialog's box and
	calling new callback in source_changed_cb.

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

        ** Fix for bug #448223 from Gilles Dartiguelongue

	* gui/cal-search-bar.c: (generate_viewoption_menu):

2007-06-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #325882

	* gui/dialogs/e-delegate-dialog.glade:
	* gui/dialogs/schedule-page.glade:
	* gui/goto-dialog.glade:
	* gui/e-itip-control.glade:
	Changed GTK_WIN_POS_NONE to GTK_WIN_POS_CENTER_ON_PARENT.

2007-06-15  Matthew Barnes  <mbarnes@redhat.com>

	* gui/dialogs/alarm-dialog.c:
	Remove the aalarm_attach widget and retrieve the selected filename
	using the GtkFileChooser API (#440075).

2007-06-06  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* Makefile.am:
	
	Reverted automake 1.6 breakage. Fixes bug 444747. 
	Patch by Patch by Daniel Gryniewicz <dang@nemesis.fprintf.net>.

2007-06-04  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/Makefile.am: Added the filter flags and the new files.
	* gui/cal-search-bar.c: (cal_search_bar_class_init),
	(cal_search_bar_init), (cal_search_bar_destroy),
	(get_current_category), (get_show_option_sexp),
	(notify_e_cal_view_contains), (notify_category_is), (regen_query),
	(setup_category_options), (make_suboptions),
	(search_menu_activated), (cal_search_bar_construct),
	(cal_search_bar_get_category), (cal_search_bar_get_time_range):
	* gui/cal-search-bar.h: 
	* gui/e-cal-model.[ch]:
	(e_cal_model_set_search_query_with_time_range): Set the time range
	and the search query.							
	* gui/gnome-cal.c: (set_search_query),
	(search_bar_sexp_changed_cb), (update_memo_view),
	(gnome_calendar_init), (update_view_times), (display_view),
	(display_view_cb), (gnome_calendar_update_date_navigator): Hide
	the date navigator in list view for searches based on date.	   
	* gui/caltypes.xml:
	* gui/memotypes.xml:
	* gui/tasktypes.xml: Added the Advanced search options.

	Committing on behalf of Keshav Upadhyaya <ukeshav@novell.com> and 
	Abhishek Parwal <pabhishek@novell.com>.

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #386503 from Matthew Barnes

	* gui/dialogs/comp-editor.c: (comp_editor_show_help):

2007-06-03  Srinivasa Ragavan <sragavan@novell.com>

        ** Fix for version removal from Installed files from Gilles Dartiguelongue 

	* Makefile.am:
	* conduits/calendar/Makefile.am:
	* conduits/memo/Makefile.am:
	* conduits/todo/Makefile.am:
	* gui/Makefile.am:
	* gui/alarm-notify/Makefile.am:

2006-09-08  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #347767
	
	* gui/dialogs/send-comp.c : (send_component_prompt_subject):
	error id "calendar:prompt-send-no-subject-memo" or
	"calendar:prompt-send-no-subject-memo-to-recipients" is called
	when memo is saved without a summary.
	* calendar.error.xml : error id "prompt-send-no-subject-memo" is
	added.
	
2007-06-02  Gilles Dartiguelongue  <dartigug@esiee.fr>

	** Fixes bug #439122

	* conduits/calendar/calendar-conduit.c:
	(local_record_to_pilot_record):
	* conduits/memo/memo-conduit.c: (local_record_to_pilot_record):
	* conduits/todo/todo-conduit.c: (local_record_to_pilot_record):
	* gui/calendar-component.c: (selector_tree_drag_data_received):
	* gui/dialogs/alarm-list-dialog.c: (edit_clicked_cb):
	* gui/dialogs/cal-prefs-dialog.c: (alarms_selection_changed):
	* gui/dialogs/calendar-setup.c: (eccp_commit):
	* gui/dialogs/comp-editor.c: (drop_action),
	(comp_editor_get_mime_attach_list):
	* gui/dialogs/event-page.c: (remove_clicked_cb):
	* gui/dialogs/task-page.c: (remove_clicked_cb):
	* gui/e-day-view.c: (e_day_view_on_drag_data_get):
	* gui/e-itip-control.c: (url_requested_cb), (insert_boxes),
	(insert_ok):
	* gui/e-meeting-time-sel.c: (e_meeting_time_selector_construct):
	* gui/e-memos.c: (table_drag_data_get), (backend_error_cb):
	* gui/e-tasks.c: (table_drag_data_get), (e_tasks_open_task_id):
	* gui/e-week-view-event-item.c: (e_week_view_event_item_draw):
	* gui/gnome-cal.c: (backend_error_cb):
	* gui/memos-component.c: (selector_tree_drag_data_received):
	* gui/print.c: (print_calendar):
	* gui/tasks-component.c: (selector_tree_drag_data_received):
	compilation warnings cleanup

2007-06-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #321741

	* gui/e-calendar-view.c: (e_calendar_view_new_appointment_full):
	Default first date for appointment or meeting is changed on actual
	date if have selected start date in past. (This doesn't affect
	double click in calendar view.)

2007-05-27  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #351729 from Milan Crha

	* gui/dialogs/event-editor.c: (event_editor_construct):
	* gui/dialogs/event-page.glade:
	* gui/dialogs/task-editor.c: (task_editor_construct):

2007-05-27  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/e-cal-popup.c: Addup missing hooks in the previous commit.

2007-05-27  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #326388 from Raghavendaran

	* gui/calendar-component.c: (ensure_sources): Create a popup key for
	readonly calendar.
	* gui/e-cal-popup.c: (e_cal_popup_target_new_source):
	* gui/e-cal-popup.h:

2007-05-25  Matthew Barnes  <mbarnes@redhat.com>

	* gui/migration.c (create_calendar_sources), (create_task_sources),
	(create_memo_sources):
	* gui/tasks-component.c (ensure_sources):
	* gui/calendar-component.c (ensure_sources):
	* gui/memos-component.c (ensure_sources):
	Don't assume the relative URI is non-NULL (#427232).

2007-05-24  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #424562

	* gui/dialogs/recur-comp.c (recur_component_dialog):
	Remove check for obsolete GTK+ version.

	* gui/alarm-notify/alarm-queue.c:
	EggTrayIcon is dead; always use GtkStatusIcon.

2007-05-14  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/GNOME_Evolution_Calendar.server.in.in: Fix for bug #407104

2007-05-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #330098 from Naresh

	* gui/dialogs/select-source-dialog.c: (select_source_dialog):

2007-05-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #337616

	* gui/Makefile.am: Add $(schema_DATA) to DISTCLEANFILES.

2007-05-12  simon.zheng  <simon.zheng@sun.com>

	** Fix for bug #427789

        * gui/e-calendar-view.c: (e_calendar_view_copy_clipboard):
        The last arguments in API gtk_clipboard_set_text() should be
        the length of string in bytes rather than in characters.

2007-05-11  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/GNOME_Evolution_Calendar.server.in.in: Add tango icon to
	preference window.

2007-05-04  Srinivasa Ragavan  <sragavan@novell.com>

	** Downstream fixes from OpenSUSE

	* gui/dialogs/event-page.c: (update_time):
	* gui/e-cal-component-preview.c: (write_html):

2007-05-04  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #415562

	* gui/alarm-notify/alarm-queue.c: (tray_icon_clicked_cb),
	(popup_menu), (display_notification):

2007-04-28  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/dialogs/task-page.glade: Fix a mnemonic conflict.
	Patch from Jens Knutson. Closes bug #397463.

2007-04-20  Matthew Barnes  <mbarnes@redhat.com>

	* gui/calendar-commands.c:
	* gui/dialogs/comp-editor.c:
	* gui/e-calendar-table.c:
	* gui/e-calendar-view.c:
	* gui/e-memo-table.c:
	* gui/memos-control.c:
	* gui/print.c:
	* gui/print.h:
	* gui/tasks-control.c:
	Refactor the printing infrastructure. (#426816)

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* gui/e-select-names-renderer.c
	(e_select_names_renderer_editing_done):
	Use gtk_cell_renderer_stop_editing() instead of
	gtk_cell_renderer_editing_canceled().

	* gui/dialogs/task-details-page.c (get_widgets):
	* gui/dialogs/schedule-page.c (get_widgets):
	* gui/dialogs/task-page.c (get_widgets):
	* gui/dialogs/recurrence-page.c (get_widgets):
	* gui/dialogs/event-page.c (get_widgets):
	* gui/dialogs/memo-page.c (get_widgets):
	Use g_object_ref() instead of gtk_widget_ref().

	* gui/dialogs/task-details-page.c (task_details_page_finalize):
	* gui/dialogs/schedule-page.c (schedule_page_finalize):
	* gui/dialogs/task-page.c (task_page_finalize):
	* gui/dialogs/recurrence-page.c (recurrence_page_finalize):
	* gui/dialogs/event-page.c (event_page_finalize):
	* gui/dialogs/memo-page.c (memo_page_finalize):
	Use g_object_unref() instead of gtk_widget_unref().

	* gui/dialogs/event-editor.c (create_schedule_page):
	* gui/dialogs/memo-editor.c (memo_editor_construct):
	* gui/dialogs/task-editor.c (task_editor_construct):
	* gui/print.c (print_table):
	* conduits/todo/todo-conduit.c (todoconduit_load_configuration):
	* conduits/calendar/calendar-conduit.c
	(calconduit_load_configuration):
	* conduits/memo/memo-conduit.c (memoconduit_load_configuration):
	Use g_object_ref_sink() instead of gtk_object_sink().

	* gui/dialogs/task-details-page.c (sensitize_widgets):
	* gui/dialogs/task-page.c (sensitize_widgets):
	* gui/dialogs/event-page.c (sensitize_widgets),
	(event_page_fill_widgets):
	* gui/dialogs/memo-page.c (sensitize_widgets),
	(memo_page_fill_widgets):
	* gui/e-timezone-entry.c (e_timezone_entry_init):
	Use gtk_editable_set_editable() instead of gtk_entry_set_editable().

	* gui/dialogs/task-details-page.c (get_widgets):
	* gui/dialogs/schedule-page.c (get_widgets):
	* gui/dialogs/task-page.c (get_widgets):
	* gui/dialogs/recurrence-page.c (get_widgets):
	* gui/dialogs/event-page.c (get_widgets):
	* gui/dialogs/memo-page.c (get_widgets):
	Use g_object_ref() instead of gtk_accel_group_ref().

	* gui/dialogs/comp-editor-page.c (comp_editor_page_destroy):
	Use g_object_unref() instead of gtk_accel_group_unref().

	* gui/dialogs/task-page.c (task_page_new):
	* gui/dialogs/memo-page.c (memo_page_new):
	Use g_object_new() instead of gtk_type_new().

	* gui/dialogs/comp-editor.c (save_comp), (obj_modified_cb):
	* gui/dialogs/comp-editor-page.c
	(comp_editor_page_display_validation_error):
	* gui/e-memos.c (backend_error_cb):
	* gui/e-itip-control.c (update_item), (update_attendee_status),
	(send_item), (send_freebusy):
	* gui/gnome-cal.c (backend_error_cb):
	* gui/e-tasks.c (backend_error_cb):
	* gui/e-cell-date-edit-text.c (show_date_warning):
	Use gtk_message_dialog_new() instead of gnome_error_dialog(),
	gnome_warning_dialog(), gnome_question_dialog(), or gnome_ok_dialog().

	* gui/dialogs/comp-editor.c (comp_editor_show_page):
	* gui/dialogs/alarm-dialog.c (action_selection_done_cb):
	* gui/gnome-cal.c (display_view):
	* importers/icalendar-importer.c (button_toggled_cb):
	Use gtk_notebook_set_current_page() instead of
	gtk_notebook_set_page().

	* gui/dialogs/alarm-dialog.glade:
	* gui/dialogs/alarm-dialog.c:
	Use GtkFileChooserButton instead of GnomeFileEntry.

	* gui/e-memos.c (e_memos_class_init):
	* gui/e-tasks.c (e_tasks_class_init):
	Use g_cclosure_marshal_VOID__INT instead of gtk_marshal_NONE__INT.

	* gui/e-day-view.c (e_day_view_style_set), (e_day_view_check_layout):
	* gui/e-itip-control.c (e_itip_control_init):
	* gui/gnome-cal.c (gnome_calendar_hpane_resized):
	* gui/e-week-view.c (e_week_view_style_set):
	* gui/e-meeting-time-sel (e_meeting_time_selector_construct),
	(e_meeting_time_selector_style_set):
	Use gtk_widget_set_size_request() instead of gtk_widget_set_usize().

	* gui/e-day-view.c (e_day_view_stop_auto_scroll),
	(e_day_view_cancel_layout):
	* gui/e-week-view.c (e_week_view_cancel_layout):
	Use g_source_remove() instead of gtk_timeout_remove().

	* gui/tasks-component.c (task_component_peek):
	* gui/calendar-component.c (calendar_component_peek):
	* gui/memos-component.c (memos_component_peek):
	Use g_mkdir_with_parents() instead of e_util_mkdir_hier().

	* gui/print.c (range_selector_new):
	* gui/e-day-view-time-item.c (e_day_view_time_item_show_popup_menu):
	Use gtk_radio_button_get_group() instead of gtk_radio_button_group().

	* gui/e-day-view-time-item.c (e_day_view_time_item_show_popup_menu):
	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	Use gtk_menu_shell_append() instead of gtk_menu_append().

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	e_button_new_with_stock_icon() is dead; just do it manually.

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	Use gtk_radio_menu_item_get_group() instead of
	gtk_radio_menu_item_group().

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct),
	(e_meeting_time_selector_draw_shadow):
	Use gtk_paint_shadow() instead of gtk_draw_shadow().

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_timeout_handler):
	Remove gtk_layout_freeze() and gtk_layout_thaw().

2007-04-10  Andre Klapper  <a9016009@gmx.de>

	* gui/dialogs/cal-prefs-dialog.glade: add missing mnemonic widgets. 
	Fixes bug #329168.

2007-04-06  Matthew Barnes  <mbarnes@redhat.com>

	* gui/itip-utils.c (reply_to_calendar_comp):
	Use a GString to construct the body contents and also fix several
	memory leaks.  (#408423)  Based on a patch from Daniel Gryniewicz.

2007-04-06  Matthew Barnes  <mbarnes@redhat.com>

	* gui/memos-component.c (impl__get_userCreatableItems):
	Fix a duplicate keyboard shortcut.  (#353922)
	Patch from Diego Escalante Urrelo

2007-04-05  Matthew Barnes  <mbarnes@redhat.com>

	* gui/print.c (print_calendar): Fix a crasher. (#401539)

2007-04-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #373116

	* gui/calendar-component.c (ensure_sources):
	* gui/e-cal-model.c (ecm_get_color_for_component):
	* gui/memos-component.c (ensure_sources):
	* gui/migration.c (create_calendar_contact_source),
	(create_calendar_sources), (create_task_sources),
	(create_memo_sources), (add_gw_esource):
	* gui/tasks-component.c (ensure_sources):
	Use the new ESource color API.

	* gui/calendar-component.c
	(calendar_config_get_tasks_due_today_color),
	(calendar_config_get_tasks_overdue_color):
	Return a GdkColor instead of an X color specification.

	* gui/calendar-component.c
	(calendar_config_set_tasks_due_today_color),
	(calendar_config_set_tasks_overdue_color):
	Accept a GdkColor instead of an X color specification.

	* gui/e-cal-model-tasks.c (ecmt_get_color_for_component):
	Adapt to modified color API in calendar-component.c by converting
	the GdkColor to an X color specification.  This is an ugly hack to
	be fixed later.

	* gui/dialogs/cal-prefs-dialog.c:
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/dialogs/calendar-setup.c:
	* gui/dialogs/calendar-setup.glade:
	Migrate from GnomeColorPicker to GtkColorButton.

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* gui/e-cal-component-memo-preview.c (write_html):
	Use a format string ("%s") when passing uncontrolled data to a
	printf-style function (CVE-2007-1002).

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* gui/e-day-view.c:
	* gui/e-week-view.c:
	* gui/tasks-control.c:
	Fix "incompatible pointer type" warnings (#360619).

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* gui/alarm-notify/alarm-queue.c:
	* gui/dialogs/comp-editor.c:
	* gui/dialogs/event-page.c:
	* gui/dialogs/memo-page.c:
	* gui/dialogs/task-page.c:
	* gui/e-cal-popup.c:
	* gui/e-meeting-list-view.c:
	* gui/e-tasks.c:
	* gui/gnome-cal.c:
	Don't mix declarations and code (#405495).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-03-05  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/dialogs/event-page.c: (event_page_fill_component): Set the
	description only if summary has some value.								
	* gui/dialogs/schedule-page.c: (schedule_page_update_free_busy):
	* gui/dialogs/schedule-page.h:
	* gui/e-meeting-time-sel.[ch]: exposed e_meeting_time_selector_refresh_free_busy.
	* gui/dialogs/event-editor.c: (menu_action_freebusy_cb),
	(create_schedule_page), (menu_action_freebusy_cmd),
	(event_editor_construct): Form the FreeBusy dialog only when the button is
	clicked. The FreeBusy queries would not start until the button is clicked. So
	the users can choose the appropriate dates in the editor before the clicking 
	the button.

2007-02-12  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/e-meeting-list-view.c: (e_meeting_list_view_init):
	Fix window title. Patch from Matthias Clasen. Closes
	bug #381498.

2007-02-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Print migration updates from Ebby Wiselyn

	* gui/print.c: (print_day_view), (print_calendar), (print_comp),
	(print_table), (comp_draw_page), (cal_draw_page),
	(table_draw_page), (create_custom_widget), (apply_custom_widget):

2007-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	Committing GtkPrint migration from Ebby Wiselyn.

	* gui/print.c: (evo_calendar_print_cal_data_new),
	(evo_calendar_print_data_new),
	(evo_calendar_print_renderer_get_width),
	(print_border_with_triangles), (print_border_rgb), (print_border),
	(print_rectangle), (print_text), (print_text_size),
	(print_text_size_bold), (titled_box), (print_month_small),
	(bound_text), (print_day_background), (print_day_add_event),
	(print_day_long_event), (print_day_event), (print_day_details),
	(print_week_long_event), (print_week_day_event),
	(print_week_event), (print_week_view_background),
	(print_week_summary), (print_month_summary), (print_todo_details),
	(print_day_view), (print_week_view), (print_month_view),
	(print_year_view), (print_comp_item), (print_calendar),
	(print_comp), (print_title), (print_table), (comp_draw_page),
	(cal_draw_page), (table_draw_page):

2007-01-08  Veerapuram Varadhan  <vvaradhan@novell.com>

	Patch submitted by Nathan Owens <pianocomp81@yahoo.com> and 
	Jerry Yu <jijun.yu@sun.com>

	* conduits/calendar/calendar-conduit.c: 
	* conduits/todo/todo-conduit.c:
	* conduits/memo/memo-conduit.c:Add pilot-link 0.12
	compatibility
	
2007-01-08  Matthew Barnes  <mbarnes@redhat.com>
	
	Fixes #383027
	* gui/itip-utils.c: (itip_get_comp_attendee): Handle the case
 	when there is no default account.						      

2007-01-08  Matthew Barnes  <mbarnes@redhat.com>

	Fixes #377511
	* gui/e-meeting-list-view.c: (get_index_from_role):
	Return the default value 1.
	(role_edited_cb): Move the attendee to the right section
	in the name selector.			  

2007-01-08  Wang Xin  <jedy.wang@sun.com>
	
	Fixes #389966
	* gui/e-cal-model-tasks.c: (set_status):
	Do not create the status property if its pointing to None.

2007-01-08  Wang Xin  <jedy.wang@sun.com>

	Fixes #389961
	* gui/e-cal-model.c: (e_cal_model_set_instance_times):
	Check if the item is a event before processing the end time.

2006-12-04  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #357970

	* gui/e-alarm-list.c:
	* gui/e-calendar-table.c:
	* gui/e-day-view.c:
	* gui/e-meeting-attendee.c:
	* gui/e-meeting-store.c:
	* gui/e-meeting-time-sel-item.c:
	* gui/e-meeting-time-sel.c:
	* gui/e-week-view-main-item.c:
	* gui/e-week-view.c:
	* gui/gnome-cal.c:
	* gui/goto.c:
	* gui/dialogs/event-page.c:
	* gui/dialogs/task-page.c:
	Don't call deprecated GLib / GDK functions.

2006-12-04 Nickolay V. Shmyrev <nshmyrev@yandex.ru>

	Fixes #270751.
	Adds support for command line uri in tasks.
	* gui/GNOME_Evolution_Calendar.server.in.in: Added the specification
	for task uri.
	* gui/e-calendar-table.c: (e_calendar_table_open_selected),
	(e_calendar_table_open_task), (open_task_by_row),
	(e_calendar_table_on_open_task), (e_calendar_table_on_assign):
	* gui/e-calendar-table.h:
	* gui/tasks-control.c: (tasks_control_assign_cmd): 
	* gui/e-tasks.c: (e_tasks_open_task_id):
	* gui/e-tasks.h: Pass just the required arguments.
	* gui/tasks-component.c: (impl_handleURI),
	(tasks_component_class_init): Implement the uri interface

2006-11-28  Wang Xin  <jedy.wang@sun.com>

	Fix for bug #380064

	* gui/alarm-notify/alarm-queue.c: (mail_notification): Only
	popup the dialog if calendar backend does not support
	email alarm.

2006-12-03  Harish Krishnaswamy  <kharish@novell.com>

	* gui/calendar-config.c:
	(calendar_config_get_icaltimezone): Fix leaks of
	'location' at various exit points. 

2006-11-28  Srinivasa Ragavan  <sragavan@novell.com>

	Added support to print/preview from Calendar Editor.

	* gui/dialogs/comp-editor.c: (menu_file_print_cb),
	(menu_file_print_preview_cb):

2006-11-28  Daniel Gryniewicz <dang@gentoo.org>

	** Fix for bug #349966

	* gui/apps_evolution_calendar.schemas.in.in:
	* gui/calendar-config-keys.h:
	* gui/dialogs/alarm-dialog.c: (action_selection_done_cb):

2006-11-20  Carlos Garcia Campos  <carlosgc@gnome.org>
	
	Fixes bug #367183
	* gui/e-cal-model.c: (e_cal_model_set_instance_times): Make end_time a
	valid date for all day events when ical file doesn't provide neither
	DTEND nor DURATION for such events. 

2006-11-15  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/gnome-cal.c: (client_cal_opened_cb),
	(default_client_cal_opened_cb): Diplay a warning
	if calendar fails to open.

2006-11-14  Harish Krishnaswamy  <kharish@novell.com>

	* gui/gnome-cal.c: (gnome_calendar_destroy):
	Disconnect signal handlers before gcal is destroyed.
	Fixes #208959 (bugzilla.novell.com).

2006-11-07  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/alarm-notify/alarm-notify.c: (list_changed_cb),
	(load_calendars), (cal_opened_cb), (alarm_notify_add_calendar):
	* gui/dialogs/cal-prefs-dialog.c: (alarms_selection_changed):
	Disable alarms for subscribed exchange calendars.
	Fixes #208318 (bugzilla.novell.com)

2006-11-06  Chenthill Palanisamy  <pchenthill@novell.com>

	Committing for Ben Gamari <bgamari@gmail.com>

	* recurrence-page.c: Correct recurrence editor default behavior.
	Fixes #354875 

2006-10-16  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/cal-search-bar.c: (notify_e_cal_view_contains),
	(regen_query), (generate_viewoption_menu), (make_suboptions):
	Add missing header, #if 0 out some unused code, copy and free
	some data to avoid warnings.
	* gui/dialogs/cal-attachment-select-file.c: (run_selector):
	* gui/dialogs/comp-editor.c: (fill_widgets):
	* gui/dialogs/delete-comp.c: (prompt_retract_dialog):
	Typecasting fixes.
	* gui/dialogs/event-page.c: (init_widgets):
	* gui/dialogs/memo-editor.c: (memo_editor_edit_comp):
	Remove some unused code.
	* gui/dialogs/memo-page.c: (fill_comp_with_recipients):
	More GString changes.
	* gui/e-cal-component-memo-preview.c: (write_html):
	Micro-optimization of GString handling.
	* gui/e-cal-component-preview.c: (write_html):
	Same as above.
	* gui/e-cal-model-tasks.c:
	(e_cal_model_tasks_mark_task_incomplete):
	Remove unused variables.
	* gui/e-cal-model.c: (get_description),
	(e_cal_model_set_instance_times):
	More GString stuff and constification of the timezone arg.
	* gui/e-cal-model.h:
	Constify
	* gui/e-cal-popup.c: (ecalp_standard_menu_factory):
	Remove unused code.
	* gui/e-day-view-config.c: (e_day_view_config_set_view):
	Fix signedness warnings.
	* gui/e-day-view-main-item.c:
	(e_day_view_main_item_draw_day_event):
	Init a variable to NULL to avoid a compiler warning.
	* gui/e-day-view-time-item.c:
	(e_day_view_time_item_get_column_width):
	Remove unused var.
	* gui/e-day-view.c: (e_day_view_update_event_label),
	(e_day_view_on_text_item_event):
	Add braces and a cast to get rid of compiler warnings.
	* gui/e-meeting-list-view.c:
	(e_meeting_list_view_remove_attendee_from_name_selector),
	(attendee_edited_cb), (row_activated_cb), (add_to_list):
	Add some typecasts to avoid compiler warnings and remove an unused var.
	* gui/e-meeting-store.c: (e_meeting_store_get_num_queries):
	Return a value when checking the arguments.
	* gui/e-tasks.c: (setup_widgets):
	Add a cast to fix a compiler warning.
	* gui/e-week-view.c: (tooltip_event_cb),
	(e_week_view_on_text_item_event):
	More typecasting.
	* gui/gnome-cal.c: (gnome_calendar_get_tag),
	(gnome_calendar_cut_clipboard), (gnome_calendar_copy_clipboard):
	More typecasting and fix cutting/copying memos.
	* gui/gnome-cal.h:
	Add a prototype for gnome_calendar_get_tag().
	* gui/itip-utils.c: (comp_to_list):
	Fix shadowed variable.
	* gui/memos-component.c: (set_info):
	* gui/migration.c: (get_source_name):
	* gui/tasks-component.c: (set_info):
	GString fixes.

2006-10-16  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #347768
	
	* gui/dialogs/memo-page.glade : Label changed from "_Memo Content"
	to "_Description".

2006-10-16 Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #329696
	* gui/e-itip-control.c : (show_current_event),(show_current_todo):
	String change to make it more clear.

2006-10-16  Harish Krishnaswamy  <kharish@novell.com>

	* gui/e-day-view.c: (e_day_view_init),
	(e_day_view_on_top_canvas_button_press),
	(e_day_view_on_main_canvas_button_press),
	(e_day_view_on_long_event_button_press),
	(e_day_view_on_event_button_press),
	(e_day_view_on_text_item_event): Disable tooltips
	on drag, resize and edit. Fixes #333224. Patch 
	submitted by Srinivasa Ragavan.

2006-10-14  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #352546

	* gui/dialogs/event-page.c: (init_widgets) Fix typo in a
	translated string ("appointement").

2006-10-03  Francisco Javier F. Serrador  <serrador@openshine.com>

	* gui/dialogs/recurrence-page.c: Fix to allow translate some
	strings (Closes: #359271)

2006-09-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #343369
	* gui/dialogs/comp-editor.c: (attach_message), (drop_action):
	Set the filename as email followed the number of the attachment.

2006-09-28  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #261082

	* gui/e-itip-control.c: (write_recurrence_piece): Translator
	comments added.

2006-08-24 Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #261980, #325611

	* gui/e-itip-control.c (write_recurrence_piece) (set_date_label) :
	Translator comment added.

2006-08-24 Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #325613

	* gui/dialogs/recurrence-page.c (make_recur_month_menu) :
	Translator comment added.

2006-09-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #334692
	
	* gui/e-week-view.c: (e_week_view_on_scroll), (tooltip_destroy),
	(tooltip_event_cb), (e_week_view_on_text_item_event): Remove the
	timers that are left out when using scroll. They seem to trigger
	crashes.

2006-09-21  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #354775
	
	* gui/calendar-component.c: (create_component_view): Fix to restore
	the pane position.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	Fixes #351332

	* gui/cal-search-bar.c:
	* gui/e-cal-model-tasks.h:
	* gui/e-calendar-view.h:
	* gui/gnome-cal.h:
	* gui/dialogs/memo-page.h:
	Fix implicit function declarations.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #352450

	* gui/calendar-commands.c:
	* gui/e-day-view-main-item.c:
	* gui/e-day-view-top-item.c:
	* gui/e-meeting-list-view.c:
	* gui/e-meeting-time-sel-item.c:
	* gui/e-meeting-time-sel.c:
	* gui/e-week-view-event-item.c:
	Replace deprecated GLib and GDK function calls.

2006-09-11  Chenthill Palanisamy  <pchenthill@novell.com>
	
	Fixes #344276
	* gui/e-cal-component-memo-preview.c: (write_html): made 
	the memo preview work fine with special char.
	Committing on behalf of Arvind <sa.phoenix@gmail.com>.

2006-09-08  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #343409
	* gui/e-select-names-editable.c:
	(e_select_names_editable_get_emails),
	(e_select_names_editable_get_name),
	(e_select_names_editable_get_names): Reverting the 
	fix for the bug 320101 as it breaks delegation feature.
	* gui/e-meeting-list-view.c: (attendee_edited_cb): copy
	the delfrom parameter from the attendee being edited.							   

2006-09-01  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #353763
	* gui/dialogs/memo-page.c: (sensitize_widgets):
	set sens to TRUE if its not a shared memo.

2006-08-30  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #344463

	* gui/alarm-notify/alarm-queue.c: (open_alarm_dialog),
	(tray_icon_clicked_cb): Use unref to remove GtkStatusIcon.

2006-08-29  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/e-cal-model-memos.c: (ecmm_fill_component_from_model):
	set dtstart while creating memos using quick add.

2006-08-28  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/migration.c: (is_groupwise_account), (add_gw_esource),
	(migrate_memos): Create e-sources for the Groupwise reminder
	notes while migrating to 2.8 from a lower version.			

2006-08-28  Andre Klapper  <a9016009@gmx.de>

	** Fix for bug #352988
	
	* gui/gnome-cal.c: (setup_widgets): Marking two strings for 
	translation. 

2006-08-24  Ross Burton  <ross@openedhand.com>

	* gui/e-week-view-main-item.c:
	Don't manipulate the style's font description and don't use custom
	sizes (#347933).

2006-08-23  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/alarm-notify/alarm-notify-dialog.c: (dialog_response_cb):
	* gui/alarm-notify/alarm-notify.c: (list_changed_cb),
	(dequeue_client), (alarm_msgport_replied),
	(alarm_notify_add_calendar), (alarm_notify_remove_calendar):
	* gui/alarm-notify/alarm-queue.c: (queue_midnight_refresh),
	(add_client_alarms_cb), (midnight_refresh_async),
	(remove_queued_alarm), (add_component_alarms), (cal_opened_cb),
	(remove_alarms), (remove_comp), (query_objects_changed_async),
	(edit_component), (tray_list_remove_cqa_async),
	(tray_list_remove_data_async), (notify_dialog_cb),
	(open_alarm_dialog), (tray_icon_clicked_cb), (tray_list_add_async),
	(free_client_alarms_cb), (alarm_queue_add_async), (remove_cqa),
	(remove_client_alarms):
	* gui/dialogs/alarm-dialog.c: (alarm_to_dalarm_widgets),
	(populate_widgets_from_alarm), (action_selection_done_cb):
	* gui/dialogs/alarm-list-dialog.c: (alarm_list_dialog_peek):
	* gui/dialogs/cal-prefs-dialog.c: (show_alarms_config):
	* gui/dialogs/memo-editor.c: (memo_editor_finalize):
	* gui/dialogs/memo-page.c: (sensitize_widgets):
	* gui/dialogs/task-page.c: (edit_clicked_cb):
	Fix all compiler warnings and correct some other issues.

2006-08-23  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #341691
	* gui/comp-util.c: (cal_comp_is_on_server):
	Do not send the recurrence id for backends which
	support recurrence with master object.

2006-08-23  Matthew Barnes  <mbarnes@redhat.com>
  	 
	* gui/e-itip-control.c:
	fix an uninitialized GError - fixes bug 352423.

2006-02-14  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	**Fixes #325935

	* gui/memos-component.c: (selector_tree_drag_motion):
	Edited code to move the memo from one task list to another.

2006-08-22  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #351263
	* gui/dialogs/event-page.c: (init_widgets):
	do not add  duplicate items in menu.

	Committing the patch from Sebastien Bacher <seb123@debian.org> 

2006-08-22  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/calendar-component.c (ensure_sources): Plug a leak.
	* gui/migration.c (create_calendar_sources): Same thing here.

2006-08-21  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #346549
	* gui/dialogs/task-details-page.c (priority_index_to_value):
	set the priority to undefined if its value does not match the cases.
	Removed the assertion so that we don't quit.

2006-08-21  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/cal-search-bar.c: (string_without_underscores),
	(generate_viewoption_menu), (make_suboptions): Fixes few search
	issues.

2006-08-18  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #343369
	* gui/itip-utils.c: (append_cal_attachments):
	Set the file name to empty string in its absence.

2006-08-17  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/e-week-view-event-item.c:
	(e_week_view_event_item_draw_icons): Plug a leak.

2006-08-14  Li Yuan  <li.yuan@sun.com>

	* gui/alarm-notify/alarm-queue.c: (mail_notification):
	Fixes #351253, make the dialog shows the label and 
	can be closed.

2006-08-10  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/e-cal-model-calendar.c: (ecmc_set_value_at):
	* gui/e-calendar-table.c: (e_calendar_table_on_forward):
	* gui/e-calendar-view.c: (e_calendar_view_add_event),
	(e_calendar_view_cut_clipboard), (delete_event),
	(e_calendar_view_delete_selected_occurrence), (on_forward),
	(e_calendar_view_modify_and_send):
	* gui/e-itip-control.c: (send_item), (send_freebusy),
	(ok_clicked_cb):
	* gui/e-memo-table.c: (e_memo_table_on_forward):
	* gui/tasks-control.c: (tasks_control_forward_cmd):
	* gui/dialogs/task-editor.c: (task_editor_send_comp):
	* gui/dialogs/event-editor.c: (event_editor_send_comp):
	Updated the itip_send_comp.
	* gui/dialogs/memo-page.c: (fill_comp_with_recipients),
	(memo_page_fill_component), (summary_changed_cb), (init_widgets):
	Connect the changed signal to summary, date and group widgets.
	Fill the list of users from the component and send the component.
	* gui/dialogs/send-comp.c: (send_component_dialog):
	* gui/dialogs/comp-editor.c: (save_comp_with_send),
	(get_users_from_memo_comp), (real_send_comp):
	* gui/itip-utils.c: (comp_to_list), 
	Fill the recipient list while sharing memos.	
	* gui/itip-utils.h (itip_send_comp):
	adding an argument to send the list of users.
	
2006-08-09  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/alarm-list-dialog.h: Add missing
	declaration. Fixes #350391 (Patch from Øystein Gisnås).

2006-08-08  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes bug #235909
	* gui/e-cal-model-tasks.c (get_due_status): Get the timezone for
	the due date field correctly.

	Committing for  Mubeen Jukaku  <jmubeen@novell.com>

2006-08-07  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #350267
	
	* gui/calendar-component.c: (calcomp_vpane_realized): Fix the
	miscalculation becoz of convertion from float to int.

2006-08-04  Johnny Jacob <jjohnny@novell.com>

	* gui/cal-search-bar.h : Changed the CAL_SEARCH items mask for
	tasks, memos, calendar.

2006-07-31  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #335276
	* gui/dialogs/event-editor.c: (event_editor_edit_comp):
	Set the meeting time in the time selector.
	* gui/dialogs/schedule-page.c: (schedule_page_set_meeting_time):
	* gui/dialogs/schedule-page.h: Added a function to set the meeting
	time in the time selector.

2006-07-31  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #344927
	* gui/dialogs/event-page.c: 
	(event_page_fill_widgets): Set the classification.

2006-07-31  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #333423
	* gui/alarm-notify/alarm-queue.c: 
	(notify_dialog_cb): Need not get the next iter through
	the tree model, as gtk list store would store the next 
	valid iter in iter.

2006-07-31  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #323499
	* gui/dialogs/recurrence-page.c: (interval_selection_done_cb),
	(ending_selection_done_cb), (init_widgets): Listen to the
	changed signal from the GtkOptionMenu.

2006-07-27  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #345646
	* gui/dialogs/recurrence-page.c: 
	(recurrence_page_finalize): Diconnect the signal handler
	while destroying the page.

2006-07-27  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* gui/e-calendar-view.h: Removed the hardcoded ENABLE_CAIRO
	* gui/e-day-view.c (e_day_view_style_set) (e_day_view_init) 
	(e_day_view_realize) (e_day_view_update_event_label) 
	(e_day_view_on_long_event_click) (e_day_view_reshape_resize_long_event_rec) 
	(e_day_view_reshape_resize_rect_item) (e_day_view_on_top_canvas_motion) 
	(e_day_view_on_main_canvas_motion) (e_day_view_finish_long_event_resize) 
	(e_day_view_finish_resize) (e_day_view_abort_resize)
	 (e_day_view_reshape_main_canvas_resize_bars) (e_day_view_change_event_time) 
	(e_day_view_on_editing_stopped) (e_day_view_on_main_canvas_drag_leave):
	This adds a macro ENABLE_CAIRO to
        disable cairo for slow rendering machines.	

2006-07-27  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* gui/e-day-view.c (e_day_view_update_event_label):
	* gui/e-day-view-main-item.c (e_day_view_main_item_draw_day_event):
	Added code to draw time on top border with cairo, because of text reposition
	when drawn in pango when events are overlapped.
	
2006-07-26  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* gui/apps_evolution_calendar.schemas.in.in: Fix for bug #348486. 
	Corrected wrong description in /apps/evolution/calendar/display/
	event_transparency GConf key.

2006-07-26  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #347772
	* gui/apps_evolution_calendar.schemas.in.in: Set the adjust
	for daylight savings by default.

2006-07-24  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* gui/e-day-view-main-item.c (e_day_view_main_item_draw_day_event):
	Free the gconf client after use.
	* gui/e-day-view.c (e_day_view_update_event_label) 
	(e_day_view_on_text_item_event): Fix the gal tooltip and show the appt
	header if the event spans over minutes per row.

2006-07-22  Chenthill Palanisamy  <pchenthill@novell.com>

	* calendar.error.xml:
	* gui/calendar-component.c: (update_task_memo_selection),
	(update_primary_task_memo_selection),
	(config_tasks_selection_changed_cb),
	(config_primary_tasks_selection_changed_cb),
	(config_memos_selection_changed_cb),
	(config_primary_memos_selection_changed_cb),
	(create_component_view), (destroy_component_view),
	(calendar_component_init):
	* gui/dialogs/comp-editor-page.h:
	* gui/dialogs/comp-editor.h:
	* gui/dialogs/memo-editor.c: (memo_editor_construct),
	(memo_editor_edit_comp), (memo_editor_new):
	* gui/dialogs/memo-editor.h:
	* gui/dialogs/memo-page.c: (memo_page_init), (memo_page_finalize),
	(memo_page_focus_main_widget), (clear_widgets),
	(sensitize_widgets), (memo_page_fill_widgets),
	(fill_comp_with_recipients), (get_current_account),
	(memo_page_fill_component), (get_widgets), (to_button_clicked_cb),
	(response_cb), (init_widgets), (get_to_entry),
	(memo_page_construct), (memo_page_new),
	(memo_page_create_date_edit):
	* gui/dialogs/memo-page.glade:
	* gui/dialogs/memo-page.h:
	* gui/e-cal-component-memo-preview.c: (timet_to_str_with_zone),
	(write_html):
	* gui/e-cal-model.c: (ecm_value_at):
	* gui/e-memo-table-config.c: (e_memo_table_config_set_table):
	* gui/e-memo-table.c: (date_compare_cb), (e_memo_table_init),
	(open_memo), (e_memo_table_get_current_time):
	* gui/e-memo-table.etspec:
	* gui/e-memo-table.h:
	* gui/gnome-cal.c: (gnome_calendar_class_init),
	(get_focus_location), (memo_canvas_focus_change_cb),
	(memo_selection_change_cb), (update_memo_view), (setup_config),
	(view_progress_cb), (view_done_cb), (setup_widgets),
	(gnome_calendar_init), (gnome_calendar_destroy),
	(gnome_calendar_set_pane_positions), (client_cal_opened_cb),
	(default_client_cal_opened_cb), (open_ecal), (backend_died_cb),
	(gnome_calendar_remove_source_by_uid),
	(gnome_calendar_vpane_realized), (gnome_calendar_vpane_resized),
	(gnome_calendar_cut_clipboard), (gnome_calendar_copy_clipboard),
	(gnome_calendar_paste_clipboard),
	(gnome_calendar_notify_dates_shown_changed),
	(gnome_calendar_delete_selection),
	(gnome_calendar_get_memopad_menu):
	* gui/gnome-cal.h:
	* gui/memos-component.c: (create_new_memo), (create_local_item_cb),
	(impl__get_userCreatableItems), (impl_requestCreateItem): Added support
	shared memos, Gw notes.							

2006-07-21  Andre Klapper  <a9016009@gmx.de>

	* calendar.error.xml: improve calendar read-only error message.
	Fixes bug #342281.

2006-07-19  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* gui/e-meeting-time-sel.c :(e_meeting_time_selector_construct)
	* gui/e-meeting-time-sel-item.c : Drawn freebusy view in calendar with cairo,
	and changed colors for better look and feel.

2006-07-20  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* gui/e-day-view.c: Fixed the embossing issue on item selection.

2006-07-19  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	** Fixes bug #347773

	* gui/e-day-view-main-item.c: Bug in Appointment resize preview in calendar 
	day/work-week view is fixed.

2006-07-19  Andre Klapper  <a9016009@gmx.de>

	* gui/dialogs/calendar-setup.c: harmonize strings.
	Fixes bug #346552.

2006-07-18  Andre Klapper  <a9016009@gmx.de>

	* calendar.error.xml: removing duplicated error messages, fixing
	default answers. Fixes bug #347765.

2006-07-18  Andre Klapper  <a9016009@gmx.de>

	* gui/dialogs/calendar-setup.glade:
	* gui/dialogs/new-calendar.glade:
	* gui/dialogs/new-task-list.glade:
	* gui/dialogs/url-editor-dialog.glade:
	remove "*" from translation. Fixes bug #331147.

2006-07-17  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/apps_evolution_calendar.schemas.in.in: Corrected the text in the
	schema.

2006-07-17  Li Yuan <li.yuan@sun.com>

	* gui/dialogs/task-page.glade:
	Add labelled_by relation to start-date and due-date.
	Fix for #347473.

2006-07-17  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/apps_evolution_calendar.schemas.in.in: Added key for storing tag
	calendar position in the left pane.
	* gui/calendar-component.c: (calcomp_vpane_realized),
	(calcomp_vpane_resized), (create_component_view),
	(calendar_component_init): Added tag calendar in the left pane
	* gui/calendar-config-keys.h: Added keys to fetch conf 
	* gui/calendar-config.c: (calendar_config_get_tag_vpane_pos),
	(calendar_config_set_tag_vpane_pos):
	* gui/calendar-config.h:
	* gui/gnome-cal.c: (setup_config), (gnome_calendar_get_tag),
	(setup_widgets), (gnome_calendar_set_pane_positions),
	(gnome_calendar_hpane_realized): Removed code for tag calendar.

2006-07-14   Arvind <sa.phoenix@gmail.com>

        ** Fix for bug#330633
	* gui/dialogs/event-page.c : Enabled save button when the timezone
	  is changed from an existing meeting/appointment

	* gui/e-timezone-entry.c : prevented the shrinking of the timezone
	field when the timezone is set to the default timezone

2006-06-14 Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #329772
	
	* gui/e-cal-model-tasks.c: function added to change status of a task 
	as incomplete.
	* gui/e-cal-popup.c: status of task checked and changed to incomplete 
	if option selected.
	* gui/e-cal-popup.h: E_CAL_POPUP_SELECT_COMPLETE added
	* gui/e-calendar-table.c: function added to mark the task in selected 
	row as incomplete.

2006-07-11  Li Yuan <li.yuan@sun.com>

	* gui/e-week-view.c: (e_week_view_remove_event_cb):
	remove week_view->comp_data first, since garray is not thread
	safe and the event's address may be changed.
	Fix for #345969.

2006-07-11  Li Yuan	<li.yuan@sun.com>

	* gui/dialogs/event-page.c: (sensitize_widgets):
	* gui/dialogs/event-page.glade:
	Add mnemonic widget to widget, and change calendar's shortcut key.

	Fix for #345510.

2006-07-11  Li Yuan  <li.yuan@sun.com>

	* gui/e-week-view.c: (e_week_view_focus):
	Fix for 345923.
	If there is not any event in week view,
	just grab week view itself.

2006-07-10  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* gui/e-day-view.c:(e_day_view_update_event_label)
	Added code for Day/Work Week view item, top border showing time
	(e_day_view_realize), (e_day_view_on_event_click), 
	(e_day_view_on_long_event_click), (e_day_view_reshape_resize_long_event_rect),
	(e_day_view_reshape_resize_rect_item),(e_day_view_on_top_canvas_motion),
	(e_day_view_finish_resize),(e_day_view_abort_resize),
	(e_day_view_reshape_main_canvas_resize_bar):
	Added code for Resize Transparency with Cairo drawing.

	(e_day_view_on_text_item_event):
	Fixed crashes because of tooltip during editing and resize.

	* gui/e-day-view-main-canvas.c:
	(e_day_view_main_item_draw_day_event):
	Added code for Time displayed on resizing events and for Shadow 
	Effect for item selection

2006-07-10  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #332911
	* gui/apps_evolution_calendar.schemas.in.in:
	* gui/calendar-config-keys.h:
	* gui/calendar-config.c: (set_standard_offsets),
	(calendar_config_get_icaltimezone),
	(calendar_config_add_notification_timezone),
	(calendar_config_get_daylight_saving),
	(calendar_config_set_daylight_saving),
	(calendar_config_add_notification_daylight_saving):
	* gui/calendar-config.h:
	* gui/dialogs/cal-prefs-dialog.c: (timezone_changed),
	(daylight_saving_changed), (setup_changes), (show_config),
	(calendar_prefs_dialog_construct):
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/dialogs/cal-prefs-dialog.h: Added the support
	for optional daylight savings time with timezones.

2006-07-08  Ushveen Kaur  <kushveen@novell.com>

	Fixes #332230.
	* gui/memos-component.c:
	* gui/tasks-component.c:
	Fixes mnemonic conflicts in the "New" menu.

2006-07-07  Harish Krishnaswamy  <kharish@novell.com>

	* gui/e-cal-model.c: (e_cal_model_set_instance_times):
	Handle the start_time_zone != end_time_zone scenario.
	Fixes bugzilla.novell.com #190421.

2006-07-07  Wang Xin  <jedy.wang@sun.com>

	Fixes #345222

	* gui/dialogs/alarm-dialog.c: (alarm_to_dialog),
	(alarm_to_malarm_widgets); (populate_widgets_from_alarm):
	Handle mail alarm.

2006-06-30  Johnny Jacob  <jjohnny@novell.com>
	* gui/cal-search-bar.c: (get_current_category),
	(get_category_sexp), (notify_e_cal_view_contains),
	(notify_category_is), (regen_query), (regen_view_query),
	(make_suboptions), (cal_search_bar_construct): Added/Removed code
	for new search ui.
	* gui/e-tasks.c: (search_bar_sexp_changed_cb):
	Added/Removed code for search ui.

2006-06-28  Andre Klapper  <a9016009@gmx.de>

	* gui/e-itip-control.glade: Adding translator comments to the
	"--to--" string. Removing three strings from translations.
	Fixes bug #325126.

2006-06-28  Rajeev ramanathan  <rajeevramanathan_2004@yahoo.co.in>

	**Fixes bug #329305

	*gui/dialogs/event-page.glade: Changed mnemonic Atte_ndees to 
	Attendee_s

2006-06-19  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/calendar-setup.c: (calendar_setup_edit_calendar):
	Remove GroupWise from the Calendar ESource Groups as it supports
	a single calendar only. 

2006-06-19  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/comp-editor.c (fill_widgets):
	Free GSList and its data after calling 
	e_cal_component_get_attachment_list.

2006-06-14  Arvind_evo <sa.phoenix@gmail.com>

	* gui/dialogs/event-page.c : Enabled save button when the group is 
	changed from a previously saved meeting.

2006-06-14  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/calendar-setup.c: (calendar_setup_edit_task_list):
	Remove GroupWise from the list Task ESource Groups as it supports
	a single Task list only. Fixes bug #176596 in bugzilla.novell.com.

2006-06-14  Aishwarya k <aishkalyan@gmail.com>

	 *Fix for bug #339217
	 * gui/dialogs/cal-prefs-dialog.glade:
	 Added translator comments for weekdays.

2006-06-14  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/print.c: (evo_calendar_print_data_new),
	(evo_calendar_print_data_free),
	(evo_calendar_print_renderer_get_width), (get_font_size),
	(get_font_for_size), (print_text), (print_text_size),
	(print_text_size_bold), (titled_box), (print_month_small),
	(bound_text), (print_day_background), (print_day_long_event),
	(print_day_event), (print_day_details), (print_week_long_event),
	(print_week_day_event), (print_week_event),
	(print_week_view_background), (print_week_summary),
	(print_year_summary), (print_month_summary), (print_todo_details),
	(print_day_view), (print_week_view), (print_month_view),
	(print_year_view), (print_date_label), (print_comp_item),
	(print_calendar), (print_comp), (print_title), (print_table):
	Use the pango layout for printing. Do not use gnome_print_show
	as it is broken on i18n character set.
	
	Committing the patch from Dave Malcolm <dmalcolm@redhat.com>
	Fixed some compiler warnings.

2006-06-12  Wang Xin  <jedy.wang@sun.com>

	**Fixes bug #344630
	Change key confirm_expunge to confirm_purge.
	* gui/apps_evolution_calendar.schemas.in.in:
	* gui/migration.c:

2006-06-12  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/alarm-notify/alarm-queue.c: (remove_queued_alarm),
	(alarm_trigger_cb), (tray_list_remove_async): 	Fixed atleast
	6 crashes, that were in bnc.
	
2006-06-08  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #341961.
	* gui/dialogs/event-page.c: (event_page_fill_widgets):
	Removed unnecessary e_cal_component_clone.

2006-06-05  Li Yuan <li.yuan@sun.com>

	* gui/dialogs/cal-prefs-dialog.glade:
	add labelled by relationship between label and e-timezone-entry.
	* gui/e-timezone-entry.c: (add_relation),
	(e_timezone_entry_set_timezone):
	add relationship between label and entry.

2006-06-05  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixed bug #268884
	
	* gui/e-calendar-table.c: (on_new_task): Added a new popup entry.
	* gui/e-tasks.c: (setup_widgets): Added a reference to table

2006-06-01  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/Makefile.am, gui/dialogs/event-editor.c,
	gui/dialogs/task-editor.c: Remove redundant files 
	meeting-page.[ch], cal-attachment.glade and references
	in includes.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	** Added support to save calendar/events/attachments to remote
	shares in Calenda/Memo/Tasks components.

	* gui/dialogs/cal-attachment-select-file.c: (run_selector),
	(comp_editor_select_file_attachments):
	* gui/dialogs/comp-editor.c: (drop_action), (cab_add),
	(menu_insert_attachment_cb):
	* gui/e-cal-popup.c: (temp_save_part):
	* gui/e-calendar-table.c: (e_calendar_table_on_save_as):
	* gui/e-calendar-view.c: (on_save_as),
	(e_calendar_view_get_tooltips):
	* gui/e-memo-table.c: (e_memo_table_on_save_as):

2006-05-23  Srinivasa Ragavan  <sragavan@novell.com>

	More alarm fixes

	* gui/alarm-notify/alarm-notify-dialog.c: (dialog_response_cb),
	(notified_alarms_dialog_new), (tree_selection_changed_cb):
	* gui/alarm-notify/alarm-queue.c: (query_objects_changed_async),
	(free_tray_icon_data):

2006-05-22  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	**Fixes bug #331418
	* gui/memos-component.c: Set mnemonics in popup menu.

2006-05-13  Harish Krishnaswamy  <kharish@novell.com>

	Patch suggested by Yu-Hui Liu
	* conduits/todo/todo-conduit.c: (pre_sync):
	Check for timezone before passing the context.

2006-04-20  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes the events appearing in different timezone appear in
	right time slot. Partially fixes #332911
	* gui/e-cal-model.c: (e_cal_model_set_instance_times):
	* gui/e-calendar-view.c: (get_label),
	(e_calendar_view_get_tooltips): Get the timezone from the backend
	using the tzid if its not present in the icalcomponent.

2006-05-04  Rajeev Ramanathan <rajeevramanathan_2004@yahoo.co.in>
	
	Commited few pending cairo stuff. This adds a macro ENABLE_CAIRO to
	disable cairo for slow performing machines. Also added a patch to
	disable gradient and select foreground color based on the back ground
	color.
	
	* gui/apps_evolution_calendar.schemas.in.in:
	* gui/e-calendar-view.c:
	* gui/e-calendar-view.h:
	* gui/e-day-view-main-item.c: (e_day_view_main_item_draw),
	(e_day_view_main_item_draw_events_in_vbars),
	(e_day_view_main_item_draw_long_events_in_vbars),
	(e_day_view_main_item_draw_day_events),
	(e_day_view_main_item_draw_day_event):
	* gui/e-day-view-time-item.c: (e_day_view_time_item_draw):
	* gui/e-day-view-top-item.c: (e_day_view_top_item_draw),
	(e_day_view_top_item_draw_long_event),
	(e_day_view_top_item_draw_triangle):
	* gui/e-day-view.c: (e_day_view_get_text_color),
	(e_day_view_style_set), (e_day_view_reshape_long_event),
	(e_day_view_reshape_day_event):
	* gui/e-week-view-event-item.c: (e_week_view_event_item_draw),
	(e_week_view_draw_time), (e_week_view_event_item_draw_icons),
	(e_week_view_event_item_draw_triangle):
	* gui/e-week-view-main-item.c: (e_week_view_main_item_draw_day):
	* gui/e-week-view.c: (e_week_view_get_text_color),
	(e_week_view_reshape_event_span):

2006-05-04  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/event-page.glade: Set mnemonic to
	L instead of the conflicting 'i'. Fixes #334056.

2006-05-04  Chenthill Palanisamy  <pchenthill novell com>

	Fixes #333689
	* gui/dialogs/event-page.c
	(init_widgets): Check if the units is -1 before
	adding the menu item.

2006-05-02  Chenthill Palanisamy  <pchenthill@novell.com>

	Committing change pointed by Li Yuan <Li.Yuan@Sun.COM>	
	
	* gui/e-calendar-table.c: (e_calendar_table_delete_selected): Corrected
	argument passed to delete_component_dialog while deleting multiple
	tasks.	

2006-04-27  Tor Lillqvist  <tml@novell.com>

	* gui/e-day-view-main-item.c
	(e_day_view_main_item_draw_long_events_in_vbars): Fix crash:
	Should use a GdkColor struct as such here, not a pointer.

	* gui/dialogs/event-editor.c (event_editor_init): Construct
	pathname to query-free-busy.png at run-time. Fixes Win32 build
	broken by the fix for #321832 below.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fixes bug #328194

	* gui/dialogs/calendar-setup.c: Added mnemonics.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #331510 from Victor
	
	* gui/cal-search-bar.h: Added a new flag for Memo Search
	* gui/e-memos.c: (setup_widgets): Initiate memo search.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Patch from PR Suman to add icons missing in menu items.

	* gui/tasks-control.c: (tasks_control_activate): Added icon for
	forward task.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Patch from PR Suman to add icons missing in menu items.

	* gui/dialogs/comp-editor.c: Added Attach icon to menu.
	* gui/dialogs/event-editor.c: Added free/busy and recurrence icons.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>
	
	Cairo Updates from Rajeev. Now it draws a solid border around the
	event.

	* gui/e-day-view-main-item.c:
	(e_day_view_main_item_draw_day_event):
	* gui/e-day-view-top-item.c: (e_day_view_top_item_draw_long_event):
	* gui/e-week-view-event-item.c: (e_week_view_event_item_draw):

2006-04-24  Srinivasa Ragavan  <sragavan@novell.com>

	Cairo support for Calendar (Rajeev Ramanathan)
	
	* gui/apps_evolution_calendar.schemas.in.in: Added key for
	transparency control.
	* gui/e-calendar-view.c: (draw_curved_rectangle): A common code for
	drawing curved rectangles
	* gui/e-day-view-main-item.c: (e_day_view_main_item_draw),
	(e_day_view_main_item_draw_events_in_vbars),
	(e_day_view_main_item_draw_long_events_in_vbars),
	(e_day_view_main_item_draw_day_event): Used cairo to draw day view events.
	* gui/e-day-view-time-item.c: 
	(e_day_view_time_item_get_column_width),
	(e_day_view_time_item_draw): Used cairo to draw day view time items.
	* gui/e-day-view-top-item.c: (e_day_view_top_item_draw),
	(e_day_view_top_item_draw_long_event),
	(e_day_view_top_item_draw_triangle): Used cairo to draw day view long events.
	* gui/e-day-view.c: (e_day_view_init), (e_day_view_destroy),
	(e_day_view_style_set),
	(e_day_view_reshape_main_canvas_resize_bars),
	(e_day_view_get_num_events_selected): Used cairo to draw day controls.
	* gui/e-day-view.h: Added a new font size variable
	* gui/e-week-view-event-item.c: (e_week_view_event_item_draw),
	(e_week_view_draw_time), (e_week_view_event_item_draw_icons),
	(e_week_view_event_item_draw_triangle): Used cairo to draw week view
	controls.
	* gui/e-week-view-main-item.c: (e_week_view_main_item_draw_day): Used 
	cairo to draw week view events.

2006-04-24  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #332409
	* gui/calendar-component.c: (setup_create_ecal): Reset the ecal to NULL.
	* gui/e-calendar-view.c: 
	(e_calendar_view_new_appointment_for): If the default client does not
	exist do not open the dialog.

2006-04-22  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/event-page.c (attendee_added_cb):
	Added the delfrom property to the delegatee. Fixes
	#165714 (bugzilla.novell.com)

2006-04-22  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #326434
	
	* gui/e-calendar-view.c: (e_calendar_view_move_tip),
	(e_calendar_view_get_tooltips): Added New function to move tooltip
	with respect to screen size.
	* gui/e-day-view.c: (e_day_view_on_text_item_event): move the tooltip
	* gui/e-week-view.c: (tooltip_event_cb),
	(e_week_view_on_text_item_event): Move the tooltip

2006-04-22  Srinivasa Ragavan  <sragavan@novell.com>

	Rewrite of Alarm daemon with EThread to make it thread safe. It also
	fixes a lot of random crashes.

	* gui/alarm-notify/alarm-notify.c: (process_removal_in_hash),
	(list_changed_cb), (load_calendars), (alarm_notify_init),
	(dequeue_client), (alarm_notify_finalize), (alarm_channel_setup),
	(alarm_msg_destroy), (alarm_msgport_replied), (alarm_msg_received),
	(alarm_notify_new), (cal_opened_cb), (alarm_notify_add_calendar),
	(alarm_notify_remove_calendar):
	* gui/alarm-notify/alarm-notify.h:
	* gui/alarm-notify/alarm-queue.c: (queue_midnight_refresh),
	(add_client_alarms_cb), (midnight_refresh_async),
	(midnight_refresh_cb), (remove_queued_alarm), (alarm_trigger_cb),
	(add_component_alarms), (load_alarms), (load_alarms_for_today),
	(cal_opened_cb), (remove_alarms), (remove_comp), (duplicate_ical),
	(duplicate_ecal), (query_objects_changed_async),
	(query_objects_changed_cb), (query_objects_removed_async),
	(query_objects_removed_cb), (create_snooze), (edit_component),
	(on_dialog_objs_removed_async), (on_dialog_objs_removed_cb),
	(tray_list_remove_cqa_async), (tray_list_remove_cqa),
	(tray_list_remove_async), (tray_list_remove_icons),
	(tray_list_remove_data_async), (tray_list_remove_data),
	(notify_dialog_cb), (open_alarm_dialog), (tray_icon_clicked_cb),
	(tray_list_add_async), (tray_list_add_new), (display_notification),
	(popup_notification), (audio_notification), (mail_notification),
	(procedure_notification_dialog), (procedure_notification),
	(check_midnight_refresh), (alarm_queue_init),
	(free_client_alarms_cb), (alarm_queue_done), (compare_ids),
	(hash_ids), (alarm_queue_add_async), (alarm_queue_add_client),
	(remove_cqa), (remove_comp_by_id), (remove_client_alarms),
	(alarm_queue_remove_async), (alarm_queue_remove_client),
	(update_cqa), (update_qa):
	* gui/alarm-notify/alarm.c: (alarm_remove):

2006-02-16  Johnny Jacob  <johnnyjacob@gmail.com>

	** Fixes #330955

	* gui/e-memo-table.etspec : Change the column from summary to 
	description.
	* gui/e-cal-model.c : (ecm_duplicate_value) : Dup value for
	description also.
	(e_cal_model_create_component_with_defaults) : create a memo
	component with defaults.
	* gui/e-cal-model-memos.c : (ecmm_is_cell_editable).

2006-04-10  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #163039
	* gui/e-meeting-store.c: (ems_finalize), (ems_init),
	(process_callbacks), (refresh_busy_periods): Removed the
	async queue, updated the gui via the callback function in a
	idle loop as and when we receive the free busy information.
	(e_meeting_store_get_num_queries): Fixed a warning.
	* gui/e-meeting-store.h:
	* gui/e-meeting-time-sel.c: 
	(e_meeting_time_selector_refresh_cb): Changed the return type of 
	the function to return a boolean variable.

2006-04-05  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #328808
	* gui/dialogs/event-editor.c: 
	(event_editor_construct): Set the name selector dialog present in the schedule page
	in event page also.
	* gui/dialogs/event-page.[ch] 
	(event_page_get_name_selector): Gets the name selector from the meeting list
	view.
	* gui/dialogs/schedule-page.[ch]
	(schedule_page_set_name_selector): Sets the name selector to the meeting
	list view.
	* gui/e-meeting-list-view.[ch]:
	(e_meeting_list_view_get_name_selector),
	(e_meeting_list_view_set_name_selector): Functions to get and set the name
	selector.

2006-04-06  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/e-day-view.c: (e_day_view_on_main_canvas_motion):
	Enable drag and drop of recurring appointments.

2006-04-06  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #162005
	* gui/comp-util.c: (cal_comp_is_on_server): Pass the recurrence
	id to find if the object is on the server.

2006-04-05  Simon Zheng  <simon.zheng@sun.com>

	Fixes bug #333704
	* gui/dialogs/comp-editor-util.c: (comp_editor_strip_categories):
	Because the passing text is in UTF-8 encoding, it should be traversed
	by utf-8 char order rather than one by one byte.

2006-04-04  Irene Huang <Irene.Huang@sun.com>

       	Fixes bug 335214

	* gui/e-cal-model.c: (e_cal_view_objects_added_cb):
        Call e_table_model_pre_change (E_TABLE_MODEL (model)); before
       	deleting row.

2006-04-03  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #158107
	* gui/dialogs/delete-comp.c: (delete_component_dialog),
	(cb_toggled_cb), (prompt_retract_dialog):
	* gui/dialogs/delete-comp.h:
	* gui/e-calendar-table.c: (add_retract_data), (check_for_retract),
	(e_calendar_table_delete_selected):
	* gui/e-calendar-view.c: (add_retract_data), (check_for_retract),
	(delete_event), (e_calendar_view_delete_selected_occurrence): Added
	retract support.

2006-03-29  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #160357 [b.n.c]
	* gui/e-meeting-store.c: 
	(ems_init): Initialize the num queries.
	(freebusy_async): maintain the num queries count.
	(refresh_busy_periods): Set the store to FreeBusy data.
	* gui/e-meeting-store.[ch]: 
	(e_meeting_store_get_num_queries): Get the number of freebusy
	queries currently going on.
	* gui/e-meeting-time-sel-item.c:
	(e_meeting_time_selector_item_init): Added a busy cursor.
	(e_meeting_time_selector_item_destroy):
	* gui/e-meeting-time-sel-item.h: Added a busy cursor and a function
	to reset the normal cursor.
	* gui/e-meeting-time-sel.c: 
	* gui/e-meeting-time-sel.h:
	(e_meeting_time_selector_construct): Get the main and top canvas items.
	(e_meeting_time_selector_refresh_cb): Set the normal cursor checking the number
	of FreeBusy queries.
	(e_meeting_time_selector_refresh_free_busy):Set the Busy cursor.

2006-03-28  Jeff Cai  <jeff.cai@sun.com> 
	
	Fixes #333877
	* gui/e-meeting-list-view.c: (row_activated_cb):
	Use gtk_tree_selection_get_selected_rows instead of 
	gtk_tree_selection_get_selected to get selected rows from
	a multi-row selection.

2006-03-28  Harry Lu  <harry.lu@sun.com>

	Fix for 333693.
	* gui/calendar-component.c: (update_task_selection): need to see if
	source is NULL to avoid a CRITICAL warning.

2006-03-23  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #329502
	* gui/e-meeting-list-view.c: (attendee_edited_cb):
	Include MAILTO: with the email id while adding
	it to the list view.
	* gui/dialogs/task-page.c: (task_page_fill_widgets):
	add the organizer to the name selector dialog.
	
2006-03-22  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #330842
	* gui/e-cal-model.c: 
	(e_cal_view_objects_added_cb): Check if the icalcomp
	is set to ECalComponent.

2006-03-22  Harry Lu  <harry.lu@sun.com>

	Fix for 333697
	* gui/dialogs/task-page.c: (task_page_init), (sensitize_widgets):
	remove two useless widgets: sendoptions_frame and sendoptions_button.

2006-03-22  Harry Lu  <harry.lu@sun.com>

	Fix for 333706

	* gui/dialogs/alarm-dialog.c: (alarm_to_dalarm_widgets): call
	set_text only when description.value is not NULL.

2006-03-20  Boby Wang <boby.wang@sun.com>

	** Fix for bug #268584

	* gui/dialogs/cal-attachment-select-file.c: (run_selector):
	* gui/dialogs/cal-attachment.glade:
	set the accelerate key for "Suggest Suggest automatic display of
	attachment"

2006-03-09  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #334003
	* gui/e-cal-model.c: 
	(e_cal_model_set_instance_times): Use the timezone present in
	the appointment.

2006-03-06  Veerapuram Varadhan  <vvaradhan@novell.com>

	**Fixes #321832
	* gui/dialogs/event-editor.c: Pickup the right-icon for f/b.
	* gui/dialgos/Makefile.am: Define EVOLUTION_ICONSDIR to pickup f/b icon.
	
2006-03-06  Simon Zheng  <simon.zheng@sun.com>

	Fixes bug #332140
	* gui/dialogs/comp-editor.c: (get_attachment_list):
	* gui/e-cal-popup.c: (temp_save_part):
	Transfer filenames from utf-8 to glib encoding before really
	saving files.

2006-03-06  Simon Zheng  <simon.zheng@sun.com>

	Fixes #311482
	* gui/dialogs/comp-editor.c: (set_attachment_list): As uri is 
	encaped ASCII-encoded, it can't be recognized when setting 
	mime part. Use filename instead of uri.

2006-03-06  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	** Fixes bug #328988
	
	* gui/alarm-notify/util.c: (calculate_time):
	* gui/misc.c: (calculate_time): Added code to simplify the function
	calculate_time and made strings translatable.

2006-03-06  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #330448
	* gui/e-meeting-list-view.c: (attendee_edited_cb): Remove
	attendees from the e-name-selector when its removed from
	meeting list view.

2006-03-06  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #329353	
	* gui/gnome-cal.c:
	(gnome_calendar_on_date_navigator_selection_changed): If the previous
	selection is not list view, set the view as month view.

2006-03-04  Jeff Cai <jeff.cai@sun.com>

	Fixes #333234
	* gui/calendar-config.c: (calendar_config_get_primary_tasks),
	(calendar_config_get_primary_memos):
	Initialize calendar to ensure gconf_client is valid.

2006-03-04  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #331089
	* gui/dialogs/event-page.c: (sensitize_widgets):
	Let the recurrence button in tool bar remain
	active always.

2006-03-03  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #330448
	* gui/e-meeting-list-view.c: (attendee_edited_cb): Remove
	attendees from the e-name-selector when its removed from
	meeting list view.	

2006-03-03  Sam Yang  <sam.yang@sun.com>

	Fixes #324560
	* gui/calendar-config.[ch]:
	(calendar_config_add_notification_preview_state): Request 
	notification of changes to show_task_preview.
	* gui/e-tasks.c: (config_preview_state_changed_cb): Callback function.
	(setup_config): Send notification request and store connection ID.

2006-02-17  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #312423, #329749
	* gui/dialogs/event-page.c: (sensitize_widgets): Enable/Disable
	based on read_only status.
	(alarm_store_changed_cb): Added. Changed signal handler for alarm list.
	* gui/dialogs/alamm-list-dialog.c: (edit_clicked_cb): Emit changed 
	signal for alarm list.

2006-02-28  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #332726
	* gui/dialogs/recur-comp.c: (recur_component_dialog): Dont
	remove the recurrence id, the backend would remove it.							     

2006-02-23  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #330677
	* gui/itip-utils.c: 
	(comp_content_type): Removed the content setting as text/plain.
	(itip_send_comp): Changed the reply all to FALSE.
	(reply_to_calendar_comp): Set the content type as text/plain.

2006-02-15  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	* gui/dialogs/memo-page.glade: Changed the layout spacing of memo 
	editor.

2006-02-14  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	**Fixes #330374

	* gui/tasks-control.c: (tasks_control_complete_cmd): Added code
	to disable Edit->Mark as complete for completed events.

2006-02-14  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	**Fixes #326477

	* gui/dialogs/task-page.glade: Changed size of the new task popup 
	window to display Status Details in its default size.

2006-02-14  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>
	
	**Fixes #325935

	* gui/dialogs/task-page.c: (source_changed_cb): Added code to
	enable Save button if group is changed in task editor

2006-02-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #330931 #331029
	
	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips):

2006-02-13  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/task-page.c: (sensitize_widgets):
	sensitize should be initialized to TRUE since it is
	being ANDed to compute sens.
	Fixes #330957 and #330958.

2006-02-13  Karsten Bräckelmann  <guenther@rudersport.de>

	* calendar.error.xml: Added mnemonics. Fixes bug #330933.

2006-02-12  Karsten Bräckelmann  <guenther@rudersport.de>

	* gui/dialogs/recurrence-page.c (make_recur_month_num_menu): 
	Marked strings for translation. Fixes bug #330863.

2006-02-12  Andre Klapper  <a9016009@gmx.de>

	* gui/dialogs/recurrence-page.glade:
	* gui/dialogs/recurrence-page.c:	
	added translator comments for some occurrences of heavy sentence 
	splitting. Hopefully fixes bug 329695.

2006-02-11  Andre Klapper  <a9016009@gmx.de>
	* gui/dialogs/recurrence-page.c:
	* gui/alarm-notify/util.c:
	* gui/misc.c:
	adding translator comments to "second" strings to distinguish
	ordinal numbers and time divisions. Fixes bug 328988.

2006-02-11  Karsten Bräckelmann  <guenther@rudersport.de>

	* gui/dialogs/comp-editor.c (setup_widgets): 
	* gui/e-memo-table.c (e_memo_table_init): 
	* gui/e-calendar-table.c (e_calendar_table_init): 
	Change a11y names and add description. Fixes part of bug #330723.

2006-02-10  Karsten Bräckelmann  <guenther@rudersport.de>

	* gui/e-timezone-entry.c (e_timezone_entry_init): Correct the a11y
	string for the Timezone button to not include its role and to be
	more descriptive, fixes bug #330712.

2006-02-12  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #329570
	* gui/e-calendar-view.c: (on_unrecur_appointment):
	Just remove the instances pass the rid. The exception
	date will be set in the backend.

2006-02-09  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #330521
	* gui/dialogs/alarm-dialog.c: (alarm_to_aalarm_widgets), 
	(alarm_to_palarm_widgets): use icalattach_unref. 

2006-02-09  Harish Krishnaswamy  <kharish@novell.com>

	* gui/e-cal-model.c: (e_cal_view_objects_added_cb):
	Pass the client along with the id for search to handle 
	cases where the same backend source has multiple clients 
	in the view. Remove the FIXME.

2006-01-09  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	Fixes #329768
	* gui/dialogs/comp-editor.c: (key_press_event): Corrected problem with 
	casting EAttachmentBar.

2006-02-09  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #330465
	* gui/dialogs/event-page.c: (event_page_fill_widgets): Fixes the build
	break.

2006-02-08  Tor Lillqvist  <tml@novell.com>

	* gui/dialogs/task-editor.c (task_editor_init): Construct the
	pathname to the xml file at run-time to avoid using compile-time
	paths on Windows.

2006-01-09  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/alarm-notify/alarm-notify-dialog.c:
	(add_alarm_to_notified_alarms_dialog):
	* gui/alarm-notify/alarm-queue.c: (remove_queued_alarm),
	(open_alarm_dialog), (menu_item_toggle_callback), (populate):
	* gui/alarm-notify/alarm.c: (pop_alarm), (alarm_remove):
	* gui/alarm-notify/config-data.c:
	(config_data_replace_string_list):
	* gui/cal-search-bar.c: (regen_query):
	* gui/calendar-view-factory.c:
	* gui/calendar-view.c:
	* gui/comp-editor-factory.c: (edit_existing),
	(resolve_pending_requests), (impl_editExisting), (impl_editNew):
	* gui/control-factory.c:
	* gui/dialogs/cal-attachment-select-file.c:
	(comp_editor_select_file_attachments):
	* gui/dialogs/calendar-setup.c: (eccp_get_source_type):
	* gui/dialogs/comp-editor.c: (comp_editor_class_init),
	(commit_all_fields), (delete_event_cb), (editor_key_press_event),
	(menu_file_save_cb), (menu_file_close_cb), (make_icon_from_comp),
	(comp_editor_focus), (needs_send_cb):
	* gui/dialogs/delete-comp.c: (delete_component_dialog):
	* gui/dialogs/e-delegate-dialog.c:
	* gui/dialogs/event-editor.c:
	* gui/dialogs/event-page.c: (event_page_fill_widgets),
	(popup_delete_cb), (list_key_press):
	* gui/dialogs/meeting-page.c: (remove_clicked_cb),
	(popup_delete_cb), (button_press_event), (list_key_press),
	(meeting_page_construct):
	* gui/dialogs/memo-editor.c: (init_widgets),
	(memo_editor_set_e_cal), (memo_editor_edit_comp),
	(memo_editor_send_comp):
	* gui/dialogs/memo-page.c:
	* gui/dialogs/recurrence-page.c: (fill_exception_widgets),
	(exception_add_cb):
	* gui/dialogs/schedule-page.c: (clear_widgets),
	(schedule_page_fill_component):
	* gui/dialogs/task-details-page.c:
	(task_details_page_fill_timezones), (complete_date_changed):
	* gui/dialogs/task-editor.c:
	* gui/dialogs/task-page.c: (task_page_fill_widgets),
	(popup_delete_cb), (list_key_press):
	* gui/e-alarm-list.c: (get_alarm_string):
	* gui/e-cal-component-memo-preview.c: (write_html):
	* gui/e-cal-component-preview.c: (write_html):
	* gui/e-cal-list-view-config.c:
	(e_cal_list_view_config_set_property),
	(e_cal_list_view_config_get_property),
	(e_cal_list_view_config_dispose):
	* gui/e-cal-list-view.c:
	* gui/e-cal-model-calendar.c: (ecmc_value_at):
	* gui/e-cal-model-memos.c: (ecmm_value_at):
	* gui/e-cal-model-tasks.c: (get_due_status), (ecmt_value_at),
	(ecmt_set_value_at), (ecmt_is_cell_editable),
	(ecmt_value_is_empty), (e_cal_model_tasks_mark_task_complete),
	(e_cal_model_tasks_update_due_tasks):
	* gui/e-cal-model.c: (get_classification),
	(ecm_get_color_for_component), (e_cal_model_set_default_client),
	(e_cal_view_objects_modified_cb), (e_cal_model_add_client),
	(e_cal_model_remove_client), (e_cal_model_set_instance_times):
	* gui/e-cal-popup.c: (ecalp_part_popup_saveas):
	* gui/e-calendar-table-config.c:
	(e_calendar_table_config_set_property),
	(e_calendar_table_config_get_property),
	(e_calendar_table_config_dispose):
	* gui/e-calendar-table.c: (e_calendar_table_class_init):
	* gui/e-calendar-table.h:
	* gui/e-calendar-view.c: (e_calendar_view_set_property),
	(e_calendar_view_get_property), (open_event_with_flags),
	(e_calendar_view_get_tooltips):
	* gui/e-cell-date-edit-config.c:
	(e_cell_date_edit_config_set_property),
	(e_cell_date_edit_config_get_property),
	(e_cell_date_edit_config_dispose):
	* gui/e-cell-date-edit-text.c:
	* gui/e-comp-editor-registry.c:
	* gui/e-date-edit-config.c: (e_date_edit_config_set_property),
	(e_date_edit_config_get_property), (e_date_edit_config_dispose):
	* gui/e-day-view-config.c: (e_day_view_config_set_property),
	(e_day_view_config_get_property), (e_day_view_config_dispose):
	* gui/e-day-view-main-item.c: (e_day_view_main_item_set_arg),
	(e_day_view_main_item_draw_day_event),
	(e_day_view_main_item_event):
	* gui/e-day-view-time-item.c: (e_day_view_time_item_set_arg),
	(e_day_view_time_item_get_column_width):
	* gui/e-day-view-top-item.c: (e_day_view_top_item_set_arg),
	(e_day_view_top_item_draw_long_event),
	(e_day_view_top_item_draw_triangle), (e_day_view_top_item_event):
	* gui/e-day-view.c: (process_component), (e_day_view_style_set),
	(e_day_view_recalc_cell_sizes), (e_day_view_foreach_event),
	(e_day_view_reshape_resize_long_event_rect_item),
	(e_day_view_update_long_event_resize), (e_day_view_update_resize),
	(e_day_view_reshape_long_event), (e_day_view_reshape_day_event),
	(e_day_view_change_duration_to_start_of_work_day),
	(tooltip_destroy), (e_day_view_on_text_item_event),
	(e_day_view_on_editing_stopped):
	* gui/e-itip-control.c: (e_itip_control_class_init),
	(find_cal_opened_cb), (find_server), (set_date_label),
	(ok_clicked_cb):
	* gui/e-meeting-attendee.c:
	* gui/e-meeting-list-view.c:
	(e_meeting_list_view_remove_attendee_from_name_selector):
	* gui/e-meeting-store.c: (role_to_text), (partstat_to_text),
	(e_meeting_store_set_value):
	* gui/e-meeting-time-sel-item.c:
	(e_meeting_time_selector_item_set_arg),
	(e_meeting_time_selector_item_paint_all_attendees_busy_periods):
	* gui/e-meeting-time-sel.c: (e_meeting_time_selector_construct),
	(e_meeting_time_selector_recalc_date_format):
	* gui/e-memo-table-config.c: (e_memo_table_config_set_property),
	(e_memo_table_config_get_property), (e_memo_table_config_dispose):
	* gui/e-memo-table.c: (e_memo_table_class_init), (task_compare_cb):
	* gui/e-memos.c: (update_view), (backend_error_cb), (open_ecal):
	* gui/e-mini-calendar-config.c:
	(e_mini_calendar_config_set_property),
	(e_mini_calendar_config_get_property),
	(e_mini_calendar_config_dispose):
	* gui/e-pub-utils.c: (is_publish_time), (e_pub_publish):
	* gui/e-tasks.c: (process_completed_tasks), (backend_error_cb):
	* gui/e-timezone-entry.c: (e_timezone_entry_destroy):
	* gui/e-week-view-config.c: (e_week_view_config_set_property),
	(e_week_view_config_get_property), (e_week_view_config_dispose):
	* gui/e-week-view-event-item.c: (e_week_view_event_item_draw),
	(e_week_view_event_item_draw_icons):
	* gui/e-week-view-main-item.c: (e_week_view_main_item_set_arg):
	* gui/e-week-view-titles-item.c: (e_week_view_titles_item_set_arg),
	(e_week_view_titles_item_draw):
	* gui/e-week-view.c: (process_component), (tooltip_destroy),
	(tooltip_event_cb), (e_week_view_reshape_event_span),
	(e_week_view_on_text_item_event), (e_week_view_event_move),
	(e_week_view_on_editing_stopped), (e_week_view_do_key_press):
	* gui/gnome-cal.c: (dn_e_cal_view_objects_modified_cb),
	(dn_e_cal_view_done_cb), (table_selection_change_cb),
	(gnome_calendar_goto), (focus_current_view), (backend_error_cb),
	(gnome_calendar_set_selected_time_range),
	(gnome_calendar_get_current_time_range),
	(gnome_calendar_get_visible_time_range),
	(gnome_calendar_delete_selected_occurrence):
	* gui/goto.c: (goto_dialog):
	* gui/itip-utils.c: (comp_fb_normalize):
	* gui/memos-component.c: (create_new_memo),
	(impl_requestCreateItem):
	* gui/migration.c: (migrate_memos):
	* gui/print.c: (print_month_small), (print_day_details),
	(print_todo_details), (print_comp_item):
	* gui/tasks-component.c: (create_new_todo),
	(impl_requestCreateItem):
	* gui/weekday-picker.c: Cleanups:
	- remove unused vars
	- remove extraneous semi-colons
	- add some comments where assignments were done without using
	  the results later
	- remove break; statements after return foo;
	- add casts in some places to be more type correct
	- rename variables with name clashes
	- s/if/ifdef in some cases
	- mark some code static
	- remove some unused functions
	- use guint for 1-bit bitfields

2006-02-01  Johnny Jacob  <johnnyjacob@gmail.com>

	** Fixes #326997
	* gui/dialogs/event-page.c (sensitize_widgets):
	set/unset the editability of description.

2006-01-17  Ranjan Somani  <sranjan@novell.com>

	** Fixes #322009
	* gui/e-meeting-time-sel.c: line 431: Changed Label "Contacts..." to "Attendees..."

2006-01-06  Johnny Jacob  <johnnyjacob@gmail.com>
	
	** Fixes #325941

	* gui/dialogs/event-page.c (sensitize_widgets) : Handle the 
	sensitivity of hour_selector and minute_selector.

2006-01-31  Johnny Jacob  <johnnyjacob@gmail.com>

	** Fixes #327723
	
	* gui/dialogs/event-page.c (init_widgets): Handle the
	delete-event for alarm dialog.

2006-01-31  Oswald Rodrigues <ozzy_rodrigues@yahoo.com>

	** Fixes #328515
	
	* gui/dialogs/comp-editor.c (attachment_bar_changed_cb):Changed Attachment 
	bar behaivour to expand when attachment is present and collapse when no 
	attachment is present.
	
2006-02-03  Johnny Jacob  <johnnyjacob@gmail.com>
	
	** Fixes bug #329775
	
	* gui/dialogs/task-editor.c (task_editor_construct): Handle
	delete-event signal for task_details_window.

2006-02-05  Karsten Bräckelmann  <guenther@rudersport.de>

	* gui/dialogs/event-page.glade: Correct typo, fixes bug #329748.

2006-01-31  Tor Lillqvist  <tml@novell.com>

	* gui/alarm-notify/alarm-queue.c (open_alarm_dialog,
	tray_icon_clicked_cb): Fix compilation against HEAD gtk and on
	Win32, where we use the GtkStatusIcon API and there is no
	tray_image variable.

2006-01-31  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/dialogs/cal-prefs-dialog.c: (show_alarms_config):
	Show the widget.

2006-01-30  Harish Krishnaswamy <kharish@novell.com>

	* gui/e-week-view.c : Reverting Chakravarthi's
	commit on Jan 17 to fix miscellaneous problems
	manifesting in the week/month views.
	
2006-01-30  Johnny Jacob  <johnnyjacob@gmail.com>

	* gui/dialogs/event-page.c: (sensitize_widgets),
	(alarm_changed_cb):
	* gui/dialogs/event-page.glade:
	* gui/dialogs/task-page.c: (sensitize_widgets):
	* gui/dialogs/task-page.glade:

	Fixed the page layouts as per HIG spacing.

2006-01-30  Johnny Jacob  <johnnyjacob@gmail.com>
 
 	Fixes #328285
 	* gui/dialogs/memo-page.c (widget_focus_out_cb), 
 	(widget_focus_out_cb) : Added. Handle focus in and out
 	events.
 	(init_widgets): Connect focus in and out signals for 
 	memo_content .

	Committed to HEAD on behalf of johnny since he does not
	have commit rights - partha
 
2006-01-18  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #225816
	* gui/dialogs/alatm-list-dialog.glade : Added edit button.
	* gui/dialogs/alarm-list-dialog.c (init_widgets), (get_widgets) : 
	Get and connect signals for edit button.
	(sensitize_buttons) : Handle the sesitivity of edit button.
	(edit_clicked_cb) : Added. Handle edit button click event.
	* gui/dialogs/alarm-dialogs.c (populate_widgets) : Added. Extract data
	from alarm and fill in the widgets.
	(alarm_to_repeat_widgets): Added. Alarm data to repeat widgets.
	(alarm_to_aalarm_widgets): Added. Alarm data to audio alarm widgets.
	(alarm_to_dalarm_widgets): Added. Alarm data to display alarm widgets.
	(alarm_to_palarm_widgets): Added. Alarm data to procedure alarm widgets.
	(alarm_to_dialog): call populate_widgets.

2006-01-28  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	** Fixes Bug #327347

	* calendar/gui/dialogs/cal-prefs-dialog.glade:
	Changed W_eek starts mnemonic to Wee_k starts on and added a 
	translation string to that.

2006-01-30  Johnny Jacob <johnnyjacob@gmail.com>

	Fixes #327344
	* gui/dialogs/cal-prefs-dialog.c: (cal_prefs_dialog_create_time_edit):
	Show date edit component.
	* gui/main.c: (factory): changed gtk_widget_ahow_all to 
	gtk_widget_show.

2006-01-29  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	** Fixes Bug #327304
	
	* gui/calendar-commands.c :Next" and "Previous" buttons in toolbar for 
	calendar and mail are made same.

2006-01-28  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	** Fixes bug #328510, #328885

	* calendar.error.xml: Added error for saving memos.
	* gui/dialogs/event-editor.c: (menu_class_public_cb),
	(menu_class_private_cb), (menu_class_confidential_cb):
	Added change notification for event page.
	* gui/dialogs/memo-editor.c: (menu_show_categories_cb),
	(menu_class_public_cb), (menu_class_private_cb),
	(menu_class_confidential_cb), (memo_editor_init),
	(memo_editor_construct), (memo_editor_set_e_cal),
	(memo_editor_finalize): Added menus to memo.
	* gui/dialogs/memo-page.c: (memo_page_init), (memo_page_finalize),
	(set_classification_menu), (memo_page_get_widget),
	(memo_page_focus_main_widget), (clear_widgets),
	(memo_page_set_classification), (sensitize_widgets),
	(memo_page_fill_widgets), (memo_page_fill_component),
	(memo_page_set_show_categories), (get_widgets),
	(categories_clicked_cb), (field_changed_cb), (source_changed_cb),
	(init_widgets), (memo_page_construct), (memo_page_new): Added code to 
	handle memos.
	* gui/dialogs/memo-page.glade:
	* gui/dialogs/memo-page.h: 
	* gui/dialogs/save-comp.c: (save_component_dialog):
	* gui/dialogs/task-editor.c: (menu_class_public_cb),
	(menu_class_private_cb), (menu_class_confidential_cb): Added code to
	change notification for task page.

2006-01-27  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/dialogs/alarm-list-dialog.c (get_widgets),
	(alarm_list_dialog_run), (alarm_list_dialog_peek): Added a function to
	peek parts of a dialog.
	* gui/dialogs/alarm-list-dialog.glade: Changed the layout of the alarm
	dialog.
	* gui/dialogs/event-page.c (event_page_init), (clear_widgets),
	(sensitize_widgets), (event_page_fill_widgets),
	(event_page_fill_component), (get_widgets), (alarm_changed_cb),
	(alarm_store_inserted_cb), (alarm_store_deleted_cb),
	(alarm_custom_clicked_cb), (init_widgets): Added code to handle the
	new alarm dialog layout.
	* gui/dialogs/event-page.glade: Changed the alarm dialog layout.

2006-01-23  Tino Meinen <a.t.meinen@chello.nl>
	Fixes #325831
	* calendar.error.xml: Corrected a grammatical error in a message
	for saving changed appointments, and changed the corresponding
	message for tasks correspondingly

2006-01-25  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/alarm-notify/alarm-queue.c: (popup_notification):
	Removed the unsed variable filename. Do not set the icon
	from pixbuf. Just pass the icon name to notification_new.
	
2006-01-25  Srinivasa Ragavan  <sragavan@novell.com>

	Fixes #325762
	* gui/alarm-notify/alarm-notify.c: (process_removal_in_hash),
	(list_changed_cb), (load_calendars), (alarm_notify_init):
	* gui/alarm-notify/alarm-queue.c: (open_alarm_dialog),
	(tray_icon_clicked_cb), (icon_activated), (tray_icon_blink_cb),
	(display_notification), , (alarm_queue_init),
	(alarm_queue_remove_client):
	* gui/dialogs/cal-prefs-dialog.c: (alarms_selection_changed),
	(setup_changes), (initialize_selection), (show_alarms_config),
	(show_config), (calendar_prefs_dialog_construct):
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/dialogs/cal-prefs-dialog.h: The alarms icon is show in the 
	notification tray only when there is an alarm. The selection
	of calendars for alarms is moved to preferences.

2006-01-25  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #327879
	
	* gui/dialogs/recurrence-page.c: (clear_widgets):
	Use make_ending_special to fill the ending fields 
	properly.

2006-01-24  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #323700
	* gui/gnome-cal.c:
	(gnome_calendar_on_date_navigator_selection_changed),
	(gnome_calendar_purge): For clients which have no master object
	for recurrences need not call generate instances. Pass the 
	recurrence id to remove the detached instances.

2005-09-17  Jon Ander Hernandez <hernandez@movimage.com>
	
	** Fixes bug #313118

	* calendar/gui/alarm-notify/alarm-notify-dialog.c 
	(add_alarm_to_notified_alarms_dialog): Don't use mark-up for
	translatable strings.

2006-01-24  Andre Klapper <a9016009@gmx.de>

	* gui/dialogs/meeting-page.c: removed surrounding
	markup. Fixes bug 313120. Committing on behalf of
	Pablo Arroyo.

2006-01-23  Andre Klapper <a9016009@gmx.de>

	* gui/e-day-view-time-item.c: added translator comment
	to a string. Fixes bug 328006.

2006-01-23  Andre Klapper <a9016009@gmx.de>

	* gui/print.c: added translator comments to workday
	abbreviations. Fixes bug 328007.

2006-01-23  Pavithran <pavithran@gmx.de>

	** Fixes bug #327713 , #327730
	
	* gui/dialogs/event-editor.c: (event_editor_construct):
	* gui/dialogs/task-editor.c: (task_editor_construct):
	Removes extra seperator. 
	
2006-01-23  Irene Huang <Irene.Huang@sun.com>

	Fixes #327958

	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips):
	Check if ptr==NULL, for special occassion with SunOne 
	accouts.

2006-01-16  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #326478
	* gui/dialogs/cal-prefs-dialog.c: (spec_from_picker),
	(tasks_due_today_set_color), (tasks_overdue_set_color),
	(set_color_picker):
	* gui/dialogs/cal-prefs-dialog.glade: Changed the gtk color
	button to gnome color picker.

2006-01-20  Andre Klapper <a9016009@gmx.de>
	* gui/dialogs/task-page.c (field_changed_cb):
	Removed wrong parameter to be able compile again.

2006-01-17  Johnny Jacob <johnnyjacob@gmail.com>

	* gui/dialogs/event-page.c (edit_button_cb): Added.
	edit the selected attendee.
	(sensitize_widgets): enable/disable edit button and 
	Attendee list view.
	(button_press_event): don't popup the menu if editing is
	disabled.
	(get_widgets): get and connect signals for edit button

2006-01-19  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #327487
	* gui/dialogs/cal-prefs-dialog.c (default_reminder_units_changed),
	(time_divisions_changed), (week_start_day_changed) : Use 
	e_dialog_combo_box functions to access the widgets.
	(default_reminder_interval_changed): Hack to update the spin
	 button value

2006-01-19  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #327293
	* gui/dialogs/event-editor.c: (window_delete_event),
	(event_editor_construct): handle delete event to just
	hide the window.

2006-01-17  P S Chakravarthi <pchakravarthi@novell.com>

	* gui/e-week-view.c : added some code in e_week_view_on_button_press ()
	to handle double click on an event in week and month view.

2006-01-16  Johnny Jacob <johnnyjacob@gmail.com>

	* gui/dialogs/event-page.c (edit_button_cb): Added.
	edit the selected attendee.
	(sensitize_widgets) : enable/disable edit button and 
	Attendee list view.
	(button_press_event) : don't popup the menu if editing is
	disabled.
	(get_widgets) : get and connect signals for edit button
	* gui/e-meetings-list-view.ch (e_meeting_list_view_set_editable ) :
	Added. set/unset the editable property of list view.

2006-01-16  Harish Krishnaswamy  <kharish@novell.com>

	* gui/calendar-component.c: (impl__get_userCreatableItems):
	* gui/memos-component.c: (impl__get_userCreatableItems):
	* gui/tasks-component.c: (impl__get_userCreatableItems):
	remove shortcut keys (UI Hackfest -
	See http://go-evolution.org/Shortcut_Keys_Review).

2006-01-16  Srinivasa Ragavan  <sragavan@novell.com>

	Fixes #324739
	* gui/e-calendar-view.c: (tooltip_grab),
	(e_calendar_view_get_tooltips):
	* gui/e-day-view.c: (e_day_view_convert_event_coords),
	(e_day_view_on_time_canvas_scroll), (tooltip_get_view_event),
	(tooltip_destroy), (e_day_view_on_text_item_event),
	(e_day_view_on_editing_stopped):
	* gui/e-week-view.c: (e_week_view_on_scroll), (tooltip_destroy),
	(tooltip_event_cb), (e_week_view_on_text_item_event),
	(e_week_view_on_editing_stopped):

2006-01-16  Chenthill Palanisamy  <pchenthill@novell.com>

	Patch submitted by Sebastien Bacher <seb128@debian.org>
	
	Fixes #325629
	* gui/alarm-notify/alarm-queue.c: (popup_notification): Use the new
	apis in libnotify.
	
2006-01-16 P S Chakravarthi <pchakravarthi@novell.com>

	Fixes #324816 #324889

	* gui/alarm-notify/alarm-queue.c : menu_item_toggle_callback :
	revised the code to use only e_source_group_add_source and
	e_source_group_remove_source alone to update gconf rather than
	explicit updating of the gconf xml
	[along with a patch in e-source-list.c]


2006-01-16 P S Chakravarthi <pchakravarthi@novell.com>

	Minor Feature: Reply and Reply all for calendar items of clients
	that support such facility (personal, exchange).

	* gui/e-cal-popup.[ch] : added a definition for
	E_CAL_POPUP_SELECT_NOSAVESCHEDULES which separates out calendar items
	of clients without the static capability of saving schedules.
	* gui/itip-utils.c:
	reply_to_calendar_comp (), html_new_lines_for (): added.
	comp_to_list (): added another boolean parameter called reply_all which
	indicates if reply to everyone is wanted or not.
	added code for E_CAL_COMPONENT_METHOD_REPLY
	itip_get_comp_attendee () : added code for E_CAL_COMPONENT_METHOD_REPLY
	comp_content_type () : added code for E_CAL_COMPONENT_METHOD_REPLY
	* gui/e-calendar-view.c on_reply (), on_reply_all (): added.
	modified E_CAL_POPUP_* menu items to include Reply and Reply All


2006-01-16 P S Chakravarthi <pchakravarthi@novell.com>

	Fixes a crash in alarm-daemon on selecting "Quit" in panel options
	* gui/alarm-notify/alarm-queue.c  (remove_client_alarms):
	Removed the code loops through a list of ids generated.
	used g_hash_table_foreach instead.
	* gui/alarm-notify/alarm-queue.c (add_id_cb) : removed.
	* gui/alarm-notify/alarm-queue.c (remove_comp_by_id) : added
	* gui/alarm-notify/alarm-queue.c (alarm_queue_add_client) :
	replaced g_str_equal with g_direct_equal in g_hash_table_new
	to consider structure pointers rather than strings for keys.


2006-01-13  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #213660
	* gui/dialogs/alarm-dialog.c (check_custom_sound):
	Save the directory path in gconf.
	(action_selection_done_cb) : Read from gconf and set
	the default path for the file entry.
	* gui/dialogs/calendar-config.ch (calendar_config_set_dir): Added.
	save the path in gconf.
	(calendar_config_get_dir_path): Added. Retrive the path from gconf.

2006-01-13  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #320101
	* gui/e-select-names-editable.c:
	(e_select_names_editable_get_emails),
	(e_select_names_editable_get_names): Append the list of email ids
	and names.

2006-01-13  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #311888
	* gui/dialogs/recurrence-page.c: (recurrence_page_set_dates):
	Set the selection based on the start date of the appointment.

2006-01-13  Johnny Jacob  <johnnyjacob@gmail.com>

	* gui/dialogs/comp-editor-page.c: (comp_editor_page_class_init),
	(comp_editor_page_unset_focused_widget),
	(comp_editor_page_set_focused_widget):
	* gui/dialogs/comp-editor-page.h:
	* gui/dialogs/comp-editor.c: (menu_edit_copy_cb),
	(menu_edit_paste_cb), (menu_edit_selectall_cb), (menu_edit_cut_cb),
	(comp_editor_init), (comp_editor_append_page),
	(page_focus_out_widget_cb), (page_focus_in_widget_cb):
	* gui/dialogs/event-page.c: (widget_focus_in_cb),
	(widget_focus_out_cb), (init_widgets):
	* gui/dialogs/task-page.c: (widget_focus_in_cb),
	(widget_focus_out_cb), (init_widgets): Implementation for the edit button.

2006-01-13  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #313112
	* gui/e-calendar-view.c: (on_unrecur_appointment):
	Remove the old instance if its a detached instance.

2006-01-13  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #259505
	* gui/gnome-cal.c:
	(gnome_calendar_on_date_navigator_selection_changed): Check 
	the previous selection before setting the view.

2006-01-13  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #271810
	* gui/dialogs/comp-editor.c: (comp_editor_class_init), (save_comp):
	* gui/dialogs/comp-editor.h: Added to signal to indicate the object
	has been created.
	* gui/e-calendar-view.c: (user_created_cb),
	(open_event_with_flags): Emit the user_created signal if object
	is created to ensure the calendar is selected.

2006-01-13  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #274234
	
	* gui/e-week-view-main-item.c: (e_week_view_main_item_draw_day): Bolds 
	the date if drawing Today.
	* gui/gnome-cal.c (gnome_calendar_goto)
	(gnome_calendar_on_date_navigator_selection_changed): Call the parent
	views to update the selection.

2006-01-13  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #271541
	* calendar.error.xml: Added a new message for displaying 
	error message while trying to create a new event in read only
	calendars
	* gui/e-calendar-view.c: (e_calendar_view_new_appointment_for):
	Run the error dialog using the message.

2006-01-13  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #326735
	* gui/dialogs/event-page.c: (event_page_fill_widgets): If
	the user is not the organizer, set the orignal organizer in
	the combobox and make it non-editable.

2006-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/GNOME_Evolution_Calendar.server.in.in:

	Changes accels for Calendar (C+F3 -> C+3), Tasks (C+F4 ->C+4) and
	Memo (C+F6 to C+5).

2006-01-12  Harish Krishnaswamy  <kharish@novell.com>

	* gui/gnome-cal.c: (gnome_calendar_class_init):
	Re-define keyboard shortcuts for switching between views.
	UI Hackfest - Refer http://go-evolution.org/Shortcut_Keys_Review

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* gui/calendar-component.c: (calendar_component_peek): 
	* gui/calendar-config.c:
	* gui/e-cal-model-tasks.c:
	* gui/e-cal-popup.c:
	* gui/e-cell-date-edit-text.c:
	* gui/e-meeting-store.c:
	* gui/memos-component.c: (memos_component_peek):
	* gui/print.c:
	* gui/tasks-component.c: (tasks_component_peek):
	Use e_util_mkdir_hier() instead of e_mkdir_hier().

        Use e_util_strstrcase() instead of e_strstrcasea().
    
        use e_strftime() in evolution-data-server/
        libedataserver/e-data-server-util.c instead of the copy in 
        evolution/e-util/e-util.c.
 
 	use e_filename_make_safe() in evolution-data-server/
        libedataserver/e-data-server-util.c instead of the copy in 
        evolution/e-util/e-util.c.
        
        use e_utf8_strftime() in evolution-data-server/
        libedataserver/e-data-server-util.c instead of the copy in 
        evolution/e-util/e-util.c.

2006-01-08  Tor Lillqvist  <tml@novell.com>

	* gui/migration.c: Bypass most of this file on Win32, as there are
	no 1.x installations on Win32 to migrate from. Use
	g_filename_to_uri() in a couple places instead of just prefixing
	file://.

2006-01-08  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/dialogs/alarm-dialog.glade: Added code to hscroll the custom
	message of alarm. Fixes bug #325446
	
	* gui/dialogs/task-page.glade: Added code to expand the description
	scrolled window when the parent window is dragged. Fixes bug #325502
	
2005-01-06  Andre Klapper <a9016009@gmx.de>
	* gui/e-alarm-list.c: added translator comments to several strings.
	Fixes bug 325612.

2006-01-06  Andre Klapper <a9016009@gmx.de>
	* evolution/calendar/calendar.error.xml:
	* evolution/calendar/gui/e-itip-control.c:
	* evolution/calendar/gui/dialogs/task-details-page.glade:
	* evolution/calendar/gui/e-cal-component-preview.c:
	* evolution/calendar/gui/e-cal-model-tasks.c:
	* evolution/calendar/gui/e-calendar-table.c:
	* evolution/calendar/gui/print.c:
	changing "cancelled" (British English)
	to "canceled" (American English). Fixes bug 325334.

2005-01-06  Andre Klapper <a9016009@gmx.de>
	* calendar.error.xml: changed "RSVP" to "reply". Fixes bug 261071.

2006-01-06  Simon Zheng <simon.zheng@sun.com>

	* gui/itip-utils.h: use libedataserver/e-account-list.h instead
	of e-util/e-account-list.h.

2006-01-06  Johnny Jacob  <johnnyjacob@gmail.com>

	* gui/dialog/event-page.c: (set_all_day), (sensitize_widgets)
	(time_sel_changed), (update_end_time_selector), (hour_minute_changed),
	(event_page_set_all_day_event), (alarm_changed_cb), (init_widgets) :
	Fixed warnings.

2005-01-06  Boby Wang <boby.wang@sun.com>

	* gui/e-day-view.c: (e_day_view_on_text_item_event):
	Change the keys which need to be pressed to alter the end time
	of the event selected. Now: Ctrl+Shift+Up(or Down)
	Before: Ctrl+Alt+Shift+Up(or Down) conflict with switching
	the workspace in Gnome Desktop.
 
2006-01-05  Johnny Jacob  <johnnyjacob@gmail.com>

	* gui/dialogs/event-page.c (init_widgets): Set alarm-dialog as
	modal.

2006-01-05  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #216535
	* gui/dialogs/event-page.c (end_date_changed_cb ): Added. Signal
	handler for end_time.
	(start_date_changed_cb) : Added. Changes the end_time according to 
	the duration.

2006-01-05  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/alarm-notify/alarm-notify-dialog.c: 
	Include the e-time-utils.h from libedataserver
	as it has been removed from e-util. Fixes a build
	break.
	(snooze_pressed_cb):Fixed a warning.

2006-01-05  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #258786 
	* gui/e-cal-popup.c (e_cal_popup_target_new_select) : When more than
	one event is selected, check for ICAL_COMPLETED_PROPERTY and set the bit
	accordingly.
	* gui/e-calendar-table.c (tasks_popup_items) : Enable "b0.markmanycomplete" menu item
	only if E_CAL_POPUP_SELECT_NOTCOMPLETE is set.

2006-01-05  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes #303193
	* gui/alarm-notify/alarm-notify-dialog.c (notified_alarms_dialog_new):
	Changed events handled for edit_btn, snooze_btn from pressed to
	clicked
	(snooze_pressed_callback) : Grab keyboard focus to snooze_btn.
	
2006-01-05  P S Chakravarthi <pchakravarthi@novell.com>

	Fixes 317808

	* gui/alarm-notify/alarm-notify.glade : added hours as a 
	spin button for snooze
	* gui/alarm-notify/alarm-notify-dialog.c : added code to 
	include hours in calculation of snooze time.

2006-01-04  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/e-day-view.c: (e_day_view_convert_event_coords),
	(tooltip_get_view_event), (tooltip_destroy),
	(e_day_view_on_text_item_event): Reverting the patch as it
	causes crash while viewing the tooltip in top canvas.

2006-01-04  Tor Lillqvist  <tml@novell.com>

	* gui/dialogs/cal-prefs-dialog.c: Reinstate the run-time glade
	file pathname lookup change from 2005-11-26. It had been
	overwritten on 2005-12-19.

2006-01-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #325416
	
	* gui/e-day-view.c: (e_day_view_convert_event_coords),
	(tooltip_get_view_event), (tooltip_destroy),
	(e_day_view_on_text_item_event): Read the event num from the position
	of x,y.

2006-01-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #325414

	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips): Added null
	check for the string before creating the tooltips and stopped showing
	it.
	* gui/e-day-view.c: (e_day_view_on_editing_stopped):
	* gui/e-week-view.c: (e_week_view_on_editing_stopped): Added code to
	hide tooltips window when start/stop hiding

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	reviewed by: Chenthill Palanisamy <pchenthill@novell.com> 

	* gui/e-tasks.c: (open_ecal): The timezone should be set on
	the task we are trying to open - not on the default.
	Fixes #325489.

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	* gui/dialogs/cal-prefs-dialog.c: (show_fb_config):
	Fixes #325468 (critical warning crasher).

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* icalendar-importer.c: removed a duplicated exclamation mark.
	  Fixes bug 325123.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* gui/apps_evolution_calendar.schemas.in.in:
 	  harmonized "URL", "Url" and "url". Fixes bug 325125.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* calendar.error.xml:
	  changing "canceled" to "cancelled" to stay consistant to the rest.
	  Fixes bug 325116.

2005-12-20  Andre Klapper  <a9016009@gmx.de>

	* calendar.error.xml: Adding punctation to some error messages.
	  Fixes bug 313144.

2005-12-20  Andre Klapper  <a9016009@gmx.de>

	* gui/dialogs/recur-comp.c: fixing string bug 308851

2005-12-23  Harish Krishnaswamy  <kharish@novell.com>

	* conduits/calendar/calendar-conduit.c
	(calconduit_load_configuration): Fix a build breaker.
	g_filename_to_uri takes 3 arguments.

2005-12-21  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #306150
	* gui/apps_evolution_calendar.schemas.in.in: Changed the 
	message id to be gramatically correct.
	
2005-12-21  P S Chakravarthi <pchakravarthi@novell.com>

	Fixes #248133
	* gui/e-meeting-time-sel.c :
	modified the code in options and autopick call backs
	so that the menu that drops is at appropriate position
	as suggested in the bug report.

2005-12-21  Johnny Jacob <johnnyjacob@gmail.com>

	* gui/memos-component.c (impl_createControls): -> createView for
	new shell apis.

2005-12-21  Not Zed  <NotZed@Ximian.com>

	* gui/tasks-component.c (impl_createControls): same.

	* gui/calendar-component.c (impl_createControls): ->createView for
	new shell apis.

2005-12-20  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #324525
	* calendar.error.xml: Set the default response while deleting a
	calendar item to Cancel. Reverting fix for #320210. 

2005-12-20  Veerapuram Varadhan	 <vvaradhan@novell.com>

	Fixes #323125, #323126
	* gui/cal-search-bar.c: Re-order the search-bar menu items and
	make "Summary contains", which is what most people use to search
	for an item (be it a calendar/task/memo), as default.
	(cal_search_bar_construct): Do not set "Category is" as default
	option in search-bar menu.

	* gui/cal-search-bar.h: Re-order the bit-values in accordance to
	re-ordered search-bar menu items.
	
2005-12-20  P S Chakravarthi <pchakravarthi@novell.com>  

	Fixes #323955
	
	* gui/alarm-notify/notify-main.c main (), init_alarm_service (), 
	  alarm_notify_factory_fn ():
	Removed the mutex code for creating alarm_notify_service and
	made init_alarm_service a simple function call rather than in 
	a g_idle_add () to avoid evolution hang.

2005-12-19  Johnny Jacob  <johnnyjacob@gmail.com>

	Fixes Bug #324196 

	* gui/dialogs/comp-editor.c: (prompt_and_save_changes) :
	Renamed from prompt_to_save_changes. Check wheather the 
	summary is empty and prompt.

2005-12-21  Sam Yang  <sam.yang@sun.com>

	Fixes #323984
	* gui/dialogs/task-page.c: (task_page_fill_widgets): Invoke 
	task_page_set_show_timezone() to check whether to show timezone 
	widgets on task page. Just like what we did in init_widgets(). 
	(init_widgets): Since we have called task_page_set_show_timezone() 
	before, remove its duplicate code. Invoke 
	task_page_set_show_categories() directly other than copy its code here.
    	    

2005-12-19  Chenthill Palanisamy  <pchenthill@novell.com>
	
	Committing for David Trowbridge <trowbrds cs colorado edu>

	* gui/Makefile.am, gui/calendar-commands.c,
	gui/calendar-componet.[hc], gui/calendar-config-keys.h,
	gui/calendar-config.c, gui/e-calendar-view.c: remove references to the
	old f/b publishing code

	* gui/e-cal-config.[hc]: add 'prefs' target

	* gui/main.c: remove calls to publishing, use new EConfig-based
	preferences dialog

	* gui/dialogs/Makefile.am, gui/dialogs/cal-prefs-dialog.[ch]: Convert
	to use EConfig

	* gui/dialogs/cal-prefs-dialog.glade: reorganize for EConfig and clean
	up UI for better HIG compliance

2005-12-19  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #324195
	* gui/e-cal-model.c: (e_cal_model_set_instance_times): If the 
	start and end times are same dates, increment the enddate by one.

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* conduits/calendar/calendar-conduit.c
	* gui/e-cal-component-memo-preview.c
	* gui/e-cal-component-preview.c: Use GLib to construct
	filenames from URIs and vice versa.

	* gui/e-cal-list-view.c
	* gui/e-calendar-table.c
	* gui/e-calendar-view.c
	* gui/e-itip-control.c
	* gui/e-memo-table.c: Use gstdio wrappers.

	* gui/e-cal-model-tasks.c
	* gui/e-meeting-store.c: Use e_util_utf8_strcasecmp() to do
	proper casefolded comparison of translated (UTF-8) strings.

	* gui/migration.c: Use gstdio wrappers. Use GDir API instead of
	dirent. Use g_filename_{to,from}_uri(). Open files in binary
	mode. Use e_xml_parse_file() instead of xmlParseFile().

	* gui/alarm-notify/alarm-queue.c: When building against GTK+ 2.9.0
	or later, and always on Win32, use the GtkStatusIcon API instead
	of EggTrayIcon.

	* gui/dialogs/cal-attachment.h
	* gui/dialogs/cal-attachment.c
	* gui/dialogs/cal-attachment-bar.h
	* gui/dialogs/cal-attachment-bar.c: Remove unused files from CVS.

	* gui/dialogs/comp-editor.c: : Use gstdio wrappers. Use
	g_filename_from_uri().

	* importers/icalendar-importer.c: Use g_build_filename(),
	g_filename_from_uri(), g_usleep().

2005-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #324094

	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips): Added
	comments to few strings for translation.

2005-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/e-week-view.c: (e_week_view_reshape_event_span),
	(e_week_view_on_text_item_event): Added event-num to the
	CanvasItem to be picked up by the event handler. This causes 
	crash in the tooltip in the week/month view.

2005-12-15  Srinivasa Ragavan  <sragavan@novell.com>


	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips): Removed
	markup from translatable strings.

2005-12-15  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #324058
	* gui/dialogs/comp-editor.c: (key_press_event),
	(editor_key_press_event), (real_send_comp): Removed the 
	obsolete code which caused the crash. Corrected an invalid type
	cast.

2005-12-15  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #321739
	* gui/dialogs/event-page.c: (event_page_fill_widgets),
	(remove_attendee): Add/remove attendee from e-name-selector also.
	* gui/e-meeting-list-view.h:
	* gui/e-meeting-list-view.c: (get_index_from_role),
	(e_meeting_list_view_add_attendee_to_name_selector),
	(e_meeting_list_view_remove_attendee_from_name_selector),
	(attendee_edited_cb), (process_section), (add_to_list),
	(name_selector_dialog_close_cb): Syncronize the adding/removing
	attendees between EMeetingListView and ENameSelector dialog.	

2005-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips): Added 
	code to make the tooltips strings translatable. Also picked up
	the color from the theme for the tooltip instead of hardcoded
	colors.

2005-12-09  Johnny Jacob <johnnyjacob@gmail.com>

	* gui/dialogs/event-page.c : 
	(hour_sel_changed) : Added. Event handler for hour_selector
	(minute_sel_changed) : Added. Event handler for minute_selector
	(update_end_time_selector) : Added. Updates hour_selector 
	& minute_selector  
	(hour_minute_changed) : Added. Updates DateEdit based on hour 
	and minute selectors
	(sensitize_widgets) : Handle end_time_selector's sensitivity.
	(get_widgets) : Get minute_selector.
	(init_widgets) : Initialize hour_selector and minute_selector.
	gui/dialogs/event-page.glade : minute_selector GtkSpinButton added.

	* gui/dialogs/event-page.glade: Added the widgets to the glade
	
2005-11-27  Johnny Jacob  <johnnyjacob@gmail.com>

	** Fixes bug #324060

	* gui/dialogs/comp-editor.c (menu_file_close_cb): 
	Check wheather the summary is empty and prompt accordingly,

2005-11-28  Srinivasa Ragavan <sragavan@novell.com>

	** Refixes the bug #320210

	* calendar.error.xml : Default button is changed to GTK_RESPONSE_YES
	in "prompt-delete-appointment". It was missed out in the earlier
	patch.

2005-11-28  Johnny Jacob  <johnnyjacob@gmail.com>

	** Fixes the bug #320210

	* calendar.error.xml : Default button is changed to GTK_RESPONSE_YES
	in "prompt-delete-titled-appointment".

2005-12-09  Srinivasa Ragavan  <sragavan@novell.com>

	reviewed by: Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/dialogs/comp-editor.c: (editor_key_press_event),
	(setup_widgets):
	* gui/dialogs/event-page.c: (event_page_init),
	(create_image_event_box), (sensitize_widgets), (get_widgets),
	(alarm_changed_cb), (init_widgets),
	(event_page_create_source_option_menu), (make_status_icons):
	* gui/dialogs/event-page.glade:
	* gui/e-calendar-view.c: (e_calendar_view_get_tooltips):
	* gui/e-calendar-view.h:
	* gui/e-day-view.c: (e_day_view_reshape_long_event),
	(e_day_view_reshape_day_event), (tooltip_get_view_event),
	(tooltip_destroy), (e_day_view_on_text_item_event):
	* gui/e-timezone-entry.c: (e_timezone_entry_init):
	* gui/e-week-view.c: (tooltip_get_view_event), (tooltip_destroy),
	(tooltip_event_cb), (e_week_view_on_text_item_event): Fixes tooltip
	crash while editing a component in view. Fixes for layout issues
	and added the alarm icon in the editor.

2005-12-06  Veerapuram Varadhan <vvaradhan@novell.com>

	* conduits/todo/todo-conduit.c (start_calendar_server):
	Authenticate by reading the stored-password for tasks that has
	"auth" property set.  
	(pre_sync): Moved setting of timezone to start_calendar_server as
	per the current e-d-s requirements.
	** Fixes #316315

2005-12-06  Veerapuram Varadhan <vvaradhan@novell.com>

	* conduits/calendar/calendar-conduit.c (start_calendar_server):
	Authenticate by reading the stored-password for calendar that has
	"auth" property set.  
	(pre_sync): Moved setting of timezone to start_calendar_server as
	per the current e-d-s requirements.
	** Fixes #316315
	
2005-12-06  Tor Lillqvist  <tml@novell.com>

	* gui/e-cal-config.c (ecph_class_init)
	* gui/memos-component.c (memos_component_init): Remove stray
	leftover debugging output.

	* gui/memos-component.c (ensure_sources): Use g_filename_to_uri()
	instead of just prefixing "file://".

2005-11-29  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #322616
	* gui/e-cal-model-calendar.c: (get_dtend): Convert to
	proper time zone.

2005-11-28  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #317322
	* gui/e-calendar-view.c:
	(e_calendar_view_delete_selected_occurrence): Do not
	set a new rid if the component already has it. If an 
	instance is removed from master component, send a modify
	request setting the exception for that instance. Cleaned
	up the code.
	
2005-11-28  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #314639
	* gui/e-calendar-view.c: 
	(e_calendar_view_new_appointment_for): Check if the default
	client is loaded before creating the appointment.

2005-11-28  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #318777
	* gui/e-cal-model.c: 
	(add_instance_cb): Set the instance start as the started date for
	the recurring instance.
	(e_cal_view_objects_added_cb): 
	(e_cal_view_objects_removed_cb): Check if the comp_data is removed
	from the array before freeing the data.

2005-11-26  Tor Lillqvist  <tml@novell.com>

	* gui/calendar-commands.c
	* gui/e-cal-list-view.c
	* gui/e-calendar-table.c
	* gui/e-memo-table.c
	* gui/e-memos.c
	* gui/e-tasks.c
	* gui/gnome-cal.c
	* gui/goto.c
	* gui/memos-control.c
	* gui/tasks-control.c
	* gui/alarm-notify/alarm-notify-dialog.c
	* gui/alarm-notify/notify-main.c
	* gui/dialogs/alarm-dialog.c
	* gui/dialogs/alarm-list-dialog.c
	* gui/dialogs/cal-attachment.c
	* gui/dialogs/cal-prefs-dialog.c
	* gui/dialogs/comp-editor.c
	* gui/dialogs/e-delegate-dialog.c
	* gui/dialogs/event-editor.c
	* gui/dialogs/event-page.c
	* gui/dialogs/meeting-page.c
	* gui/dialogs/memo-page.c
	* gui/dialogs/recurrence-page.c
	* gui/dialogs/schedule-page.c
	* gui/dialogs/task-details-page.c
	* gui/dialogs/task-page.c
	* gui/dialogs/url-editor-dialog.c: Include e-util-private.h to get
	redefinition of compile-time pathnames as calls to functions on
	Windows. Construct the pathnames of files and directories under
	the installation prefix at run-time to enable install-anywhere on
	Windows. No effect on functionality on Unix.

2005-11-25  Tor Lillqvist  <tml@novell.com>

	* gui/calendar-component.c (ensure_sources)
	* gui/tasks-component.c (ensure_sources): Use g_filename_to_uri()
	instead of just prefixing "file://" for Win32 portability.

	* gui/e-itip-control.c
	* gui/itip-utils.c: Use g_ascii_strcasecmp() instead of
	strcasecmp() for portability.

2005-11-24  Srinivasa Ragavan and P.S.Chakravarthi <sragavan@novell.com>, <pchakravarthi@novell.com>

	(simultaneously a patch for configure.in in evolution source dir is
	 applied to include libnotify, if present)
	* gui/alarm-notify/alarm-notify.c (alarm_notify_get_selected_calendars):
	added a field in _AlarmNotifyPrivate called selected_calendars and relevant
	code elsewhere for use in disabling and enabling alarms for particular calendars.
	* gui/alarm-notify/alarm-queue.c (free_tray_icon_data):added
	(notify_dialog_cb): modified to free the non snoozed alarms on close.
	(open_alarm_dialog): code added to set up tooltip on the panel icon if there
	are alarms present.
	(alarm_quit): added. Call back when "Quit" option is chosen on right click of the
	panel icon.
	(alarms_configure): added. The call back function for generating the "Configure Alarms"
	dialog on right click on the panel icon.
	(menu_item_toggle_cb): added. Call back when a particular calendar is selected
	or deselected in the "Configure Alarms" dialog.
	(populate): added. Function to populate the view in the dialog that appears when
	"Configure Alarms" option is chosen on right click of the panel icon.
	(alarm_preference_response):added. Called when the "Configure Alarms" dialog is
	closed.
	(tray_icon_clicked_cb): modified to get tooltip, giving alarm summary on mouse over
	the panel icon, to have the panel icon blink in case of active alarms.
	(display_notification): modified the code to change the strings shown in the alarm
	dialog.
	(popup_notification): added. Compiles if there is libnotify. If present, gives
	a small notification bubble on alarm trigger giving necesary information on the
	appointment.
	(alarm_queue_init): modified to add the panel icon that is being used in above
	functions.
	* gui/alarm-notify/config-data.[ch](config_data_get_calendars):added. Gets calendar
	information for notification from a gconf key.
	(config_data_replace_string_list): added. To replace an old gconf key with a new one.
	* gui/alarm-notify/util.[ch] (calculate_time):added. An utility function which
	gives a time difference between two time_t instances in hours, minutes and seconds.


2005-11-24  Tor Lillqvist  <tml@novell.com>

	* gui/e-alarm-list.c
	* gui/e-cal-component-memo-preview.c
	* gui/e-cal-component-preview.c
	* gui/e-cal-model.c
	* gui/e-cell-date-edit-text.c
	* gui/e-date-time-list.c
	* gui/e-itip-control.c
	* gui/e-memos.c
	* gui/e-tasks.c
	* gui/itip-utils.c
	* gui/print.c
	* gui/alarm-notify/alarm-notify-dialog.c
	* gui/alarm-notify/util.c
	* gui/e-calendar-view.c
	* gui/dialogs/alarm-dialog.c
	* gui/dialogs/alarm-list-dialog.c
	* gui/dialogs/comp-editor-util.c
	* gui/dialogs/recurrence-page.c: Include e-time-utils.h from
	libedataserver instead of using evolution's copy which is going
	away.

2005-11-23  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/e-calendar-view.c (tooltip_grab), (get_label),
	(e_calendar_view_get_tooltips): Added a function to get tooltip
	tooltip widget
	* gui/e-calendar-view.h:
	* gui/e-day-view.c (e_day_view_add_event),
	(e_day_view_reshape_long_event), (e_day_view_reshape_day_event),
	(e_day_view_on_text_item_event): Added tooltip for day/work week
	view.
	* gui/e-week-view.c (e_week_view_add_event), (tooltip_event_cb),
	(e_week_view_reshape_event_span), (e_week_view_on_text_item_event):
	Added tooltip for week/month view.
	* gui/e-week-view.h:
	* gui/misc.c (get_position_in_array), (calculate_time): Added a 
	function for converting time to string.
	* gui/misc.h:

2005-11-22  Boby Wang <boby.wang@sun.com>
	Fixes #321237
	* gui/dialogs/event-page.glade: Add the categories' name
	The name of categories in new appointment dialog was missed.

2005-11-17  P. S. Chakravarthi <pchakravarthi@novell.com>

	Fixes #314550
	* gui/alarm-notify/alarm-notify.glade: modified the
	description widget to a scrolled window.
	* gui/alarm-notify/alarm-notify-dialog.c (fill_in_labels):
	modified the way in which description needs to be filled
	to reflect the change of the description from a GtkLabel
	to a GtkScrolledWindow.

2005-11-16  Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/dialogs/task-editor.c: (menu_option_status_cmd):
	Modified the body of the function to show the details page.

2005-11-16  Chenthill Palanisamy  <pchenthill@novell.com>

	Reviewed/Edited the patch from Srinivasa Ragavan <sragavan@novell.com>
	
	* gui/apps_evolution_calendar.schemas.in.in:
	* gui/calendar-config.c:
	* gui/calendar-config.h: Removed the view_attendee function and its
	gconf keys.
	* gui/dialogs/event-editor.c: (menu_action_recurrence_cb),
	(menu_action_recurrence_cmd), (event_editor_init),
	(event_editor_construct): 
	* gui/dialogs/event-page.c: (sensitize_widgets): Do not sensitize
	labels.
	(set_classification_menu), (event_page_set_classification), 
	(event_page_fill_widgets), (event_page_fill_component),
	(init_widgets):
	* gui/dialogs/event-page.h:Corrected the spelling of recurrence and
	removed the printf's.
	* gui/dialogs/task-editor.c: (menu_view_role_cb),
	(menu_view_status_cb), (menu_view_type_cb), (menu_view_rsvp_cb),
	(menu_show_time_zone_cb), (menu_show_categories_cb),
	(menu_class_public_cb), (menu_class_private_cb),
	(menu_class_confidential_cb), (menu_option_status_cb),
	(menu_insert_send_options_cmd), (menu_show_time_zone_cmd),
	(menu_option_status_cmd), (task_editor_init),
	(task_editor_construct), (task_editor_edit_comp),
	(task_editor_send_comp), (task_editor_finalize), (show_assignment),
	(task_editor_show_assignment):
	* gui/dialogs/task-page.c: (task_page_init), (cleanup_attendees),
	(task_page_finalize), (set_classification_menu), (clear_widgets),
	(task_page_set_view_role), (task_page_set_view_status),
	(task_page_set_view_type), (task_page_set_view_rsvp),
	(task_page_set_classification), (sensitize_widgets),
	(task_page_hide_options), (task_page_show_options),
	(task_page_set_assignment), (get_current_account),
	(task_page_fill_widgets), (set_attendees),
	(task_page_fill_component), (add_clicked_cb), (existing_attendee),
	(remove_attendee), (remove_clicked_cb), (invite_cb),
	(attendee_added_cb), (popup_add_cb), (popup_delete_cb),
	(context_popup_free), (button_press_event), (list_view_event),
	(list_key_press), (task_page_set_show_timezone),
	(task_page_set_show_categories), (task_page_fill_timezones),
	(get_widgets), (date_changed_cb), (timezone_changed_cb),
	(task_page_sendoptions_clicked_cb), (init_widgets),
	(task_page_construct), (task_page_new),
	(task_page_get_cancel_comp):
	* gui/dialogs/task-page.glade:
	* gui/dialogs/task-page.h: UI changes for task editor.

2005-11-16 Irene Huang <Irene.Huang@sun.com>

	* gui/e-cal-model-memos.c: struct _ECalModelMemosPrivate
	should not be zero sized.

2005-11-16  Irene Huang <Irene.Huang@sun.com>

	* gui/dialogs/cal-prefs-dialog.c:
	(cal_prefs_dialog_url_add_clicked): Use strcmp instead of !=.
	(cal_prefs_dialog_url_remove_clicked):
	When new a dialog of confirm, set parent to
	PREFS_WINDOW (dialog_data->page)
	instead of using PREFS_WINDOW (dialog_data).

2005-11-14  Srinivasa Ragavan <sragavan@novell.com>
 
	reviewed by: Chenthill Palanisamy  <pchenthill@novell.com>

	* gui/apps_evolution_calendar.schemas.in.in:
	* gui/calendar-config-keys.h:
	* gui/calendar-config.h:
	* gui/calendar-config.c: (calendar_config_get_show_attendee),
	(calendar_config_set_show_attendee),
	(calendar_config_get_show_rsvp), (calendar_config_set_show_rsvp),
	(calendar_config_get_show_role), (calendar_config_set_show_role),
	(calendar_config_get_show_type), (calendar_config_set_show_type),
	(calendar_config_get_show_status),
	(calendar_config_set_show_status),
	(calendar_config_get_show_timezone),
	(calendar_config_set_show_timezone),
	(calendar_config_get_show_categories),
	(calendar_config_set_show_categories): Gconf keys to store the last
	modified state.
	* gui/dialogs/Makefile.am: Added the evolution UI directory.
	* gui/dialogs/comp-editor.h:
	* gui/dialogs/comp-editor.c: (menu_file_save_cb),
	(menu_file_close_cb), (menu_edit_copy_cb), (menu_edit_paste_cb),
	(menu_edit_cut_cb), (menu_insert_attachment_cb), (menu_help_cb),
	(setup_widgets), (comp_editor_init), (comp_editor_set_changed),
	(comp_editor_append_page), (comp_editor_notify_client_changed):
	Add only the event page into the notebook.
	* gui/dialogs/event-editor.c: (menu_view_attendee_cb),
	(menu_view_role_cb), (menu_view_status_cb), (menu_view_type_cb),
	(menu_view_rsvp_cb), (menu_action_alarm_cb),
	(menu_show_time_busy_cb), (menu_all_day_event_cb),
	(menu_show_time_zone_cb), (menu_show_categories_cb),
	(menu_class_public_cb), (menu_class_private_cb),
	(menu_class_confidential_cb), (menu_action_recurrance_cb),
	(menu_action_freebusy_cb), (menu_action_alarm_cmd),
	(menu_all_day_event_cmd), (menu_show_time_zone_cmd),
	(menu_action_recurrance_cmd), (menu_action_freebusy_cmd),
	(menu_insert_send_options_cmd), (event_editor_init),
	(event_editor_construct), (event_editor_edit_comp),
	(event_editor_send_comp), (event_editor_finalize), (show_meeting),
	(event_editor_show_meeting): Added the menu and tool bar. Schedule
       	page and recurrence page are shown as dialogs.	
	* gui/dialogs/event-page.h:
	* gui/dialogs/event-page.c: (event_page_init), (cleanup_attendees),
	(event_page_finalize), (set_classification_menu),
	(set_busy_time_menu), (enable_busy_time_menu),
	(set_all_day_event_menu), (set_all_day), (update_time),
	(clear_widgets), (event_page_set_view_attendee),
	(event_page_set_view_role), (event_page_set_view_status),
	(event_page_set_view_type), (event_page_set_view_rsvp),
	(event_page_set_classification), (sensitize_widgets),
	(event_page_hide_options), (event_page_show_options),
	(event_page_set_meeting), (event_page_set_delegate),
	(get_current_account), (event_page_fill_widgets),
	(event_page_fill_component), (time_sel_changed), (add_clicked_cb),
	(existing_attendee), (remove_attendee), (remove_clicked_cb),
	(invite_cb), (attendee_added_cb), (popup_add_cb),
	(popup_delete_cb), (context_popup_free), (button_press_event),
	(list_view_event), (list_key_press),
	(event_page_set_all_day_event), (event_page_set_show_time_busy),
	(event_page_show_alarm), (event_page_set_show_timezone),
	(event_page_set_show_categories), (get_widgets),
	(summary_changed_cb), (notify_dates_changed), (times_updated),
	(start_timezone_changed_cb), (event_page_sendoptions_clicked_cb),
	(init_widgets), (event_page_construct), (event_page_new),
	(event_page_create_source_option_menu), (set_attendees),
	(event_page_get_cancel_comp):
	* gui/dialogs/event-page.glade: UI Changes to have the event 
	page alone.
	* gui/dialogs/task-editor.c: (task_editor_construct),
	(task_editor_edit_comp), (show_assignment):
	* gui/dialogs/memo-editor.c: (memo_editor_construct): Make changes
	for append page function.
	* gui/dialogs/schedule-page.c: (schedule_page_construct): Set the 
	size of the meeting time selector.

2005-11-09  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #313538
	* gui/dialogs/event-editor.c: 
	(event_editor_edit_comp): Do not remove the attendees. Removed
	the obsolete code as scheduling and meeting pages will be created
	only for meetings now.

2005-11-10  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #321088
	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	(e_meeting_time_selector_style_set),
	(e_meeting_time_selector_ensure_meeting_time_shown): Set the 
	scroll_increment to days width. Show only 35 days in the canvas
	since we query freebusy only for those. Set the canvas view to 
	meetings day start instead of time.

2005-11-09  Veerapuram Varadhan <vvaradhan@novell.com>

	Committing for Nathan Owens <pianocomp81@yahoo.com>	
	
	* calendar/conduit/todo/todo-conduit.c (local_record_from_comp)
	(comp_from_remote_record) (post_sync) (add_category_if_possible):
	Category syncing in todo-conduits.
	
2005-11-09  Dinesh Layek <LDinesh@novell.com>

	Fixes #273322
	* gui/e-pub-utils.c
	(e_pub_publish): removed the source from uri->calendars when the 
	calendar backend no longer exists.
	
2005-11-08  P. S. Chakravarthi <pchakravarthi@novell.com>

	Fixes #316710
	* gui/alarm-notify/alarm-notify.c 
	(alarm_notify_add_calendars): modified the code to
	generate the correct key for obtaining the password
	for an authenticated calendar.

2005-11-08  P. S. Chakravarthi <pchakravarthi@novell.com>

	Fixes 319217
	* gui/alarm-notify/alarm-queue.c (load_alarms_for_today):
	changed the code to load alarms from current day beginning if
	last notification time is beyond current day's begin time and
	* gui/alarm-notify/alarm.c (setup_timeout):
	removed the check which sees if the alarm's trigger time has
	got past current time so that alarms missed in current day are
	always shown.

2005-10-21  Mubeen Jukaku  <jmubeen@novell.com>

	Sankar Committting for Mubeen
	
	Fixes #310495
	* gui/e-calendar-table.etspec: Do string case comparison for Summary
	and Categories field

2005-10-21  Viren.L  <lviren@novell.com>

	Sankar committing for Viren

	Fixes #272920

	* gui/gnome-cal.c (setup_widgets):
	Connect signal to catch the scroll-event on the widget of date navigator 
	and handle the GDK_SCROLL_UP,GDK_SCROLL_DOWN in the callback.

		
2005-10-19  Harish Krishnaswamy <kharish@novell.com>

	Committing for Nathan Owens <pianocomp81@yahoo.com>
	
	* calendar.error.xml: Added strings for memos
	* calendar/conduits/Makefile.am: added 'memo' to SUBDIRS
	* calendar/conduits/memo/*: initial memo conduit
	* calendar/gui/calendar-config.[ch]: (calendar_config_get_memos_selected)
	(calendar_config_set_memos_selected) (calendar_config_add_notification_memos_selected): 
	gconf get/set for memos lists
	* calendar/gui/calendar-config-keys.h: added gconf keys for Memos component
	* calendar/gui/comp-util.[ch] (cal_comp_memo_new_with_defaults): added function
	to create memo component with defaults
	* calendar/gui/e-cal-component-memo-preview.[ch]: initial file for preview of a memo
	* calendar/gui/e-cal-model-memos.[ch]: initial model for the memos component.
	* calendar/gui/e-memos.[ch]: initial memos base
	* calendar/gui/e-memo-table.[ch]: initial view for memos component
	* calendar/gui/e-memo-table.etspec: etspec for memos e-table
	* calendar/gui/e-memo-table-config.[ch]: initial configuration for memos e-table view
	* calendar/gui/GNOME_Evolution_Calendar.server.in.in: added Memos component
	* calendar/gui/main.c: added initialization code for Memos component
	* calendar/gui/Makefile.am: added entries for new files for Memos component
	* calendar/gui/memos-component.[ch]: Memos component base code
	* calendar/gui/memos-control.[ch]: initial user control code. Used for printing,
	copying, etc.
	* calendar/gui/migration.c: added migration for memos component - also takes care
	of initialization for the first time the Memos component is run.
	* calendar/gui/dialogs/calendar-setup.[ch]: added code to create a new Memo List
	* calendar/gui/dialogs/Makefile.am: added files for build
	* calendar/gui/dialogs/memo-editor.[ch]: initial memo editor
	* calendar/gui/dialogs/memo-page.[ch]: page in editor for editing a memo
	* calendar/gui/dialogs/memo-page.glade: glade file for memo-editor-page
	* calendar/gui/dialogs/send-comp.c: added E_CAL_COMPONENT_JOURNAL support for Memo
	component
	
2005-10-18  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #308802
	* gui/calendar-component.c: (setup_create_ecal):
	* gui/dialogs/event-page.c: (source_changed_cb):
	* gui/dialogs/task-page.c: (source_changed_cb):
	* gui/e-itip-control.c: (cal_opened_cb), (start_calendar_server),
	(find_cal_opened_cb):
	* gui/e-tasks.c: (set_timezone), (client_cal_opened_cb),
	(default_client_cal_opened_cb), (open_ecal):
	* gui/gnome-cal.c: (client_cal_opened_cb),
	(default_client_cal_opened_cb), (open_ecal),
	(gnome_calendar_set_default_source):
	* gui/tasks-component.c: (setup_create_ecal): Set the default
	timezone in the ecal once its created and before opening ecal.

2005-10-18  Srinivasa Ragavan <sragavan@novell.com>

	* gui/dialogs/comp-editor.c: (open_attachment)
	(attachment_bar_icon_clicked_cb), (cab_open), (cab_popup),
	(button_press_event): Handles the popup menu on the attachment
	bar.
	* gui/e-cal-popup.c: (temp_save_part), (ecalp_part_popup_saveas),
	(ecalp_part_popup_save_selected),
	(ecalp_part_popup_set_background), (ecalp_apps_open_in),
	(ecalp_apps_popup_free), (ecalp_standard_items_free),
	(ecalp_standard_menu_factory), (ecalp_class_init),
	(e_cal_popup_target_new_attachments): Provides the background
	image setting, open with application for each attachment.
	* gui/e-cal-popup.h:
	* gui/e-calendar-table.c: (e_calendar_table_on_save_as)
	* gui/e-calendar-view.c: (on_save_as): Change the parameters to
	e_file_dialog_save.

2005-10-17 Irene Huang <Irene.Huang@sun.com> 

	* gui/e-tasks.c: (e_tasks_show_preview): Should not return a value, so, 
	change all the g_return_val_if_fail to g_return_if_fail.

2005-10-10  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #266144, 317575, 313725.
	* gui/alarm-notify/alarm-queue.c: (remove_queued_alarm),
	(add_component_alarms), (lookup_comp_queued_alarms), (remove_comp),
	(query_objects_changed_cb), (compare_ids),
	(alarm_queue_add_client), (add_id_cb), (remove_client_alarms),
	(update_cqa): 
	* gui/e-cal-model.c (search_by_id_and_client):Use ECalComponentId.
	(e_cal_view_objects_added_cb), (e_cal_view_objects_modified_cb),
	(e_cal_view_objects_removed_cb),
	(e_cal_model_get_component_for_uid),
	(e_cal_model_set_instance_times): set the proper timezone.
	* gui/e-cal-model.h:
	* gui/e-calendar-view.c: (delete_event): Do not remove the 
	recurrence id.
	* gui/e-calendar-table.c (hide_completed_rows),
	(show_completed_rows): Use ECalComponentId to get a component
	for model.
	* gui/gnome-cal.c: (dn_e_cal_view_objects_removed_cb):

2005-10-06  Srinivasa Ragavan <sragavan@novell.com>

	* calendar.error.xml: Added accels to the Disard new event/
	task dialog.

	* gui/apps_evolution_calendar.schemas.in.in: Added new key
	for storing the presence of preview.

	* gui/calendar-config-keys.h: Added key for preview status

	* gui/calendar-config.[ch] (calendar_config_set_vpane_pos): Added
	functions to get preview status.

	* gui/e-meeting-list-view.c (build_table): makes the invites
	tab list view tabs resizable and reorderable.

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct): Made
	the recursive not show status and type.

	* gui/e-tasks.[ch] (setup_widgets) (e_tasks_new_task): made a provsion
	to show/hide the preview.

	* gui/tasks-control.c (tasks_control_activate)
	(tasks_control_forward_cmd): Added bonobo interface to show/hide
	preview pane.

	* gui/dialogs/comp-editor.c (attachment_bar_changed_cb) (setup_widgets) 
	(comp_editor_append_page) (set_attachment_list): Added expander
	for attachment bar.

	* gui/dialogs/event-editor.c (event_editor_construct) (event_editor_edit_comp)
	(show_meeting): Added accelerators for the comp editor dialogs for
	tasks, event, meeting etc.

	* gui/dialogs/event-page.glade: key accelerator for 'busy'

	* gui/dialogs/meeting-page.c (remove_clicked_cb) (client_changed_cb) 
	(popup_delete_cb) (button_press_event) (meeting_page_construct) 
	
	* gui/dialogs/meeting-page.glade: key accelerators for dialog.
	
	* gui/dialogs/task-details-page.glade: key accelerators for dialog.

	* gui/dialogs/task-editor.c (task_editor_construct) (task_editor_edit_comp)
	(show_assignment): Key accelerators for task tab 

	* gui/dialogs/task-page.glade: key accelerators for task dialog


2005-10-02  Srinivasa Ragavan <sragavan@novell.com>
	
	Provides across calendars keyboard accelerators for popup menus

	* gui/calendar-component.c (ecc_source_popups):
	* gui/e-calendar-view.c (ecv_main_items) (ecv_main_items):
	* gui/gnome-cal.c (gc_popups):
	* gui/tasks-component.c (etc_source_popups):
	Added Keybinding for popup menu.
	
2005-09-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #315095
	* gui/e-pub-utils.c: Added a global variable to check
	if the publish time is modified in gconf and removed
	just_published function.
	(is_publish_time): cleaned up the code. 
	(e_pub_publish): send the list of users in the get_freebusy
	information.

2005-10-03  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #271480
	* gui/alarm-notify/notify-main.c: (alarm_notify_factory_fn),
	(init_alarm_service): Added a global static mutex to ensure 
	the alarm_notify object is created only once.

2005-10-03  Mubeen Jukaku  <jmubeen@novell.com>

	Fixes #264449
	* gui/e-tasks.c: (update_view_cb),
	(config_process_completed_tasks_changed_cb): Use process_completed_tasks
	instead of update_view
	* gui/gnome-cal.c (update_todo_view_cb),
	(config_process_completed_tasks_changed_cb): ditto
	* gui/e-calendar-table.[ch]:
	(e_cal_model_process_completed_tasks): New function to hide
	completed tasks
	* gui/calendar-config.[ch]: 
	(calendar_config_get_process_completed_tasks_sexp): Added a parameter
	get_completed to get completed or not completed tasks
	* gui/misc.[ch]: 
	(get_position_in_array): Moved from gui/e-cal-model.c
	* gui/e-cal-model.[ch]:
	(e_cal_model_set_instance_times): Renamed from static function
	set_instance_times
	(search_by_uid_and_client): fix for client is NULL
	* gui/e-cal-model-tasks.[ch]:
	(e_cal_model_tasks_update_due_tasks): Update due tasks

2005-10-01  Viren.L  <lviren@novell.com>
	
	Fixes #257649
	* gui/e-calendar-view.h:
	  Added E_CAL_VIEW_MOVE_PAGE_UP & E_CAL_VIEW_MOVE_PAGE_DOWN to ECalViewMoveDirection.
	* gui/e-week-view.c (e_week_view_do_key_press), (e_week_view_scroll_a_step):
	Handled PageUp & PageDown cases and compute new value for
	adjustment using the current page size value.

2005-10-01  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #244981
	* gui/print.c: (print_week_day_event): Add the end date
	while printing in the week view.

2005-10-01  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #316954
	* gui/e-calendar-view.c: (e_calendar_view_edit_appointment): Set
	the USER_ORG flag if the appointment is converted to a meeting.

2005-10-01  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #301391
	* gui/e-calendar-view.c: (clipboard_get_text_cb):
	Remove the X-EVOLUTION-ENDDATE property, so that
	the copy/paste of recurrence event expands properly in 
	the view.
2005-10-01  P. S. Chakravarthi <pchakravarthi@novell.com>

	Fixes #269685
	* gui/alarm-notify/alarm-queue.c:
	(update_cqa): added.
	(update_qa): added. Invoked by update_cqa ()
	(query_objects_changed_cb): Modified to invoke update_cqa ()
	inorder to update the local alarm structures whenver any
	non time related modifications are made to an existing calendar
	component.

2005-09-30  Veerapuram Varadhan <vvaradhan@novell.com>

	Fixes #303702
	* calendar/conduits/calendar/calendar-conduit.c:
	(process_multi_day): Call e_cal_component_commit_sequence() after
	modifying the properties of an ECalComponent and before fetching
	its icalcomponent.

	Reworked the patch from Dave Malcolm <dmalcolm@redhat.com>
	
2005-09-30  Viren.L  <lviren@novell.com>

	Fixes #258786
	* gui/e-cal-popup.[ch] (e_cal_popup_target_new_select) : Added 
	E_CAL_POPUP_SELECT_NOTCOMPLETE flag.
	* gui/e-cal-menu.[ch] (e_cal_menu_target_new_select) : Added 
	E_CAL_MENU_SELECT_NOTCOMPLETE flag.
